"""
The constant data.
Source includes: https://en.wikipedia.org/wiki/List_of_filename_extensions
"""

DATA = {
    "$00": [["Pipe file", "DOS"]],
    "0B": [["Printer font with lineDraw extended character set", "PageMaker",]],
    "0": [["Compressed harddisk data", "DoubleSpace"]],
    "123": [["Spreadsheet", "Lotus 1-2-3 version 9 and version 97"]],
    "123DX": [["CAD drawing file", "Autodesk 123D design file, a ZIP file format package containing a .sat file and .png thumbnails.",]],
    "15U": [["Printer font with PI font set", "PageMaker"]],
    "16": [["SYSLINUX Splash Screen Graphic", "SYSLINUX, XnView"]],
    "1": [["Roff/nroff/troff/groff source for manual page", "cawf2.zip",]],
    "1ST": [["Usually README.1ST text file", ""]],
    "1TX": [["1toX Logipole file", ""]],
    "#24": [["Printer data file for 24-pin matrix printer", "LocoScript",]],
    ")2(": [["LHA archiver temporary file", "LHA"]],
    "2GR": [["286 Grabber File", "Win"]],
    "301": [["Fax", "Super FAX 2000 - Fax-Mail 96"]],
    "386": [["Windows virtual device driver", "Win"]],
    "3D": [["Universal Combat 3D model file", "Universal Combat"]],
    "3DMF": [["QuickDraw 3D Metafile", "QuickDraw"]],
    "3DS": [["3D Studio Graphics format", "3D Studio"]],
    "3DSX": [["Nintendo 3DS Homebrew File Format", "Nintendo 3DS Homebrew Launcher",]],
    "3DT": [["Database in which the meta-data of a 3D Topicscape is held", "3D Topicscape",]],
    "3DV": [["3-D wireframe graphics by Oscar Garcia", "3dv wireframe viewer",]],
    "3FX": [["Effect", "CorelChart"]],
    "3G2": [["Mobile Phone Video", ""]],
    "3GA": [["Mobile Phone Audio (Samsung)", ""]],
    "3GP": [["Mobile Phone Video", ""]],
    "3GR": [["386 Grabber File", "Win"]],
    "3MF": [["3D Manufacturing Format", "3D Builder"]],
    "3T4": [["Binary file converter to ASCII", "Util3"]],
    "4C$": [["Datafile", "4Cast/2"]],
    "4DB": [["4D Structure File", "4D"]],
    "4DD": [["4D Data File", "4D"]],
    "4DINDY": [["4D Structure Index File", "4D"]],
    "4MD": [["Musical file", ""]],
    "4SW": [["4DOS Swap File", "4DOS"]],
    "4TH": [["FORTH source code file", "ForthCMP - LMI Forth"]],
    "555": [["16 bit per pixel image file format (5bit per component)", "Sierra Entertainment",]],
    "602": [["Text (fairly simple format, plain text with binary control commands embedded within text lines and special formatting commands on dedicated lines)", "Text602 text processor by Software602",]],
    "668": [["Music (the mixing is always at 12048 0Hz)", ""]],
    "669": [["Music (8 channels)", "The 669 Composer"]],
    "6CM": [["Music (6 Channel Module)", "Triton FastTracker"]],
    "75": [["75×75 dpi display font", "Ventura Publisher"]],
    "7Z": [["A compressed archive file format that supports several different data compression, encryption and pre-processing algorithms", "7-Zip",]],
    "83P": [["Executable program for TI-83 Graphing Calculator", "TI Connect",]],
    "85": [["85×85 dpi display font", "Ventura Publisher"]],
    "890": [["ScanTitling subtitle files", ""]],
    "89P": [["Executable program for TI-89/89 Titanium Graphing Calculator", "TI Connect",]],
    "8BF": [["Adobe Photoshop compatible filters/plugins", ""]],
    "8BI": [["Adobe Photoshop compatible filters/plugins", ""]],
    "8BX": [["Adobe Photoshop compatible filters/plugins", ""]],
    "8CM": [["Music (8 Channel Module)", "Triton FastTracker"]],
    "8": [["A86 assembler source code file", ""]],
    "8M": [["Printer font with Math 8 extended character set", "PageMaker",]],
    "8U": [["Printer font with Roman 8 extended character set", "PageMaker",]],
    "8XP": [["Executable program for TI-83/84 Plus Graphing Calculator", "TI Connect",]],
    "91": [["91×91 dpi display font", "Ventura Publisher"]],
    "96": [["96×96 dpi display font", "Ventura Publisher"]],
    "A11": [["Graphics AIIM image file", ""]],
    "A2W": [["World file for Alice programming language, version 2", "Alice 2",]],
    "A3P": [["Project file for Alice programming language, version 3", "Alice 3",]],
    "A80": [["Assembler language source for 8080", "8080"]],
    "AA, AB, ...": [["Split parts of a single whole file", "split (Unix)",]],
    "AAC": [["Advanced Audio Coding, a standardized, lossy compression and encoding scheme for digital audio", "Nintendo DSi",]],
    "AAF": [["Advanced Authoring Format, an advanced media wrapper file for professional applications", "",]],
    "AAS": [["Animation Play Script", "AAPlay"]],
    "AB6": [["Datafile", "ABStat"]],
    "AB8": [["Datafile", "ABStat"]],
    "ABC": [["Music in ABC format", "Many music notation editors, some video games.",]],
    "AB": [["Android adb Backup", "adb"]],
    "ABF": [["Adobe Binary Screen Font", "Adobe Systems Software"]],
    "ABK": [["Automatic backup file", "CorelDRAW"]],
    "ABM": [["Album file (various programs)", ""]],
    "ABP": [["AVS Barcode Profile", "AVS Barcode Source"]],
    "ABR": [["Adobe Brush file for PhotoShop", "PhotoShop"]],
    "ABS": [["Data file", "Abscissa"]],
    "ACA": [["Project", "Project Manager Workbench"]],
    "ACB": [["see ACMB", ""]],
    "ACCDA": [["Data", "Microsoft Access Database Wizard (Open XML)",]],
    "ACCDB": [["Data", "Microsoft Access Database (Open XML)"]],
    "ACCDE": [["Data", "Microsoft Access Database Wizard (Open XML)",]],
    "ACC": [["Program (DR-DOS - ViewMax)", "GEM / resident"]],
    "ACCDT": [["Data", "Microsoft Access Database Template (Open XML)",]],
    "ACCDU": [["Data", "Microsoft Access Database Wizard (Open XML)",]],
    "ACCFT": [["Microsoft Access Data Type Template", "Microsoft Access",]],
    "ACDA": [["ACDSee Action", "ACDSee"]],
    "ACDAPK": [["ACDSee Actions Pack", "ACDSee"]],
    "ACDC": [["layered graphics file", "ACDSee"]],
    "AC": [["Project backup", "Audit Command Language (ACL)"]],
    "ACE": [["Archive", "ACE"]],
    "ACF": [["Adobe Custom Filter for PhotoShop", "PhotoShop"]],
    "ACL": [["AutoCorrect List", "Microsoft Office"]],
    "ACMB": [["Graphics file", ""]],
    "ACM": [["Audio Compression Module add-on", "Win"]],
    "ACO": [["Adobe Color Palette", "Adobe"]],
    "ACT": [["Presentation", "Action!"]],
    "AD2": [["ADPCM 2-bit compressed voice file", "ZFAX"]],
    "AD3": [["ADPCM 3-bit compressed voice file", "ZFAX"]],
    "ADA": [["Ada source code file", ""]],
    "ADB": [["Ada Package Body", ""]],
    "ADC": [["Dictionary", "Lingvo"]],
    "ADD": [["OS/2 adapter device driver", ""]],
    "AD": [["AfterDark screensaver module", "AfterDark"]],
    "ADEF": [["Legato Application Definition", "Legato.io build tools mkapp and mksys",]],
    "A##": [["ALZip Compressed Files' pieces", "ALZip"]],
    "A": [["Library", "Unix"]],
    "ADF": [["Amiga Disk File", "unADF, UAE, WinUAE etc..."]],
    "ADG": [["Data", "ADG 3D Scene"]],
    "ADICHT": [["LabChart data acquisition file", "ADInstruments"]],
    "ADI": [["Database Table", "Advantage Database Server"]],
    "ADL": [["ADONIS Definition Language file for exporting models and model groups", "ADONIS",]],
    "ADM": [["ADEM file format", "ADEM"]],
    "ADN": [["Add-in", "Lotus 1-2-3"]],
    "ADR": [["After Dark support file", "AfterDark"]],
    "ADS": [["Ada Package Specification", ""]],
    "ADSON": [["Adsonica sound and image file", "Adsonica"]],
    "ADT": [["Fax", "AdTech"]],
    "ADV": [["GUS device driver", "Gf166.com"]],
    "ADX": [["Document", "Archetype Designer"]],
    "ADZ": [["Amiga Disk Zipped (See Amiga Disk File)", "GZip"]],
    "AEP": [["After Effects Project File", "Adobe After Effects"]],
    "AES": [["File encrypted using the Advanced Encryption Standard (AES)", "AES Crypt (Windows, Mac, Linux, Java) and Crypt4All (Android)",]],
    "AF2": [["Flowchart", "ABC FlowCharter 2.0"]],
    "AF3": [["Flowchart", "ABC FlowCharter 3.0"]],
    "AFI": [["Truevision bitmap graphics", ""]],
    "AFL": [["Font file (for Always)", "Lotus 1-2-3"]],
    "AFM": [["Type 1 font metric ASCII data for font installer", "ATM - many",]],
    "AFP": [["Shape palette", "ABC FlowCharter"]],
    "AFT": [["Template", "ABC FlowCharter 3.0"]],
    "AFW": [["Workplace", "ABC FlowCharter 3.0"]],
    "AGR": [["ArcView ASCII grid", ""]],
    "AHK": [["AutoHotkey script file", "AutoHotkey"]],
    "AI": [["Adobe Illustrator Artwork", "Adobe Illustrator"]],
    "AIFC": [["Audio Interchange File Format with Compression", ""]],
    "AIF": [["see AIFF", ""]],
    "AIFF": [["Audio Interchange File Format", "Convert (c) Villena",]],
    "AIM": [["Asm Text Mode Image File", "The Ultimate Draw"]],
    "AIN": [["Job schedule", "AutoIntern"]],
    "AIO": [["APL programming language file transfer format file", "",]],
    "AIR": [["Adobe AIR installation package", "The Adobe AIR runtime environment",]],
    "AIS": [["Array of Intensity Samples graphics file", "Xerox"]],
    "AIX": [["Datafile for cardfile application", "HP NewWave"]],
    "AKM": [['"Akai Multitimbral" sample information file', "Akai S5000 and S6000 hardware samplers (MS-DOS-based) and compatible software samplers",]],
    "AKP": [['"Akai Program" sample information file', "Akai S5000 and S6000 hardware samplers (MS-DOS-based) and compatible software samplers",]],
    "ALC": [["Molecular coordinates", "Alchemy, RasMol"]],
    "ALE": [["Avid Log Exchange (used in film & video editing)", "Avid",]],
    "ALG": [["ER Mapper Algorithm", "ERViewer"]],
    "ALL": [["General printer information", "WordPerfect for Win"]],
    "ALN": [["CLUSTALW format", ""]],
    "ALO": [["Almanac support file", ""]],
    "ALT": [["Menu file", "WordPerfect Library"]],
    "ALZ": [["AlZip Compressed Files", ""]],
    "AMD": [["Maxum chromatograph offline database", "Siemens Maxum Chromatograph",]],
    "AMF": [["Additive Manufacturing File Format", "Computer Aided Design Software",]],
    "AMG": [["System image file", "ACTOR"]],
    "AML": [["AutomationML", "AutomationML Group"]],
    "AMLX": [["Compressed and packed AutomationML file", "AutomationML Group",]],
    "AMPL": [["AMPL source code file", "AMPL"]],
    "AMR": [["Audio format for mobile phones (Nokia, SonyEricsson)", "",]],
    "AMS": [["Music format", ""]],
    "ANI": [["Animation", "IconAuthor"]],
    "ANIM": [["Trainz Animation specification file, for example a steam locomotive's connecting rod movements, or water movement on a river or lake motion. (Obsolescent)", "Trainz/Auran JET files",]],
    "ANM": [["Animation", "Deluxe Paint Animator"]],
    "ANN": [["Annotations of old Windows Help file", "Windows 3.0 - XP",]],
    "ANN": [["Multi volume ARJ archive", "ARJ"]],
    "ANS": [["ASCII text ANSI character set", "NewWave Write"]],
    "AOL": [["America On-line for Windows DLL", "Win"]],
    "AOS": [["Add-On Software", "Nokia 9000"]],
    "APC": [["Printer driver", "Lotus 1-2-3"]],
    "APD": [["Printer driver", "Lotus 1-2-3"]],
    "AP": [["Datafile", "Datalex EntryPoint 90"]],
    "APE": [["Monkey's Audio (Lossless)", "audio media players"]],
    "APF": [["Printer driver", "Lotus 1-2-3"]],
    "API": [["Printer driver", "Lotus 1-2-3"]],
    "APK": [["Android Application", "Android"]],
    "APL": [["ACDSee plugin", "ACDSee"]],
    "APM": [["Authorware Macintosh", "Authorware"]],
    "APP": [["Generated application", "FoxPro"]],
    "APPLICATION": [["ClickOnce Application Deployment Manifest", "Microsoft Windows",]],
    "APR": [["Employee performance review", "Employee Appraiser"]],
    "APW": [["Authorware Windows", "Authorware"]],
    "APX": [["Appexpert database file", "Borland C++ 4.5"]],
    "AQF": [["Analyzer Queries and Filters", "Actix"]],
    "AR7": [["Archive", "AR7"]],
    "ARC": [["Nintendo proprietary archive format", "Various Nintendo games",]],
    "ARD": [["Map", "Holux - Alan"]],
    "AR": [["Argon - for 3D Modeling", "Ashlar-Vellum"]],
    "ARF": [["Automatic Response File", ""]],
    "ARFF": [["Weka data file", "Weka"]],
    "ARH": [["Archivers definitions file", "DN"]],
    "ARI": [["Archive", "ARI"]],
    "ARJ": [["Archive", "ARJ - ARJZ"]],
    "ARK": [["Managing your Money Archive File", ""]],
    "ARR": [["Arrangement", "Atari Cubase"]],
    "ART": [["Graphics format (Another Ray Tracer)", "PFS:1st publisher - Art Import",]],
    "ARTX": [["file format", "belightsoft Text Art"]],
    "ARX": [["Archive", "ARX"]],
    "ASC": [["Transport armor file", "PGP"]],
    "ASD": [["Spectral Data Set", "ASD Inc. RS3 spectral acquisition program",]],
    "AS": [["Adaptive Script File", "Adaptive Framework"]],
    "ASE": [["ASCII Scene Export", "3D Studio"]],
    "ASF": [["Advanced Streaming Format (Compressed Windows audio/video)", "Microsoft Corporation",]],
    "ASH": [["Assembly language header file", "TASM 3.0"]],
    "ASI": [["Assembler include file", "Turbo C - Borland C++"]],
    "ASK": [["SYSGEN answer file", "RT-11"]],
    "ASM": [["Assembler language source", "TASM, MASM, NASM, Yasm, FASM",]],
    "ASMX": [["ASP.NET Web Service", "Microsoft Corporation"]],
    "ASO": [["Assembler object (object-oriented) file", "Turbo Assembler",]],
    "ASP": [["Active Server Pages of Microsoft.Net", "Microsoft Corporation",]],
    "ASPX": [["ActiveX Server Pages of Microsoft.Net", "Microsoft Corporation",]],
    "ASS": [["Advanced SubStation Alpha (Subtitles)", ""]],
    "AST": [["Nintendo proprietary music streaming format", "Various Nintendo games",]],
    "ASV": [["Autosave File", "MATLAB"]],
    "ASW": [["Authorware Star", "Authorware"]],
    "ASX": [["Advanced Stream Redirector file, redirects to an ASF file (see ASF)", "Microsoft Corporation",]],
    "ASZ": [["Skin", "AltDesk"]],
    "AT2": [["Auto template", "Aldus Persuasion 2.0"]],
    "AT3": [["Atrac 3 Sound/music file", "All Sony devices and programs with the Atrac 3+ specification",]],
    "ATM": [["Adobe Type Manager data/info", ""]],
    "ATML": [["Awhcp HTML file", ""]],
    "ATN": [["Adobe Photoshop action", "Adobe Photoshop"]],
    "ATSOFTS": [["Encrypted File", " LetEncrypt.xyz"]],
    "ATT": [["AT&T Group", "GCGW"]],
    "ATTF": [["AramOS TypeAtor Text File", "AramOS TypeAtor 1.0 (Development State)",]],
    "ATY": [["Produced when an association type is exported by 3D Topicscape", "3D Topicscape",]],
    "AUD": [["Audio file", "AudioRack"]],
    "AU": [["Sound (audio) file", "Sun Microsystems - Convert (c) Villena",]],
    "AUP": [["Audacity project file", "Audacity"]],
    "AUS": [["Kedit AutoSave file", "Kedit"]],
    "AUX": [["Auxiliary references", "TeX/LaTeX"]],
    "AUZ": [["Ableton Live File", "Authorization File for Ableton Live",]],
    "AVA": [["Publication", "Avagio"]],
    "AVB": [["AntiViral Toolkit Pro Bases", ""]],
    "AVI": [["Audio Video Interleaved animation file", "Video for Windows",]],
    "AVR": [["Audio Visual Research", "AWAVE"]],
    "AVS": [["Audio Video Software", "AVS Video Editor (video editing software)",]],
    "AVT": [["AVATAR-coding files", "A3E"]],
    "AWA": [["Animations Works Accelerated Movie", "Animation Works",]],
    "AWD": [["Microsoft Fax At Work Document", "Microsoft Fax At Work",]],
    "AW": [["Proprietry Nintendo wave format", "Various home console Nintendo games",]],
    "AWK": [["AWK script/program", "awk, GNU Awk, mawk, nawk, MKS AWK, Awka (compiler)",]],
    "AWM": [["Animations Works Movie (as .AVI)", "Animation Works"]],
    "AWS": [["Data (APL Workspace)", "STATGRAPHICS (APL*Plus/PC)"]],
    "AX": [["Directshow filter file format", ""]],
    "AXF": [['"lightweight geodatabase" ', "ESRI ArcPad"]],
    "AXM": [["Axmedis object", "Axmedis Tools"]],
    "AZD": [["Amazon Software Download", "Amazon Software Download"]],
    "AZW1": [["DRM enabled eBook with embedded fonts", "All models Amazon Kindle",]],
    "AZW2": [["Program file", "All models of Amazon Kindle excluding Kindle 1",]],
    "AZW": [["DRM enabled eBook", "All models of Amazon Kindle"]],
    "AZZ": [["Data file", "AZZ Cardfile"]],
    "B1": [["Archive file format", "B1 Free Archiver"]],
    "B1N": [["Both mono and color binary screen image", "1st Reader",]],
    "B30": [["Printer font (JLaser - Cordata)", "Corel Ventura Publisher",]],
    "B3D": [["Blitz3D files", "Blitz3D"]],
    "B8": [["Raw graphics file (one byte per pixel) plane two", "PicLab",]],
    "BAC": [["Compiled BASIC", "RT-11 BASIC-11"]],
    "BAD": [["File which covers bad blocks on disk volume (not to be moved)", "RT-11",]],
    "BA": [["Binary Archive", "Scifer Archiver and Compression [External Header Mode]",]],
    "BAK": [["Backup file", ""]],
    "BALANCE": [["Balance accounting sheet file", "Balance"]],
    "BAL": [["Music score", "Ballade"]],
    "BAP": [["Blaze Audio Wave Information File", "BlazeAudio MadCap Software",]],
    "BAR": [["Broker Archive. Compressed file containing number of other files for deployment.", "IBM WebSphere Message Broker",]],
    "BAS": [["BASIC language source", "QuickBASIC - GW-BASIC - FreeBASIC",]],
    "BAT": [["Batch file", "MS-DOS, RT-11"]],
    "BB": [["Database backup", "Papyrus Design Group"]],
    "BBL": [["Bibliographic reference file", "TeX/BibTeX"]],
    "BBM": [["Brush", "Deluxe Paint"]],
    "BBP": [["Playlist", "BassBox"]],
    "BBQ": [["BitBeamer Transfer Queue file", "BitBeamer"]],
    "BBS": [["Hudson-style messagebase", "FTN software"]],
    "BCD": [["Boot Configuration Data", "Windows Vista and later, Registry Editor",]],
    "BC!": [["Unfinished download", "Unfinished BitComet download (a BitTorrent client)",]],
    "BCF": [["Card data", "Bingo Card Creator"]],
    "BCH": [["Datafile", "Datalex EntryPoint 90"]],
    "BCO": [["Outline font description", "Bitstream Inc."]],
    "BCP": [["Borland C++ makefile", ""]],
    "BCT": [["Backup dictionary", "Clarion"]],
    "BCW": [["Environment settings", "Borland C++ 4.5"]],
    "BDB": [["Bookends database", "Bookends"]],
    "BDC": [["Dictionary", "Lingvo"]],
    "BDEF": [["Builder Definition", "Websphere Portlet Factory"]],
    "B": [["Grand Theft Auto saved game", "Any of the 3D Grand Theft Auto games in either III or IV era.",]],
    "BDF": [["Datafile", "Egret"]],
    "BDIC": [["Google Chrome Dictionary", "Google Chrome"]],
    "BDM": [["Videoclip", "AVCHD"]],
    "BDMV": [["Blu-ray Video Data Content file", "Media players / software that supports Blu-ray structure",]],
    "BDR": [["Border", "Microsoft Publisher"]],
    "BDT": [["Behandlungsdatentransfer, an xDT application", "Healthcare providers in Germany",]],
    "BEAM": [["Executable bytecode file in fat binary format", "BEAM (Erlang virtual machine)",]],
    "BEF": [["Bleck Encrypted File", ""]],
    "BEM": [["BIM Cost estimating file", "BIMestiMate"]],
    "BEZ": [["Outline font description", "Bitstream"]],
    "BF2": [["Bradford 2 font", ""]],
    "BFC": [["Briefcase Win95", "Win95"]],
    "BF": [["Brainfuck sourcefile", ""]],
    "BFM": [["Font metrics", "unix/Frame"]],
    "BFS": [["Binary File Storage", ""]],
    "BFX": [["Fax", "BitFax"]],
    "BGA": [["Bitmap graphics", ""]],
    "BGI": [["Borland Graphics Interface device driver", "Turbo C - Turbo Pascal",]],
    "BH": [["Blackhole", "data compression format"]],
    "BIB": [["Literature database", "TeX/BibTeX"]],
    "BI": [["BASIC include file", "Visual Basic - FreeBASIC"]],
    "BIF": [["Binary Image Format b&w graphics file", "Image Capture board",]],
    "BIK": [["Bink Video file (RAD Video)", ""]],
    "BIM": [["Building Information Modeling", "ArchiCAD / Autodesk Revit",]],
    "BIN": [["Text mode memory dump", "The Draw - TUD - ACiDDraw - etc.",]],
    "BIO": [["OS/2 BIOS", ""]],
    "BIT": [["Encrypted file", "FinalCrypt"]],
    "BKC": [["Backup catalog", "Backup4all"]],
    "BK?": [["Backup file", ""]],
    "BK!": [["Document backup", "WordPerfect for Win"]],
    "BK": [["Faxbook", "JetFax"]],
    "BKF": [["Backup archive", "Windows NTBackup Utility"]],
    "BKN": [["Timed backup file for document window n", "WordPerfect for Win",]],
    "BKP": [["Backup file", "Write - TurboVidion DialogDesigner"]],
    "BKW": [["Mirror image of font set", "FontEdit"]],
    "BLC": [["BLC format", ""]],
    "BLD": [["SYSGEN Build procedure file", "RT-11"]],
    "BLEND": [["Blender3D Project File", "Blender"]],
    "BLG": [["Backup Log", "ARCSOLO"]],
    "BLK": [["Temporary file", "WordPerfect for Win"]],
    "BLOB": [["Unknown", "Steam (software) for Win"]],
    "BLP": [["Blizzard Game Picture", "Blizzard Entertainment games (various)",]],
    "BM3": [["UIQ3 Phone backup", ""]],
    "BMD": [["Nintendo proprietary 3D model file", "Various Nintendo games",]],
    "BM": [["BitMap graphics file", ""]],
    "BMK": [["Bookmark of old Windows Help file", "Windows 3.0 - XP",]],
    "BMP": [["OS/2 or Win graphics format (BitMap Picture)", "QPeg - CorelDraw - PC Paintbrush - many",]],
    "BMPW": [["bitmap world-file - geo-references info", ""]],
    "BMS": [["Nintendo proprietary MIDI tracker format", "Various Nintendo games",]],
    "BMT": [["Ami Pro Button", "Ami Pro"]],
    "BNA": [["Data", "Atlas Boundary"]],
    "BNK": [["Adlib instrument bank file", ""]],
    "BNR": [["Graphics Banner", "Banner - Poster"]],
    "BOB": [["File archive for Lego Island 2", "Lego Island 2"]],
    "BOD": [["Stores paths to game files in a BOB archive", "Lego Island 2",]],
    "BOK": [["Shamela Library book", "Shamela Library Program"]],
    "BOO": [["Boo programming language source file", "Boo Programming Language",]],
    "BOT": [["Bot files, these go with JKB files", "Quake 3 Engine"]],
    "BPC": [["Chart", "Business Plan Toolkit"]],
    "BPOLY": [["Data", "Prisms binary 3D object"]],
    "BPP": [["Backup application", "Clarion"]],
    "BPS": [["Binary file commonly used in computer malware", "Certain antivirus programs and computer malware",]],
    "BPT": [["Bitmap fills file", "CorelDRAW"]],
    "BPW": [["Bitser proprietary encrypted password file", "Bitser password manager",]],
    "BRD": [["Cadence Allegro board file", "Cadence"]],
    "BR": [["Script", "Bridge"]],
    "BRF": [["Braille", "Braille embossers and refreshable displays",]],
    "BRK": [["The Brake! Mailer REXX script", "The Brake!"]],
    "BRL": [["CAD", "Ballistic Research Laboratory CAD"]],
    "BS2": [["Archive", "BS2.EXE"]],
    "BSA": [["Archive", "BSArc"]],
    "BSC": [["Pwbrmake object file", "Microsoft Fortran"]],
    "BS": [["Boot sector file", "SYSLINUX"]],
    "BSP": [["id Tech map files", "id Software"]],
    "BSS": [["Casio Phone base", "PC-LINK"]],
    "BST": [["BiblioTex file (BiblioTex=bibliography file)", "TeX"]],
    "BSY": [["Busy flag", "FTN soft"]],
    "BTM": [["Batch-to-memory (quick batch)", "4dos -ndos"]],
    "BTN": [["Makeover Button file", ""]],
    "BTX": [["backup of 4DOS batch files (_4INST.BTM)", "4DOS"]],
    "BUFR": [["Binary Universal Form for the Representation of Meteorological Data", "",]],
    "BUG": [["Bugs and Problems", ""]],
    "BUN": [["LucasArts Bundle File", ""]],
    "BUP": [["Backup file", ""]],
    "BUT": [["Button definitions", "Buttons!"]],
    "BUY": [["Datafile format", "movie"]],
    "BVF": [["BIM model file format", "BIM Vision"]],
    "BVN": [["Overflow file below insert point in Doc n", "WordPerfect for Win",]],
    "BWB": [["Spreadsheet application", "Visual Baler"]],
    "B_W": [["Black and white graphics file", "Atari - mac"]],
    "B&W": [["Mono binary screen image", "1st Reader"]],
    "BWR": [["Beware (buglist)", "Kermit"]],
    "BYK": [["BYK Compressed File", "BYK"]],
    "BYU": [["BYU Movie", "BYU"]],
    "BZ2": [["Archive", "bzip2"]],
    "BZM": [["Map", "Blitzkrieg"]],
    "BZN": [["Map file", "Star Trek Armada II Fleet Operations map file",]],
    "C00": [["Print file", "Ventura Publisher"]],
    "C01": [["Typhoon wave files", "AWAVE"]],
    "C32": [["COMBOOT Executable (32-bit)", "SYSLINUX"]],
    "C86": [["C source code file", "Computer Innovation C86"]],
    "CAB": [["Cabinet archive", "Windows 95 and later, many file archivers",]],
    "CAC": [["dBASE IV executable when caching on/off (see cachedb.bat)", "",]],
    "CAD": [["Document", "Drafix Windows CAD"]],
    "CA?": [["Borland packed and split file", "Borland Installer"]],
    "CA": [["Initial cache data for root domain servers", "Telnet"]],
    "CAL": [["Spreadsheet format", "SuperCalc"]],
    "CALS": [["Support Raster Format", ""]],
    "CAM": [["Casio Camera", ""]],
    "CAN": [["Fax", "Navigator Fax"]],
    "CAP": [["Capture file", "ProComm - Telix"]],
    "CAS": [["C + ASM language source", "Turbo C"]],
    "CAT": [["Stellarium Star Catalogue", "Stellarium"]],
    "CATDRAWING": [["Drawing file of CATIA V5", "CATIA V5"]],
    "CATPART": [["Part file of CATIA V5", "CATIA V5"]],
    "CATPRODUCT": [["Assembly file of CATIA V5", "CATIA V5"]],
    "CATS": [["Combined source", "ATS"]],
    "CBA": [["Source code", "Creative BASIC"]],
    "CBC": [["Fuzzy logic system", "CubiCalc"]],
    "CBL": [["COBOL source code file", ""]],
    "CBM": [["Compiled bitmap graphics", "XLib"]],
    "CBR": [["Comic Book Reader (RAR file)", "CDisplay and similar"]],
    "CBS": [["MasterWord button bar configuration file", ""]],
    "CBT": [["Computer Based Training", "many"]],
    "CBZ": [["Comic Book Reader (ZIP file)", "CDisplay and similar"]],
    "CCC": [["Bitmap graphics (native format)", "Curtain Call"]],
    "CCD": [["text metadata for CD/DVD images", "CloneCD Control File",]],
    "CC": [["C++ source file", "C++ compiler"]],
    "CCF": [["Color Chat file", "Color Chat File"]],
    "CCH": [["Chart", "CorelChart"]],
    "CCITT": [["CCITT Group 3 and Group 4 Encoding", ""]],
    "CCL": [["Communication Command Language file", "Intalk"]],
    "CCO": [["BTX Graphics file", "XBTX"]],
    "CCT": [["Print Template", "BobCAD-CAM"]],
    "CDA": [["CD-Audio", "Win95"]],
    "CDB": [["Main database", "TCU Turbo C Utilities"]],
    "CD": [["CD description", "DN"]],
    "C++": [["C++ language source", "C++ compiler"]],
    "C--": [["C-- language source", "Sphinx C--"]],
    "C": [["C source file", "C compilers"], ["Unix file archive", "COMPACT"]],
    "CDF": [["Graphics", "netcdf"]],
    "CDK": [["Document", "Atari Calamus"]],
    "CDL": [["CADKey CADL Language", "CADKey"]],
    "CDM": [["Music format (compressed)", ""]],
    "CDO": [["Music notation", "Cc,rrescendo Music Notation Editor"]],
    "CDR": [["Disk Image File", "Apple"]],
    "CDT": [["Corel Draw Template File", "CorelDraw!"]],
    "CDX": [["Compound index file", "Visual FoxPro, Advantage Database Server",]],
    "CEB": [["Cont. Edge Bitmap", "Conversion Artist"]],
    "CE": [["Main.ce", "The FarSide Computer Calendar"]],
    "CEF": [["Compact Embedded Font", "Adobe Illustrator"]],
    "CEG": [["Bitmap graphics", "Tempra Show - Edsun Continuous Edge Graphics",]],
    "CEL": [["Celestia Script", "Celestia"]],
    "CELX": [["Celestia Script", "Celestia"]],
    "CER": [["Security certificate", "Microsoft Windows"]],
    "CFA": [["Audio file", "Adobe Premiere Pro"]],
    "CFC": [["ColdFusion Component", "Adobe ColdFusion"]],
    "CF": [["Configuration file", "imake"]],
    "CFG": [["Configuration file", ""]],
    "CFL": [["Chart", "CorelFLOW"]],
    "CFM": [["ColdFusion Markup Language", "Adobe ColdFusion"]],
    "CFN": [["Font data", "Atari Calamus"]],
    "CFO": [["C Form Object internal format object file", "TCU Turbo C Utilities",]],
    "CFP": [["Fax", "The Complete Fax Portable"]],
    "CFT": [["CFast graphics file", "Disney Animation Studio"]],
    "CGA": [["CGA display font", "Ventura Publisher"]],
    "CGI": [["Common Gateway Interface script", ""]],
    "CGM": [["Computer Graphics Metafile vector graphics", "A&L - HG - many",]],
    "CH3": [["Chart", "Harvard Graphics 3.0"]],
    "CH4": [["Presentation", "Charisma 4.0"]],
    "CHD": [["Font descriptor", "FontChameleon"]],
    "CH": [["Clipper language header", "CA Clipper"]],
    "CHI": [["ChiWriter Document", "ChiWriter - Chiview"]],
    "CHK": [["Temporary file", "WordPerfect for Win"]],
    "CHL": [["Configuration History Log", ""]],
    "CHM": [["Compiled Help File", "Microsoft Windows, Help Explorer Viewer",]],
    "CHML": [["Encrypted Data File", "Krasbit Technologies, Chameleon Imaging Workflow Software",]],
    "CHN": [["Data", "Ethnograph 3"]],
    "CHO": [["ChordPro lead sheet (lyrics and chords)", "ChordPro and similar tools",]],
    "CHP": [["Chapter file", "Ventura Publisher"]],
    "CHR": [["Character set", "Turbo C - Turbo Pascal"]],
    "CHT": [["Interface file for ChartMaster", "dBASE"]],
    "CHZ": [["Archive", "CHARC"]],
    "CIA": [["Nintendo 3DS importable archive", "Nintendo 3DS"]],
    "CIF": [["Crystallographic Information File", "RasMol, Jmol"]],
    "CIM": [["C Text Mode Image File", "The Ultimate Draw"]],
    "CIX": [["Database index", "TCU Turbo C Utilities"]],
    "CKB": [["Borland C++ 4.x editor keystroke mapping", "BCW.EXE"]],
    "CLA": [["Source", "Clarion"]],
    "CLASS": [["Java class file", "Java"]],
    "CLD": [["Clipper debugger configuration file", "CA Clipper"]],
    "CL": [["COMMON LISP source code file", ""]],
    "CLJ": [["Clojure source code", "Clojure"]],
    "CLP": [["Graphics format", "PCPAINT/Pictor"]],
    "CLPI": [["ClipAV Clip Information file for Blu-ray", "Media hardware / software with Blu-ray structure support",]],
    "CLPRJ": [["ClassicLadder project file", "ClassicLadder"]],
    "CLR": [["Palette file for GIS format", ""]],
    "CLS": [["C++ class definition file", ""]],
    "CLW": [["MFC Class Wizard information", "Microsoft VC++"]],
    "CMB": [["Xtree for Windows Button Bar file", ""]],
    "CMD": [["OS/2 batch/REXX file", "OS/2"]],
    "CM": [["Data file", "CraftMan"]],
    "CMF": [["FM-music file (Creative Music File)", ""]],
    "CMK": [["Card", "Card Shop Plus"]],
    "CMM": [["CMM script (batch) file", "CEnvi"]],
    "CMOD": [["Celestia Model", "Celestia"]],
    "CMP": [["User dictionary", "Microsoft Word for DOS"]],
    "CMR": [["Coach 7 project file", "Coach 7"]],
    "CMRL": [["Concise message routing language", "DOTGO"]],
    "CMS": [["Content Management System", "Any Web Browser"]],
    "CMU": [["Carnegie Mellon University Formats", ""]],
    "CMV": [["Animation (CorelMove CorelDraw 4.0)", "CorelMove CorelDraw 4.0",]],
    "CNC": [["CNC general program data", ""]],
    "CND": [["System generation conditional file", "RT-11"]],
    "CNF": [["Configuration file", ""]],
    "CNT": [["contents table of old Windows Help file", "Windows 3.0 - XP",]],
    "CNV": [["Winword DLL used as part of an import operation (CNV=converter)", "Microsoft Word",]],
    "COB": [["COBOL source code file", ""]],
    "COD": [["Videotext file", ""]],
    "CO": [["Cobalt - parametric drafting and 3D modeling", "Ashlar-Vellum",]],
    "COE": [["Coefficient file", "Xilinx ISE"]],
    "COF": [["Animation Control File", "Diablo II"]],
    "COFFEE": [["CoffeeScript source code file", ""]],
    "COL": [["DIMACS graph data stores a single undirected graph (text and binary variants)", "",]],
    "COM": [["Indirect command file (sequence of commands to be executed)", "RT-11",]],
    "CON": [["MSTS Consist file", "MSTS"]],
    "CONTACT": [["Contact file", "Windows"]],
    "CPC": [["Compressed image", "Cartesian Perceptual Compression"]],
    "CPD": [["Script", "Complaints Desk"]],
    "CPF": [["Fax", "The Complete Fax"]],
    "CPI": [["Video clip information file", "The AVCHD format"]],
    "CPL": [["Presentation", "Compel"]],
    "CPMZ": [["ConPro/Miradi Zipfile", "Miradi and ConPro"]],
    "CPP": [["C++ source file", "C++ compiler"], ["Presentation", "CA-Cricket Presents"]],
    "CPR": [["Cubase Project File", "Steinberg Cubase"]],
    "CPS": [["backup of startup files by QEMM (?) autoexec.cps", ""]],
    "CPT": [["Template", "CA-Cricket Presents"]],
    "CPZ": [["Music text file", "COMPOZ"]],
    "CR2": [["Raw image format", "Canon digital cameras"]],
    "CRA": [["Advanced crack file (usually text)", ""]],
    "CRAI": [["CRAM index", ""]],
    "CRD": [["Molecular coordinates", "CHARMM, RasMol"]],
    "CRDOWNLOAD": [["Google Chrome download in progress", "Google Chrome",]],
    "CRF": [["Cross-reference", "Microsoft MASM - Zortech C++, RT-11 CREF",]],
    "CRK": [["Crack file (usually text)", ""]],
    "CRP": [["Game asset texture", "Cities: Skylines"]],
    "CRS": [["File Conversion Resource", "WordPerfect 5.1"]],
    "CRT": [["Terminal settings information", "Oracle"]],
    "CRU": [["Compressed file archive created by CRUSH", ""]],
    "CRW": [["CrossWords document file", ""]],
    "CRX": [["Google Chrome Extension", "Google Chrome"]],
    "CSD": [["Compact Shared Document", "Dream To Reality"]],
    "CS": [["C# source file", "C#"]],
    "CSG": [["Graph", "Statistica/w"]],
    "CSHTML": [["Razor page/view", ""]],
    "CSM": [["Borland C++ 4.x precompiled header file", "BCW.EXE"]],
    "CSO": [["ACDSee edit tool", "ACDSee"]],
    "CSP": [["PC Emcee Screen Image file", "Computer Support Corporation",]],
    "CSS": [["cascading style sheet", ""]],
    "CSV": [["Comma Separated Values text file format (ASCII)", ""]],
    "CTC": [["Control file", "PC Installer"]],
    "CTF": [["Character code translation file", "Symphony"]],
    "CTK": [["CommonTime Key file", "CommonTime software applications",]],
    "CTL": [["BATCH control file (generated by BATCH from .BAT file)", "RT-11",]],
    "CTT": [["BATCH Temporary file", "RT-11"]],
    "CTX": [["document", "Creativyst Table eXchange"]],
    "CUE": [["Cue sheet", ""]],
    "CUF": [["C Utilities Form definition", "TCU Turbo C Utilities"]],
    "CUR": [["Windows resource (cursor image file)", "Resource Workshop - WRT - Watcom Resource Editor",]],
    "CUT": [["Graphics format (bitmapped graphics)", "dr. Halo"]],
    "CV4": [["Color file", "CodeView"]],
    "CVP": [["Cover page", "WinFax"]],
    "CVS": [["Graphics", "Canvas"]],
    "CVT": [["Backup file for CONVERTed database file", "dBASE IV"]],
    "CVW": [["Color file", "CodeView"]],
    "CW": [["Circuit Wizard Document", "Circuit Wizard"]],
    "CWEB": [["C Web", ""]],
    "CWK": [["Datafile", "ClarisWorks, Appleworks"]],
    "CXX": [["C++ source code file", "Zortech C++"]],
    "CYS": [["Cytoscape session file", "Cytoscape"]],
    "D3V": [["Video file", "Nintendo DS (with ARME, MMCF etc.)"]],
    "D4D": [["Data", "Draw 4D object"]],
    "D4P": [["Data", "Draw 4D Pro object"]],
    "D64": [["Commodore 64 disk image", ""]],
    "D88": [["Toshiba Pasopeia D88 disk image format", "A series of emulators of Japanese computers",]],
    "DAA": [["Direct Access Archive", ""]],
    "DAE": [["COLLADA file", ""]],
    "DAF": [["Data file", "Digital Anchor"]],
    "DAT": [["Minecraft game data", "Minecraft"]],
    "DATS": [["Dynamic source", "ATS"]],
    "DAV": [["Proprietary DVR format", "Recorded encrypted video from digital video recorders DVR365 or AlienDVR series",]],
    "DB2": [["Database", "dBASE II"]],
    "DB3": [["Database", "dBASE III"]],
    "DBA": [["DarkBasic source code", ""]],
    "DBC": [["DataBaseContainer", "Visual FoxPro"]],
    "DBD": [["Debug info", "Clarion Modula-2"]],
    "$DB": [["Database temporary file", "dBase"]],
    "DB": [["Database file", "SQLite, Microsoft Access, etc."], ["Multi Edit config", "ME"]],
    "DB$": [["Temporary file", "dBASE"]],
    "DBF": [["Database file", "dBASE III/IV - Visual FoxPro - dBFast - DataBoss - DBVista - CA-Clipper - Visual Objects - Alaska Xbase++ -\nAdvantage Database Server",]],
    "DBFX": [["DevBox Database File", "Pudince Devbox"]],
    "DBG": [["Symbolic debugging information", "Microsoft C/C++"]],
    "DBK": [["Database backup", "dBASE IV"]],
    "DBL": [["Design Block file", "EAGLE"]],
    "DBM": [["Menu template", "DataBoss"]],
    "DBO": [["Compiled program", "dBASE IV"]],
    "DBPRO": [["DarkBasicPro Project", ""]],
    "DBS": [["Printer description file", "Microsoft Word, Microsoft Works",]],
    "DBT": [["Memo file for database w/same name", "dBASE IV - dBFast",]],
    "DBW": [["Windows file", "DataBoss"]],
    "DBX": [["Archive File", "Outlook Express"]],
    "DC6": [["Image file", "Diablo II"]],
    "DCA": [["Document Content Architecture text file", "IBM DisplayWrite",]],
    "DCC": [["Animation", "Diablo II"]],
    "DCD": [["CAD Drawing File", "DesignCAD 3DMax for Windows"]],
    "DC": [["CAD drawing file", "DesignCAD 3000 for Windows"]],
    "DCF": [["floppy disk image", "Disk Copy Fast"]],
    "DCH": [["Schematic Drawing file", "DipTrace Schematic Capture"]],
    "DCI": [["Dreamcast Save File", "Dreamcast"]],
    "DCL": [["Delphi Control Library", "Borland Delphi"]],
    "DCM": [["DCM music module", "AWAVE"]],
    "DCP": [["OS/2 device code page", "OS/2"]],
    "DCS": [["Datafile", "ACT! Activity Files"]],
    "DCT": [["DataBaseContainer Extension", "Visual FoxPro"]],
    "DCU": [["Delphi unit (compiled)", "Borland Delphi"]],
    "DCW": [["Walter Machine Programing", "Walter Profile Editor"]],
    "DCX": [["DataBaseContainer Index", "Visual FoxPro"]],
    "DDA": [["Data", "GLBasic ASCII 3D object"]],
    "DDB": [["Digidesign Database File", "Digidesign Pro Tools"]],
    "DDD": [["Building Diagram", "Diagramming software"]],
    "DD": [["Macintosh file archive", "DiskDoubler"]],
    "D": [["Directory containing configuration files (informal standard)", "Unix",]],
    "DDI": [["Disk image", "DiskDupe"]],
    "DDP": [["Device Driver Profile file", "OS/2"]],
    "DDS": [["DirectDraw Surface file", "Microsoft Flight Simulator, other Microsoft programs",]],
    "DEB": [["DEBUG script", "DOS Debug"]],
    "DEF": [["Linker definition file", "TLink - WLink..."]],
    "DEM": [["Vista DEM file", "Meta.exe VP3"]],
    "DER": [["Security certificate", "Microsoft Windows"]],
    "___": [["Adinf table", "Adinf"]],
    "??$": [["Backup file", "P-CAD"]],
    "@@@": [["DOS 2.0 - 3.2 backup control file", "DOS commands BACKUP and RESTORE",]],
    "$$$": [["Temporary file", ""]],
    "~$~": [["Temporary file", "1st Reader"]],
    "###": [["Temporary file", "Program-dependent format"]],
    "$?": [["ZX Spectrum file in HOBETA format", ""]],
    "DES": [["Ascii text parameter description", "AWAVE"]],
    "DESKLINK": [["Windows Explorer Desktop Control (commonly 'Desktop (create shortcut).DESKLINK', 0 bytes). Uses a 'special' hidden file extension (NeverShowExt flag inside the Registry), overriding the Windows Explorer option of showing/hiding file extensions.", "",]],
    "DESKTOP": [["Desktop Entry", "freedesktop.org"]],
    "DEV": [["Dev-C++ project file", "Dev-C++"]],
    "DEX": [["Dalvik executable", "Android"]],
    "DFD": [["Data Flow Diagram graphic file", "Prosa"]],
    "DFF": [["RenderWare model data (e.g. Grand Theft Auto III and later)", "",]],
    "DFI": [["Outline font description", "Digifont"]],
    "DFL": [["Default program settings", "Signature"]],
    "DFM": [["Delphi form module", "Borland Delphi"]],
    "DFS": [["Delight Sound File", ""]],
    "DFTI": [["Dynamic Formatted Text and Images (Word Processing)", "FlexiWrite",]],
    "DFV": [["Printing form (Word)", "Microsoft Word"]],
    "DFX": [["Micrografx Effects DLL", ""]],
    "DGN": [["Graphics file", "MicroStation"]],
    "DGS": [["Diagnostics", ""]],
    "DH": [["Dependency information for .ph", "Geoworks"]],
    "DHP": [["Dr. Halo PIC Format graphics file", "Dr. Halo II - III",]],
    "DHT": [["Datafile", "Gauss"]],
    "DIA": [["Diagraph graphics file", "Computer Support Corporation",]],
    "DIB": [["Device Independent Bitmap", "rarely used Windows 3.0 bitmap; Win - OS/2",]],
    "DIC": [["Dictionary (e.g. from WinWord)", ""]],
    "DICOM": [["Digital Imaging and Communications in Medicine (DICOM) bitmap", "DICOM Software (XnView)",]],
    "DI": [["D Programming Language interface file", "DMD"]],
    "DIF": [["SRCCOM, BINCOM output file", "RT-11"]],
    "DIG": [["Sound Designer 1 audio file", "AWAVE"]],
    "DIP": [["PCB Drawing file", "DipTrace PCB Layout"]],
    "DIR": [["Directory listing file", "RT-11"]],
    "DIRED": [["Directory listing (ls format)", "Dired"]],
    "DIS": [["Thesaurus", "CorelDraw"]],
    "DIZ": [["Description file (Description In Zip)", ""]],
    "DJVU": [["DJVU Document Format, a format similar to PDF but with higher compression rates at the same quality.", "DJVU",]],
    "DKB": [["Raytraced graphics", "DKBTrace"]],
    "?DK": [["Disk image", "Loaddskf.exe"]],
    "DLC": [["JDownloader Link Container", "JDownloader"]],
    "DLD": [["", "Lotus 1-2-3"]],
    "DL": [["Animation format (Italian origin)", "Display - DL Viewer",]],
    "DLF": [["Dialogue Live Format", "Produced by Exstream Dialogue and edited by Dialogue Live Editor",]],
    "DLG": [["Windows SDK dialog editor data file", ""]],
    "DLL": [["Export/import filter", "CorelDRAW"]],
    "DLM": [["Microsoft File Transfer Manager", "Microsoft File Transfer Manager",]],
    "DLP": [["Data", "DAQLab"]],
    "DLS": [["Setup", "Norton Disklock"]],
    "DMF": [["DeleD files", ""]],
    "DMG": [["Apple Disk Image", "Mac OS X (Disk Utility),"]],
    "DMO": [["Demo", "Derive"]],
    "DMP": [["DUMP utility output file", "RT-11"]],
    "DMS": [["Amiga file archive", "DISKMASHER"]],
    "DN": [["3D file", "Adobe Dimension"]],
    "DNG": [["Digital Negative (DNG), a publicly available archival format for the raw files generated by digital cameras", "At least 30 camera models from at least 10 manufacturers, and at least 200 software products",]],
    "DNT": [["data", "RSNetWorx Project"]],
    "DOC": [["A Document, or an ASCII text file with text formatting codes in with the text; used by many word processors", "Microsoft Word and others",]],
    "DOCM": [["Microsoft Word 2007 Master document", "Microsoft Word 2007",]],
    "DOCX": [["Office Open XML Text document", "Microsoft Word"]],
    "DO": [["Java servlet file", "Web browser (Various)"]],
    "DOF": [["Delphi project options file", "Borland Delphi"]],
    "DOG": [["Screen file", "Laughing Dog Screen Maker"]],
    "DOH": [["Dependency information for .poh", "Geoworks"]],
    "DOL": [["Nintendo Wii and GameCube proprietary executable format", "Nintendo Wii and GameCube games and software",]],
    "DOR": [["Roland Digital audio file", "Roland"]],
    "DOS": [["Text file containing DOS specific info", ""]],
    "DOT": [["Microsoft Word document template", "Microsoft Word"]],
    "DOTX": [["Office Open XML Text document template", "Microsoft Word",]],
    "DOX": [["Text file", "MultiMate 4.0"]],
    "DOZ": [["Description Out of Zip", "VENDINFO"]],
    "DP": [["Data file", "DataPhile"]],
    "DPF": [["Debrief Plot File", "Debrief"]],
    "DPR": [["Default project- and state-related information", "Borland C++ - Delphi - C",]],
    "DPX": [["Digital Moving Picture Exchange", ""]],
    "DRP": [["Web3D File", "Web3D"]],
    "DRS": [["Display Resource", "WordPerfect for Win"]],
    "DRU": [["Design Rules", "EAGLE"]],
    "DRV": [["Driver", ""]],
    "DRW": [["Designer vector graphics file", "Designer - MicroGraphix",]],
    "DS1": [["Map file", "Diablo II"]],
    "DS4": [["Vector graphics", "Micrografx Designer 4.x"]],
    "DSC": [["Discard file", "Oracle"]],
    "DSD": [["Database", "DataShaper"]],
    "DS": [["TWAIN Data Source", "Any twain-source must supply one xxx.ds file",]],
    "DSF": [["Delusion Digital Sound File", "Delusion"]],
    "DSK": [["Logical disk file", "RT-11"]],
    "DSM": [["Digital Sound Module", "DSI"]],
    "DSN": [["Design", "Object System Designer"]],
    "DSP": [["Visual Studio 6 project file", "Microsoft Visual Studio",]],
    "DSR": [["Driver Resource", "WordPerfect for Win"]],
    "DSS": [["SQL Script for .Time Framework", "Exaktime"]],
    "DST": [["WAIN (Scanner spec) data source DLL", "Win"]],
    "DSV": [["Nintendo DS battery save", "DeSmuME, DraStic"]],
    "DSW": [["Borland C++ 4.x desktop layout file", "BCW.EXE"]],
    "DSY": [["DAISY container file", "ADAKTA.EXE"]],
    "DT1": [["Tile file", "Diablo II"]],
    "DT2": [["msn-emoticon", "paint"]],
    "DTA": [["Data file", "Turbo Pascal - PC-File - Stata"]],
    "DTB": [["Database Backup for .Time Framework", "Exaktime"]],
    "DTD": [["Document Type Definition", ""]],
    "DT_": [["Data fork of a Macintosh file", "Mac-ette"]],
    "DTF": [["Database file", "PFS - Q&A"]],
    "DTL": [["Django template language", "djangoproject"]],
    "DTM": [["DigiTrekker music module", "AWAVE"]],
    "DTO": [["data", "Directory Toolkit output"]],
    "DTP": [["Publication", "Publish-It! upgrades to Greenstreet Publisher",]],
    "DTS": [["Device tree source file", "Linux kernel project"]],
    "DTSI": [["Device tree include file", "Linux kernel project"]],
    "DVC": [["Data", "Lotus 1-2-3"]],
    "DVDPROJ": [["iDVD project file", "iDVD (Apple iLife '08)"]],
    "DVI": [["DeVice Independent document", "TeX"]],
    "DVP": [["Device parameter file", "AutoCAD"]],
    "DW2": [["Drawing", "DesignCAD for DOS, & DesignCAD for Windows",]],
    "DWB": [["Coryphaeus Software Designers Workbench", "CSD"]],
    "DWC": [["Archive", "DWC"]],
    "DWD": [["DiamondWare Digitized file", "AWAVE"]],
    "DWF": [["Autodesk Design Web Format", "Design Review"]],
    "DWG": [["Drawing", "AutoCAD, IntelliCAD, PowerCAD, Drafix, DraftSight etc.",]],
    "DWZ": [["DVD MovieFactory for TOSHIBA Project File, Designer vector graphics file", "Designer - MicroGraphix or TOSHIBA",]],
    "DX": [["Text file", "DEC WPS/DX format - DEC WPS Plus"]],
    "DXF": [["Drawing Interchange File Format vector graphics", "AutoCAD, IntelliCAD, PowerCAD, etc.",]],
    "DXN": [["Fax", "Fujitsu dexNET"]],
    "DXP": [["ISO creation project file", "CD Burner XP Pro"]],
    "DYLIB": [["Dynamic Library", "Mac OS-X"]],
    "DYN": [["Data", "Lotus 1-2-3"]],
    "E00": [["ArcInfo interchange file", "GIS software"]],
    "E2D": [["2-dimensional vector graphics file", "Editor included in JFire",]],
    "EAR": [["Enterprise archive", "archive"]],
    "EAS": [["Extended file attributes", "OS/2"]],
    "EBA": [["Source code", "Emergence BASIC"]],
    "EBD": [["versions of DOS system files (AUTOEXEC.BAT, COMMAND.COM, CONFIG.SYS, WINBOOT.SYS, etc. ) for an emergency boot disk", "Windows 98, ME",]],
    "EBJ": [["Error-checking object file", "Geoworks"]],
    "EBQ": [["CITE standard electronic BQ exchange file", ""]],
    "ECC": [["Error-checking file", "dvdisaster"]],
    "EC": [["Source code", "eC"]],
    "ECE": [["Escenic Contenting Engine dynamic page", "Escenic"]],
    "ECMS": [["Status document", "ECMerge"]],
    "ECMT": [["Template document / Session", "ECMerge"]],
    "ED5": [["EDMICS", "GCGW"]],
    "EDA": [["Ensoniq ASR disk image", "AWAVE"]],
    "EDE": [["Ensoniq EPS disk image", "AWAVE"]],
    "E": [["E language source code", "E"]],
    "E##": [["EnCase Evidence File chunk", "EnCase Forensic Analysis Suite entity",]],
    "EDF": [["Exchequer Document Format", "IRIS Software"]],
    "EDK": [["Ensoniq KT disk image", "AWAVE"]],
    "EDL": [["EDL", "Premiere"]],
    "EDQ": [["Ensoniq sq1,2/ks32 disk image", "AWAVE"]],
    "EDS": [["Ensoniq SQ80 disk image", "AWAVE"]],
    "EDT": [["External editors definitions", "DN"]],
    "EDV": [["Ensoniq VFX-SD disk image", "AWAVE"]],
    "EEB": [["Button bar for Equation Editor", "WordPerfect for Win",]],
    "EFA": [["Encrypted File Archive", ""]],
    "EFE": [["Ensoniq EPS instrument file", "AWAVE"]],
    "EFI": [["Extensible Firmware Interface", ""]],
    "EFK": [["Ensoniq KT file", "AWAVE"]],
    "EFQ": [["Ensoniq SQ1/SQ2/KS32 file", "AWAVE"]],
    "EFS": [["Ensoniq SQ80 file", "AWAVE"]],
    "EFT": [["High resolution screen font", "ChiWriter"]],
    "EFV": [["Ensoniq VFX-SD file", "AWAVE"]],
    "EFX": [["Fax", "Everex EFax"]],
    "EGA": [["EGA display font", "Ventura Publisher"]],
    "EIS": [["EIS Spectrum Analyser Project", "EIS Spectrum Analyser",]],
    "EKA": [["Internal data files", "Borland's Eureka"]],
    "ELB": [["Synergy/DE library", ""]],
    "ELC": [["Byte-compiled Emacs Lisp code", "Emacs"]],
    "EL": [["Emacs Lisp source code file", "Emacs"]],
    "ELFO": [["", "ElsterFormular"]],
    "ELI": [["Archive", "ELI"]],
    "ELT": [["Event list text file", "Prosa"]],
    "EMAIL": [["Outlook Express Email Message", "Windows Live Mail, Outlook Express, Microsoft Notepad",]],
    "EMAKER": [["E language source code (maker)", "E"]],
    "EMC": [["Striata Reader Encrypted Document Format", ""]],
    "EMD": [["ABT Extended MoDule", "AWAVE"]],
    "EMF": [["Microsoft Enhanced Metafile", ""]],
    "EML": [["Stationery Template", "Outlook Express"]],
    "EMU": [["Terminal emulation data", "BITCOM"]],
    "EMZ": [["Microsoft Enhanced Metafile compressed with ZIP", "Microsoft Office suite",]],
    "ENC": [["Music", "Encore"]],
    "END": [["Arrow-head definition file", "CorelDRAW"]],
    "ENFF": [["Extended Neutral File Format", ""]],
    "ENG": [["Graphics file (charting)", "EnerGraphics"]],
    "ENV": [["Environment file", "WordPerfect for Win"]],
    "EOSSA": [["Electro-Optic Space Situational Awareness file format", "",]],
    "EOT": [["Embedded OpenType", ""]],
    "EPA": [["Award BIOS splash screen", "Award BIOS, XnView"]],
    "EPD": [["Publication", "Express Publisher"]],
    "EP": [["GUI wireframe/prototype project", "Prikhi Pencil, Evolus Pencil",]],
    "EPI": [["Encapsulated PostScript graphic file", ""]],
    "EPS": [["Encapsulated PostScript (Graphics format)", "CorelDraw - PhotoStyler - PMView - Adobe Illustrator - Ventua Publisher",]],
    "EPUB": [["Electronic Publication - (e-Reader format)", "Okular (Linux) - Apple iBooks - Sony Reader - Adobe Digital Editions - Calibre (LMW)",]],
    "EQN": [["Equation filE", "WordPerfect for Win"]],
    "ERD": [["Entity Relationship Diagram graphic file", "Prosa"]],
    "ERL": [["Erlang source code file", ""]],
    "ERM": [["Entity Relationship Diagram model file", "Prosa"]],
    "ERR": [["Compiler/linker error report", ""]],
    "ESCPCB": [['Data file of "esCAD pcb", PCB Pattern Layout Design Software', "esCAD pcb provided by Electro-System",]],
    "ESCSCH": [['Data file of "esCAD sch", Drawing Schematics Diagram Software', "esCAD sch provided by Electro-System",]],
    "ESD": [["Windows Imaging Format", "ImageX, DISM, 7-Zip, wimlib",]],
    "ESH": [["Extended Shell batch file", ""]],
    "ETF": [["Encrypted Text File. Used in some security programs.", "",]],
    "ETH": [["Document", "Ethnograph 3"]],
    "ETL": [["event trace log file", "Microsoft"]],
    "ETW": [["Proprietary format from EnterTech for the MagicSing/Mic Karaoke product line.", "Enter-Tech",]],
    "ETX": [["Structure-enhanced text for some ascii text browsers", "",]],
    "EU4": [["Save file", "Europa Universalis IV"]],
    "EUI": [["Ensoniq EPS family CD image", "AWAVE"]],
    "EVT": [["Windows Event log file", "Microsoft Windows NT 4.0 - XP; Microsoft Event Viewer",]],
    "EVTX": [["Windows Event log file XML structured", "Microsoft Windows Vista, 7, 8; Microsoft Event Viewer",]],
    "EVY": [["Document", "WordPerfect Envoy"]],
    "EWD": [["Document", "Express Publisher for Windows"]],
    "EX3": [["Device driveR", "Harvard Graphics 3.0"]],
    "EXB": [["Audio File", "E-MU Systems Emulator X Sampler File"]],
    "EXC": [["REXX source code file", "VM/CMS"]],
    "EX": [["Elixir source code file", "Elixir programming language running on BEAM (Erlang virtual machine)",]],
    "EXE": [["Directly executable program", "DOS, OpenVMS, Microsoft Windows, Symbian or OS/2",]],
    "EXF": [["Excute file", "OnHand PC"]],
    "EXM": [["MSDOS executable, system-manager compliant (HP calculator)", "HP calculator",]],
    "EXO": [["YouTube executable file", "YouTube"]],
    "EXP": [["Exports Library File", "VisualStudio"]],
    "EXS": [["Elixir script file", "Interactive Elixir (IEx) shell",]],
    "EXT": [["Extensions descriptions file", ""]],
    "EXX": [["Intermediate file by MsgPut", "IBM LinkWay"]],
    "EZF": [["Fax", "Calculus EZ-Fax"]],
    "EZW": [["easyOFFER document file", "easyOFFER by Reagency Systems Corp.",]],
    "F01": [["Fax", "perfectfax"]],
    "F03": [["Fortran language source code file (in free form)", "Many Fortran compilers",]],
    "F08": [["Fortran language source code file (in free form)", "Fortran compilers",]],
    "F18": [["Fortran language source code file (in free form)", "Fortran compilers",]],
    "F2R": [["Farandole Linear Module", "Farandole"]],
    "F3R": [["Farandole Blocked Linear Module", "Farandole"]],
    "F4A": [["Flash Video F4V with only audio (see also SWF)", "Adobe Flash",]],
    "F4B": [["Flash Video F4V audiobook (see also SWF)", "Adobe Flash",]],
    "F4": [["Fortran IV source code file", "Fortran IV source code"]],
    "F4P": [["Flash Video F4V with digital rights management (see also SWF)", "Adobe Flash",]],
    "F4V": [["A container format for Flash Video that differs from the older FLV file format (see also SWF)", "Adobe Flash",]],
    "F77": [["Fortran language source code file (in fixed form)", "Many Fortran compilers",]],
    "F90": [["Fortran language source code file (in free form)", "Many Fortran compilers",]],
    "F95": [["Fortran language source code file (in free form)", "Many Fortran compilers",]],
    "F96": [["Fax", "Frecom FAX96"]],
    "FAA": [["FASTA format amino acid", ""]],
    "FAC": [["see FACE", ""]],
    "FACE": [["Usenix FACE graphics file", ""]],
    "FA": [["FASTA format sequence file", ""]],
    "FAM": [["Famtasia Famicom image format", "Famtasia"]],
    "FAQ": [["Frequently Asked Questions text file", ""]],
    "FAR": [["Music format (Farandole Composer Module)", "Farandole",]],
    "FAS": [["Macsyma compiled program", ""]],
    "FASTA": [["FASTA format sequence file", ""]],
    "FASTQ": [["FASTQ format sequence file", ""]],
    "FAX": [["Fax (raster graphics in CCITT format)", "most Fax programs",]],
    "FB2": [["FictionBook e-book 2.0 file (DRM-free XML format)", "e-book readers",]],
    "FB2K-COMPONENT": [["foobar2000 Component", "foobar2000"]],
    "FB2K": [["foobar2000 File", "foobar2000"]],
    "FB": [["Backup files", "Fifth Generation Systems FastBack Plus",]],
    "FBM": [["Fuzzy Bitmap", ""]],
    "FBW": [["HP Backup and Recovery Manager", "HP Backup"]],
    "FBX": [["3D model geometry, material textures, lighting, armature, and animation sequences for inter application use/transport", "Autodesk",]],
    "FC": [["Spell checking dictionary", "Harvard Graphics 2.0"]],
    "FCM": [["Binary file patch file (forward compression)", "jlpak10.zip",]],
    "FCP": [["Final Cut Pro project file", "Final Cut Pro"]],
    "FCS": [["Flow cytometry standard file", ""]],
    "FCX": [["Fortimer's Completely eXcised archive", "Unix Archive & CP/M or DOS Archives",]],
    "FDB": [["Font Definition Block", "Ming library"]],
    "FD": [["Front Door' resource files", "FD"]],
    "F": [["Fortran language source code file (in fixed form)", "Many Fortran compilers",]],
    "FDS": [["Headerless Famicom Disk System image", ""]],
    "FDW": [["Form", "F3 Design and Mapping"]],
    "FDX": [["Screenplay", "Final Draft"]],
    "FEB": [["Button bar for Figure Editor", "WordPerfect for Win"]],
    "FE": [["Data", "Surface Evolver 3D surface"]],
    "FEI": [["Fatal Error Infotable", "Geoworks"]],
    "FEN": [["Forsyth–Edwards Notation", "Chess applications -text data describes a specific position.",]],
    "FES": [["File produced when a fileless occurrence in 3D Topicscape is exported to Windows", "3D Topicscape",]],
    "FF": [["Outline font description", "Agfa Compugraphics"]],
    "FFE": [["Front Fareast Famicom image format", ""]],
    "FFF": [["Fax", "defFax"]],
    "FFI": [["Atech FastFont (AllType)", ""]],
    "FFIVW": [["File Format for the Interchange of Virtual Worlds", "",]],
    "FFN": [["FASTA format nucleotide of gene regions", ""]],
    "FFT": [["DCA/FFT Final Form Text text file", "DisplayWrite"]],
    "FH3": [["Vector graphics", "Aldus FreeHand 3.x"]],
    "FH4": [["Vector graphics", "Aldus FreeHand 3.x"]],
    "FI": [["Interface file", "Microsoft Fortran"]],
    "FIF": [["Fractal Image Format file", ""]],
    "FIG": [["Figure File", "MATLAB"]],
    "FIL": [["File which was moved to the Virus Vault by AVG", ""]],
    "FILE": [["A generic Windows file", ""]],
    "FILM": [["Filmkey film file", "Filmkey Player"]],
    "FIN": [["Print-formatted text file", "Perfect Writer - Scribble - MINCE",]],
    "FIO": [["Image PALS viewer DLL", ""]],
    "FIT": [["Fityk Script", "Fityk"]],
    "FITS": [["Flexible Image Transport System", "astronomy software",]],
    "FIX": [["Patch file", ""]],
    "FKY": [["Macro file", "FoxPro"]],
    "FLAC": [["Audio codec, Audio file format", ""]],
    "FLA": [["Source material for Flash applications (see SWF)", "Adobe Flash",]],
    "FLAME": [["Fractal configuration file", "Apophysis"]],
    "FLB": [["Format library", "Papyrus"]],
    "FLC": [["Animation format FLIC >320x200", "AAPlay - Autodesk AniPro",]],
    "FLD": [["Folder", "Charisma"]],
    "FLI": [["TeX font library", "EmTeX"]],
    "FLM": [["Fl Studio Mobile project file", "Fruity Loops Mobile (FlStudio Mobile)",]],
    "FLP": [["FLP Designer layout file", "FLP Designer"]],
    "FLT": [["Support file - graphics filter", "Asymetrix ToolBook"]],
    "FLV": [["A container format for Flash Video (see also SWF)", "Adobe Flash",]],
    "FLX": [["Compiled binary", "DataFlex"]],
    "FM1": [["Spreadsheet format overlay", "Lotus 1-2-3 release 2.x",]],
    "FM3": [["Spreadsheet", "Lotus 1-2-3 release 3.x"]],
    "FMB": [["File Manager Button bar", "WordPerfect for Win"]],
    "FM": [["Database", "FileMaker Pro"]],
    "FMF": [["Font or icon file", "IBM LinkWay"]],
    "FMK": [["Makefile", "Fortran PowerStation"]],
    "FMO": [["Compiled format file", "dBASE IV"]],
    "FMT": [["Style sheet", "Sprint"]],
    "FMV": [["Full Motion Video file", ""]],
    "FN3": [["Font file", "Harvard Graphics 3.0"]],
    "FNA": [["FASTA format nucleic acid", ""]],
    "FND": [["Files searching properties", "Win95"]],
    "FNI": [["FileNet Native Document", "FileNet"]],
    "FNK": [["FunkTracker music module", "AWAVE, FunkTracker"]],
    "FNM": [["Fannie Mae Residential Loan Data (RLD) format for mortgage submission to DO/DU", "Desktop Originator",]],
    "FNN": [["DOS screen text font - height nn pixels", "fntcol13.zip",]],
    "FNT": [["Font file", "many"]],
    "FNX": [["Inactive font", "Exact"]],
    "FO1": [["Font file", "Borland Turbo C"]],
    "FO2": [["Font file", "Borland Turbo C"]],
    "FOG": [["Fontographer Database File", "Fontographer 3.5"]],
    "FOL": [["Folder of saved messages", "1st Reader"]],
    "FON": [["Windows bitmapped font file", "Win"]],
    "FONT": [["Font data", "unix"]],
    "FOP": [["Freedom of the Press graphic file", ""]],
    "FOR": [["Fortran language source file", "many"]],
    "FOT": [["Installed Truetype font", "Windows Font Installer"]],
    "FOX": [["Foxbase executable (precompiled .prg)", "FoxBase"]],
    "FP3": [["Database", "FileMaker Pro"]],
    "FP4": [["Database", "FileMaker Pro"]],
    "FP5": [["Database", "FileMaker Pro"]],
    "FP7": [["Database", "FileMaker Pro"]],
    "FPC": [["Catalog", "FoxPro"]],
    "FPD": [["TMT Pascal compiled unit", "TMT Pascal"]],
    "FP": [["Video file", "DVICO/TVIX MPEG1 video file"]],
    "FPL": [["Playlist", ""]],
    "FPM": [["Configuration file", "FoxPro for MacIntosh"]],
    "FPT": [["Foxpro memo field tables", "FoxPro"]],
    "FPU": [["Configuration file", "FoxPro for Unix"]],
    "FPW": [["Configuration file", "Visual FoxPro"]],
    "FPX": [["FlashPix Bitmap Image File", "FlashPix"]],
    "FQ": [["FASTQ format sequence file", ""]],
    "FR3": [["Renamed dBASE III+ form file", "dBASE IV"]],
    "FR?": [["Packed mail", "FTN software"]],
    "FRF": [["FontMonger Database file", "FontMonger"]],
    "FRG": [["Uncompiled report file", "dBASE IV"]],
    "FRL": [["GP-Forth library", "GP-Forth"]],
    "FRM": [["MySQL Database Metadata", "MySQL"]],
    "FRN": [["FASTA format non-coding RNA", ""]],
    "FRO": [["Compiled report file", "dBASE IV"]],
    "FRP": [["Form", "PerForm PRO Plus - FormFlow"]],
    "FRS": [["Screen Font Resource", "WordPerfect for Win"]],
    "FRT": [["GP-Forth source file", "GP-Forth"]],
    "FRX": [["Visual Basic binary program file", "Visual Basic"]],
    "FSA": [["Applied Biosystems Genetic Analysis data file", "GeneScan",]],
    "FSIM": [["Simulation File Format", "Loudsoft"]],
    "FSL": [["Form", "Paradox for Windows"]],
    "FSM": [["Farandole Composer WaveSample", "Farandole"]],
    "FSPROJ": [["Habanero Firestarter project", "Habanero Firestarter",]],
    "FST": [["Temporal database file", "GTKWave data file"]],
    "FSTICK": [["Temporal database file", "Flash Joystick"]],
    "FSX": [["Data", "Lotus 1-2-3"]],
    "FTB": [["Compressed Ftb file", "Family Tree Builder"]],
    "FTH": [["foobar2000 Theme File", "foobar2000"]],
    "FTM": [["Font file", "Micrografx"]],
    "FTP": [["Configuration", "FTP Software PC/TCP"]],
    "FTS": [["Full text search index of old Windows Help file", "Windows 3.0 - XP",]],
    "FTXT": [["text", "Cloanto text document"]],
    "FUK": [["Map File", "Postal 2"]],
    "FW2": [["Database", "Framework II"]],
    "FW3": [["Database", "Framework III"]],
    "FW": [["Database", "FrameWork"]],
    "FWEB": [["Fortran WEB", ""]],
    "FXD": [["Phonebook", "FAXit"]],
    "FX": [["On-line guide", "FastLynx"]],
    "FXP": [["Foxpro executable (precompiled .prg)", "Visual FoxPro",]],
    "FXS": [["FAX Transmit Format graphics file", "WinFax"]],
    "FYF": [["FileLoc", "FyTek, Inc."]],
    "G16": [["GoldED for DOS compiled config", "GOLDED.EXE"]],
    "G3D": [["Glest model file", "G3D viewer"]],
    "G3": [["Group 3 Fax", "Netpbm, ImageMagick, XnView"]],
    "G3P": [["data", "Grand Prix 3 car physics"]],
    "G8": [["Raw graphics file (one byte per pixel) plane three", "PicLab - Cubicomb Picturemaker",]],
    "GAF": [["Globa Game Engine audio format", "Globa Game Engine"]],
    "GAM": [["Fax", "GammaFax"]],
    "GAME": [["Chess Game", "macOS Chess"]],
    "GAMEPROJ": [["Gamesalad game project format", "GameSalad"]],
    "GAUPOL-EXTENSION": [["", "Gaupol"]],
    "GB1": [["Game Maker backup file (can also be GB2, GB3, etc.)", "",]],
    "GBA": [["Game Boy Advance ROM", "Nintendo"]],
    "GBC": [["Game Boy Color ROM", "Nintendo"]],
    "GB": [["GenBank flat file", ""]],
    "GBK": [["GenBank flat file", ""]],
    "GBL": [["Global module in Basic programs", "Basic"]],
    "GBP": [["Genesis Bitmap Pattern", "Genesis Bitmap"]],
    "GBR": [["GIMP brush", ""]],
    "GBS": [["GBS meta data", "Generic Build Support (GBS)"]],
    "GC1": [["Lisp source code", "Golden Common Lisp 1.1"]],
    "GC3": [["Lisp source code", "Golden Common Lisp 1.3"]],
    "GCA": [["IBM GOCA", "GCGW"]],
    "GCD": [["Generic Cadd drawing", "Generic Cadd, Visual Cadd"]],
    "GC": [["Savegame", "Star Wars: Battlefront II Galactic Conquest save file",]],
    "GCF": [["Game cache file", "Steam content delivery system"]],
    "GCH": [["GNU preprocessed C++ header file", "GNU C++ compiler"]],
    "GCI": [["Nintendo GameCube save file", "Nintendo GameCube"]],
    "GCW": [["Microsoft Mathematics Worksheet", "Microsoft Mathematics",]],
    "GCX": [["Graph file", "Mac OS X Grapher"]],
    "GD3": [["Game Doctor Super NES ROM image", ""]],
    "G": [["Data chart", "APPLAUSE"]],
    "GDF": [["IBM Graphics Data Format", "Legacy IBM systems"]],
    "GDL": [["Data", "ArchiCAD model"]],
    "GDS": [["McDonnell-Douglas Things", ""]],
    "GDT": [["Gerätedatentransfer, an xDT application", "Healthcare providers in Germany",]],
    "GED": [["Game Editor Data / project file, GEDCOM file",  # CHANGED
        "Game Editor, Geneology software",]],
    "GE": [["GEcho config file", "GEcho"]],
    "GEM": [["Vector graphics file", "GEM - Ventura Publisher"]],
    "GENBANK": [["GenBank flat file", ""]],
    "GEN": [["Generated text", "Ventura Publisher"]],
    "GEO": [["GoldED for OS/2 compiled config file", "GED2.EXE"]],
    "GEX": [["GEcho config file", "GEcho"]],
    "GFB": [["Compressed GIF image created by GIFBLAST", "gifblast.exe",]],
    "GFF": [["General feature format", ""]],
    "GFO": [["SGI Radiosity", ""]],
    "GFT": [["GEM-translator font file", ""]],
    "GFX": [["PCBoard @X-coded colorful text", "GFX2COM - GFX2EXE"]],
    "GHO": [["Norton Ghost File (first file)", "Symantec"]],
    "GHS": [["Norton Ghost File (split file)", "Symantec"]],
    "GHW": [["GHDL Wave file", "GHDL/GTKWave data file"]],
    "GIB": [["GIMP animated brush", ""]],
    "GID": [["Global index of old Windows Help file", "Windows 3.0 - XP",]],
    "GI": [["Disk image", "Roxio"]],
    "GIF": [["Compuserves' Graphics Interchange Format (bitmapped graphics)", "QPeg - Display - CompuShow",]],
    "GIW": [["Presentation", "Graph-in-the-Box for Windows"]],
    "GKH": [["Ensoniq Disk Image (VFX, SD, EPS, ASR, TS)", "Ensoniq",]],
    "GKS": [["Graphics Kernel System", ""]],
    "GLB": [["Global module in Basic programs", ""]],
    "GL": [["Animation", "GRASP GRAphical System for Presentation"]],
    "GLM": [["Datafile, KernelCAD model", "Glim, KernelCAD"]],
    "GLO": [["Global module in Basic programs", ""]],
    "GLS": [["Datafile", "Across"]],
    "GLY": [["Winword Glossary", "Microsoft Word"]],
    "GM6": [["GameMaker Editable file as of version 6.x", "Game Maker",]],
    "GM81": [["GameMaker Editable file as of version 8.1.x", "Game Maker",]],
    "GMD": [["GameMaker Editable file up to version 5.x", "Game Maker",]],
    "GMF": [["CGM graphics file", "APPLAUSE"]],
    "GMK": [["GameMaker Editable file as of version 7.x or 8.x", "Game Maker",]],
    "GML": [["Geography Markup Language File", "Geography Markup Language",]],
    "GMOD": [["Data", "Golgotha 3D model"]],
    "GMP": [["Geomorph tile map", "SPX"]],
    "GMS": [["Gesture and Motion File Formats", ""]],
    "GMT": [["data", "RFactor car physics"]],
    "GMX": [["GameMaker:Studio Editable File as of 1.x", "Game Maker",]],
    "GND": [["GNUnet directory file", "gnunet-fs"]],
    "GOC": [["Goc source code file", "Geoworks"]],
    "GO": [["Go source code file", "Golang"]],
    "GOE": [["GOES graphic file", ""]],
    "GOH": [["Goc header file", "Geoworks"]],
    "GP4": [["data", "Grand Prix 4 car physics"]],
    "GP5": [["Guitar Pro 5 song", "Guitar Pro 5"]],
    "GP": [["Great Programmable Calculator script source code", "PARI/GP",]],
    "GPH": [["Graph", "Lotus 1-2-3/G"]],
    "GPK": [["Omnigo program package", ""]],
    "GPL": [["GIMP palette file (text)", "GIMP, Inkscape"]],
    "GPX": [["GPS eXchange Format", ""]],
    "GR2": [["Screen driver", "Windows 3.x"]],
    "GRA": [["Datafile", "SigmaPlot"]],
    "GRADS": [["Metafile", ""]],
    "GRAFFLE": [["OmniGraffle graph file", ""]],
    "GRASP": [["Graphical System for Presentation", ""]],
    "GRB": [["MS-DOS Shell Monitor file", "MS-DOS 5"]],
    "GRD": [["Drivers for GRX (graphics library)", "GRX (c) Free Soft. Found.",]],
    "GRDNT": [["Image format used in the core of some very obscure customized operating systems to represent gradients; see also SCTOR", "",]],
    "GRE": [["data", "Grenoble Thermal ellipsoids Plot Program"]],
    "GREENFOOT": [["Greenfoot Project", "Greenfoot"]],
    "GRF": [["Graph file", "Graph Plus, DPlot, and Charisma"]],
    "GRFT": [["Graph definition text file", "SELDM Postprocessor"]],
    "GRIB": [["Gridded Binary", ""]],
    "GRN": [["Drivers for GRX (graphics library)", "GRX (c) Free Soft. Found.",]],
    "GRP": [["Pictures group", "PixBase"]],
    "GRY": [["Graphics format (RAW GREYz)", ""]],
    "GS1": [["Presentation", "GraphShow"]],
    "GS3": [["data", "GameStarter"]],
    "GSA": [["data", "Microsoft Office Groove Space Archive"]],
    "GSD": [["Vector graphics", "Professional Draw"]],
    "GS": [["Script written in Google Apps Script, used for automating tasks across online Google products", "Google Apps Script",]],
    "GSM": [["Raw GSM 6.10 audio stream", "AWAVE"]],
    "GSP": [["Geometer's Sketchpad", ""]],
    "GSW": [["Worksheet", "GraphShow"]],
    "GT7": [["RS7 Guided tour", "Redshift 7"]],
    "GTA": [["data", "Microsoft Office Groove Tool Archive"]],
    "GTF": [["Gene transfer format", ""]],
    "GUP": [["", "PopMail"]],
    "GV": [["GrandView outline file", ""]],
    "GVO": [["Data", "GFXFX Vector Object"]],
    "GWI": [["Groupwise File", "Local saved Email"]],
    "GXK": [["Secure Data encryption Format", "Galaxkey"]],
    "GXL": [["Graphics library", "Genus"]],
    "GZ": [["Archive", "GNU zip - WinZipNT"]],
    "GZR": [["data", "GunZ action replay"]],
    "HACK": [["Source file for the programming language hack", "The HHVM",]],
    "HA": [["Archive", "HA"]],
    "HAL": [["Data file", "Hyper Access Lite OS/2"]],
    "HAM": [["Hold And Modify", "Deluxe Paint image file"]],
    "HAP": [["Archive", "HAP3"]],
    "HAR": [["HTTP Archive format (JSON-format web-browser log)", "W3C draft standard",]],
    "HBC": [["Compressed Archive File (Shrink Fast Algorithm)", "Hyperbac",]],
    "HBE": [["Compressed, Encrypted Archive File (Shrink & AES256-bit Encryption)", "Hyperbac",]],
    "HBK": [["MathCAD handbook", "MathCAD"]],
    "HC": [["Header file", ""]],
    "HCG": [["Document", "HCLab"]],
    "HCGS": [["Document", "HCLab"]],
    "HDD": [["HotDisc Designer label", ""]],
    "~H": [["Cardfile heap", "AZZ Cardfile"]],
    "H--": [["C—language header", "Sphinx C--"]],
    "H++": [["Header file", "C++"]],
    "H": [["Header file (usually C language)", "Watcom C/C++"]],
    "H!": [["Pertext database", "HELP.EXE"]],
    "HDF": [["Hierarchical Data File graphics file", "SDSC Image Tools",]],
    "HDL": [["Alternate download file listing", "Procomm Plus"]],
    "HDMP": [["heap dumpfile", ""]],
    "HDR": [["SPOT image file", ""]],
    "HDS": [["Hierarchical Data System", ""]],
    "HDW": [["Vector graphics", "Harvard Draw"]],
    "HDX": [["Help index", "AutoCAD - Zortech C++"]],
    "HDZ": [["Amiga Zip compressed Hard Disk Image", ""]],
    "HEP": [["Novell Help Librarian Data File", "Novell NetWare"]],
    "HEX": [["Hex dump", ""]],
    "HFI": [["HP Font Info file", "GEM"]],
    "HGL": [["HP Graphics Language graphics file", ""]],
    "HH": [["C++ header file", ""]],
    "HHH": [["Precompiled header file", "Power C"]],
    "HHP": [["Microsoft HTML Help project", "Microsoft HTML Help Workshop and Compiler",]],
    "HI": [["Game high scores table", ""]],
    "HIN": [["Molecule", "HyperChem"]],
    "HIS": [["Yard Information File", "FYM"]],
    "HKM": [["Stores sound in a bitmapped graphics file", ""]],
    "HLB": [["Help library", "VAX"]],
    "HLP": [["old Windows Help file", "Windows 3.0 - XP, Help Explorer Viewer",]],
    "HLX": [["Multi Edit help file", "MultiEdit 5.0"]],
    "HLZ": [["Multi Edit packed help file", "MultiEdit"]],
    "HMI": [["Music format (MIDI)", ""]],
    "HMM": [["Alternate Mail Read option menu", "Procomm Plus"]],
    "HMP": [["Hump Setup File - Obsolete as of version 2.4 (See SET and SWT files)", "FYM",]],
    "HNC": [["CNC program files Heidenhain (?) dialog", ""]],
    "HOF": [["HALL OF FAME (GAME SCORES)", ""]], "HOM": [["CAD Software Data File", "PLXHOME"]],
    "HP8": [["ASCII text HP Roman8 character set", "NewWave Write"]],
    "HP9": [["ASCII text HP Roman9 character set", ""]],
    "HP": [["Printout file for HP printers/plotters (HP/GL)", ""]],
    "HPF": [["HP LaserJet fonts", "PageMaker"]],
    "HPG": [["see HPGL", ""]],
    "HPGL": [["Plotter file vector graphics (Hewlett-Packard Graphics Language)", "AutoCad - Harvard Graphics",]],
    "HPI": [["Font information file", "GEM"]],
    "HPJ": [["Help project", "Microsoft Help Compiler for Windows - HC.EXE",]],
    "HPK": [["Archive", "HPACK"]],
    "HPM": [["High Performance Map", "Quaestor 1.x"]],
    "HPPCL": [["Hewlett-Packard Printer Control Language", ""]],
    "HPP": [["C++ header file", "Zortech C++ - Watcom C/C++"]],
    "HQX": [["Archive (ASCII Mac)", "BINHEX"]],
    "HRF": [["Graphics file (Hitachi Raster Format)", ""]],
    "HRM": [["Alternate Main menu for limited/normal users", "Procomm Plus",]],
    "HRZ": [["Graphics format", "SSTV"]],
    "HS": [["Haskell source code", "Haskell compilers"]],
    "HS2": [["Monochrome image", "Postering"]],
    "HSC": [["2-op FM music", "HSC tracker - hscplay.exe"]],
    "HSH": [["Disk image hash file", "DriveSnapshot"]],
    "HSI": [["Handmade Software Inc. graphics file almost JPEG", "Image Alchemy",]],
    "HST": [["History file", "Procomm Plus"]],
    "HTA": [["HTML Application", "Microsoft Windows"]],
    "HTM": [["see HTML", ""]],
    "HTML": [["Hypertext Markup Language (WWW)", "Netscape - Mosaic - many",]],
    "HTX": [["Hypertext file", ""]],
    "HUS": [["Husqvarna Viking Embroidery Format", "Embroidermodder",]],
    "HVE": [["Hive file", "Microsoft"]],
    "HWA": [["Hollywood applet", "Hollywood"]],
    "HWD": [["Presentation", "Hollywood Designer"]],
    "HWP": [["Hangul Word Processor Document", "Hangul (word processor)",]],
    "HWS": [["Hollywood script", "Hollywood"]],
    "HXM": [["Alternate Protocol Selection menu for all users", "Procomm Plus",]],
    "HXS": [["Microsoft Help 2 compiled help file", "Microsoft Windows, Help Explorer Viewer",]],
    "HXX": [["C++ header file", ""]],
    "HY1": [["Hyphenation algorithms", "Ventura Publisher"]],
    "HY2": [["Hyphenation algorithms", "Ventura Publisher"]],
    "HYC": [["Data", "WordPerfect"]],
    "HYD": [["Hyphenation dictionary", "WordPerfect for Win"]],
    "HYP": [["Archive", "HYPER"]],
    "IAK": [["Internet Access Kit", "OS/2"]],
    "IAM": [["Assembly file", "Autodesk Inventor"]],
    "IAX": [["data", "InstallAnywhere.NET project"]],
    "#IB": [["Printer data file", "LocoScript"]],
    "IBE": [["Index Braille Embosser", "Special file for embosser from Index Braille",]],
    "IBG": [["PDS graphic file", ""]],
    "IBM": [["Archive (Internal IBM only)", "ARCHDOS"]],
    "IBRO": [["Robot save file", "Incredibots 2"]],
    "ICA": [["Bitmap graphics (Image Object Content Architecture)", "",]],
    "ICB": [["Targa ICB bitmap graphics", "many raster graphics editors",]],
    "ICC": [["ICC profile", "Color Configuration for color input or output devices",]],
    "ICE": [["LHA Archive", "Cracked LHA (old LHA), Total Commander",]],
    "ICFE": [["IceFormula Equation Workspace", "Penguin George"]],
    "ICFM": [["IceFormula Math Workspace", "Penguin George"]],
    "ICL": [["Icon Library", ""]],
    "ICM": [["ICC configuration", ""]],
    "ICN": [["ICON source code file", ""]],
    "ICO": [["Icon file", "ICONEDIT.EXE; Microsoft Windows"]],
    "IDB": [["VC++ Minimum Rebuild Dependency File", "Visual C++"]],
    "IDC": [["IDA C language source", "IDA"]],
    "ID": [["Disk identification file", ""]],
    "IDE": [["Borland C++ 4.x IDE project", "BCW.EXE"]],
    "I": [["SWIG interface file", "SWIG"]],
    "IDF": [["MIDI instrument description or Intermediate Data Format", "",]],
    "IDS": [["IDA imported names format", "IDA"]],
    "IDW": [["Drawing file", "Autodesk Inventor"]],
    "IDX": [["Index", "many - FoxPro; also unrelated Quicken file format",]],
    "IFC": [["Industry Foundation Classes (platform neutral, open file format used by BIM software). It is registered by ISO and is an official International Standard ISO 16739-1:2018.", "BIM softwares.",]],
    "IFD": [["Form", "JetForm Design"]],
    "IFF": [["Sun TAAC Image File Format", "SDSC Image Tool"]],
    "IFP": [["Script", "KnowledgeMan"]],
    "IFS": [["Installable file system", "OS/2"]],
    "IGC": [["Flight tracks downloaded from GPS devices in the International Gliding Commission's prescribed format", "",]],
    "IGES": [["Initial Graphics Exchange Specification", ""]],
    "IGF": [["LasershowGen Frames", "LasershowGen"]],
    "IGP": [["LasershowGen Project", "LasershowGen"]],
    "IHP": [["Watcom help file", "whelp.exe"]],
    "IHS": [["Inbound History", "Bink/+"]],
    "IIW": [["Power Point Image Importer Wizard", ""]],
    "ILB": [["Data", "Scream Tracker"]],
    "IL": [["hDC Designer Icon Lin dll format", ""]],
    "ILG": [["data", "LaTeX Index Generation log"]],
    "ILK": [["Outline of program's format", "Microsoft ILink incremental linker",]],
    "ILX": [["ILMTXT Scrolling Text File Viewer executable file", "ILMTXT",]],
    "IM8": [["Sun Raster graphics file", ""]],
    "IMA": [["Disk image", "WinImage"]],
    "IM": [["Auran Jet indexed mesh file", "Trainz"]],
    "IMG": [["Vivid IMG file", ""]],
    "IMI": [["image", "Magellan eXplorist map"]],
    "IMMODULES": [["Module", "GTK+"]],
    "IMP": [["Spreadsheet", "Lotus Improv"]],
    "IMQ": [["Image presentation", "ImageQ"]],
    "IMZ": [["Disk image", "WinImage"]],
    "IN3": [["Input device driver", "Harvard Graphics 3.0"]],
    "INB": [["Test script", "Vermont HighTest"]],
    "INC": [["Include file", "several programming languages"]],
    "INDD": [["InDesign Document", "Adobe InDesign"]],
    "IND": [["Data Index", "dBASE IV"]],
    "IN": [["autoconf INput file", ""]],
    "IN$": [["Installation file", "HP NewWave"]],
    "INF": [["Type 1 LaserJet font information file", "soft font installers",]],
    "INFO": [["Icon Data (Amiga)", ""]],
    "INGR": [["Intergraph Raster File Format", ""]],
    "INI": [["Initialization file", ""]],
    "INK": [["Pantone reference fills file", "CorelDRAW"]],
    "INO": [["Arduino file", "Arduino"]],
    "INS": [["Instrument music file (Adlib)", ""]],
    "INT": [["Source of Borland interface module", ""]],
    "INX": [["Index", "Foxbase"]],
    "IOB": [["3d graphics database in TDDD format", "Imagine"]],
    "IOC": [["Organizational chart", "Instant ORGcharting!"]],
    "IO": [["Archive", "CPIO"]],
    "ION": [["4DOS DESCRIPT.ION file (file descriptions like long filenames, comments, or extended attributes)", "4DOS, NDOS, 4OS2, 4NT, TC, TCC, VC, DN, ODN, NDN, Windows Commander, Total Commander, Double Commander, XnView, ACDSee, Newsbin Pro, V, as well as some CUI LIB-based applications",]],
    "IPA": [["Apple iOS Application", "iPhone, iPod touch, iPad"]],
    "IPC": [["Intellitec Program Configuration - used to configure vehicle electronics", "Intellitec",]],
    "IP": [["Immortal Player file", "Immortal Player"]],
    "IPF": [["Interchangeable Preservation Format", "SoftPres"]],
    "IPG": [["iPod game file", "iTunes and iPod"]],
    "IPH": [["Hi-Res Image", "InterPaint"]],
    "IPL": [["Pantone Spot reference palette file", "CorelDRAW"]],
    "IPN": [["Intecplan project", "Intecplan Business Plan Software",]],
    "IPS": [["IPS Patching Format (International Patching System)[citation needed]", "Rom hacking community",]],
    "IPSW": [["iOS firmware file", "iPhone, iPod touch, iPad, Apple TV",]],
    "IPTC": [["XnView XML-based IPTC template", "XnViewMP"]],
    "IPT": [["XnView IPTC template", "XnView, XnViewMP"]],
    "IPYNB": [["IPython Notebook", "Jupyter Notebook"]],
    "IRRMESH": [["static irrMesh files", ""]],
    "IRS": [["Resource (WordPerfect) standard.irs", "WordPerfect"]],
    "IRT": [["Data", "IRIT 3D model"]],
    "IRTR": [["Graphicon-2000 Interactive Real-Time PHIGS", ""]],
    "ISD": [["Spelling Checker dictionary", "RapidFile"]],
    "ISH": [["Archive", "ISH"]],
    "ISMA": [["Output Video file", "Islam Abusa'a Software"]],
    "ISN": [["InstallShield Installer Source File", "InstallShield"]],
    "ISO": [["ISO-9660 table", "see: List of ISO image software"]],
    "IST": [["Digitrakker Instrument File", "AWAVE"]],
    "IT": [["Settings", "intalk"]],
    "ITF": [["Interface file", "JPI TopSpeed Pascal"]],
    "ITL": [["iTunes music library", ""]],
    "ITN": [["Itinerary file", "TomTom PNDs"]],
    "ITR": [["i-Tree project files", "i-Tree Software Suite"]],
    "ITT": [["IconTweaker Theme", ""]],
    "IV": [["SGI Inventor", ""]],
    "IVE": [["OpenSceneGraph 3D model", ""]],
    "IVI": [["Image file", "ImmerVision"]],
    "IVL": [["Lensflare file", "ImmerVision"]],
    "IVP": [["Panorama file", "ImmerVision"]],
    "IVU": [["User Interface file", "ImmerVision"]],
    "IV-VRML": [["Inventor VRML Format", ""]],
    "IWA": [["Text file", "IBM Writing Assistant"]],
    "IWB": [["Information WorkBench", "Prodeo"]],
    "IWD": [["Call of Duty Map - Game Data Archive", "Activision, Inc.",]],
    "IW": [["Presentation flowchart", "IconAuthor - HSC InterActive",]],
    "IWP": [["Text file", "Wang"]],
    "IX": [["data", "dtSearch index"]],
    "IZT": [["Izl binary token file", "IZL"]],
    "J2C": [["JPEG 2000 image", "JPEG 2000"]],
    "JAD": [["Java Application Descriptor", "Mobile JAR, Java Games and Applications",]],
    "JA": [["Mozilla  archive omni.ja", "Mozilla Firefox 4, Thunderbird",]],
    "JAM": [["Jam music score", "Jam"]],
    "JAR": [["Java archive", "JAR, Java Games and Applications"]],
    "JASC": [["Graphics format (JASC)", ""]],
    "JAS": [["see JASC", ""]],
    "JAVA": [["Java source code file", ""]],
    "JAV": [["see JAVA", ""]],
    "JBD": [["Datafile", "SigmaScan"]],
    "JBIG": [["Joint Bilevel Image Group", ""]],
    "JBX": [["Project file", "Project Scheduler 4"]],
    "JCN": [["JobClock.Net Synch File", ""]],
    "JEF": [["Janome Embroidery Format", "Embroidermodder"]],
    "JET": [["Fax", "Hybrid JetFax"]],
    "JFF": [["see JFIF", ""]],
    "JFIF": [["JPEG File Interchange Format", ""]],
    "JIF": [["see JFIF", ""]],
    "JKS": [["Java Keystore", "Java"]],
    "JMS": [["Music format (JMusic file)", "UltraForce"]],
    "JNLP": [["Java Network Launching Protocol", "Java Web Start"]],
    "JNR": [["Jinx! file recording", "Jinx! LED Matrix control"]],
    "JNX": [["Garmin raster map file", "BirdsEye service (subscription only)",]],
    "JOB": [["QUEUE output file", "RT-11"]],
    "JOR": [["Journal file SQL", ""]],
    "JOU": [["Journal backup", "VAX Edt editor"]],
    "JP2": [["JPEG 2000 image", ""]],
    "JPC": [["Graphics", "Japan PIC"]],
    "JPEG": [["Joint Photographic Experts Group graphics file format", "QPeg - FullView - Display",]],
    "JPG": [["Joint Photographic Group", ""]],
    "JPS": [["backup of startup files (AUTOEXEC.BAT, CONFIG.SYS, 4DOS.INI) by installation of 4DOS (JP Software)", "4DOS",]],
    "JRE": [["Java Runtime Environment", "Java"]],
    "JRN": [["JMP journal", "JMP"]],
    "JS": [["JavaScript file", "script in HTML pages"]],
    "JSON": [["JSON (JavaScript Object Notation)", "Ajax"]],
    "JSONLD": [["JSON-LD, a JSON-based Serialization for Linked Data", "",]],
    "JSP": [["JavaServer Pages", "Dynamic pages running Web servers using Java technology",]],
    "JSX": [["JavaScript XML, an extension to the JavaScript language syntax", "React components",]],
    "JTF": [["Graphics (TIFF file with JPEG compression)", ""]],
    "JL": [["Julia source file", ""]],
    "JVX": [["Data", "JavaView object"]],
    "JW": [["Text document", "JustWrite"]],
    "JWL": [["Library", "JustWrite"]],
    "JZZ": [["Spreadsheet", "Jazz"]],
    "K2A": [["Data", "Prince of Persia 3D object"]],
    "K3D": [["Description of macro language 3DS", "3DS"]],
    "K7Z": [["Keysight 7-Zip File", "Keysight PathWave FPGA"]],
    "KAP": [["Map Info Sea Chart", ""]],
    "KAR": [["Precompiled .prg for KARAT", "Rus. FOX+ 2.0"]],
    "KBA": [["K-Brief Attachment", "TCC's Set-Based Thinking™ Tools",]],
    "KBASIC": [["Source", "KBasic"]],
    "KBD": [["Keyboard mapping", "LocoScript - Signature - Procomm Plus",]],
    "KB": [["K-Brief in XML format", "TCC's Set-Based Thinking™ Tools",]],
    "KBM": [["Keyboard mapping", "Reflection 4.0"]],
    "KBS": [["K-Brief in Encrypted format", "TCC's Set-Based Thinking™ Tools",]],
    "KBZ": [["K-Brief in Compressed format", "TCC's Set-Based Thinking™ Tools",]],
    "KCL": [["Lisp source code", "Kyoto Common Lisp"]],
    "KDB": [["KeePass 1.x database file", "KeePass"]],
    "KDBX": [["KeePass 2.x database file", "KeePass"]],
    "KDC": [["Kodak Digital Camera (graphics)", "PhotoEnhancer by PictureWorks",]],
    "KD": [["Koara Document", "Koara"]],
    "KDLG": [["Datalog", "KTuner"]],
    "KEP": [["(unknown)", "(unknown)"]],
    "KEX": [["Kedit Macro File", "Kedit"]],
    "KEXT": [["macOS Kernel Extension", "macOS"]],
    "KEY": [["Keynote", "iOS devices, Macintosh"]],
    "KFDK": [["Keysight PathWave FPGA Design File", "Keysight PathWave FPGA",]],
    "KFN": [["complex music format|", "Karafun Karaoke(R)"]],
    "KFX": [["Kofax Group", "GCGW"]],
    "KIT": [["Power Chords drum kit file", "Power Chord"]],
    "KMC": [["KatzReview's MegaCrammer", ""]],
    "KML": [["Kedit Macro Library Keyhole Markup Language", "KeditGoogle Earth",]],
    "KMY": [["data", "KMyMoney"]],
    "KMZ": [["Keyhole Markup Language (Zip compressed)", "Google Earth",]],
    "KNN": [["Database key file", "Clarion"]],
    "KNO": [["Personal Knowbase data file", "Personal Knowbase"]],
    "KODE": [["Encrypted File", "KodeFile"]],
    "KO": [["linux kernel object file", "linux kernel"]],
    "KODU": [["Kodu game save file", "Kodu Game Lab"]],
    "KPL": [["source code", "Phrogram"]],
    "KPP": [["Toolpad", "SmartPad"]],
    "KPS": [["IBM KIPS bitmap graphics", ""]],
    "KR1": [["Kurzweil 2000 sample file", "AWAVE"]],
    "KR2": [["Kurzweil 2000 sample file", "AWAVE"]],
    "KRZ": [["Kurzweil K2000 File", "Kurzweil"]],
    "KS3": [["Data", "3D Forgastest Editor object"]],
    "KS": [["Source code", "KonsolScript Document"]],
    "KSM": [["Pfaff Embroidery Format", "Embroidermodder"]],
    "KT": [["Kotlin source code", "Kotlin Programming Language"]],
    "KTU": [["Know The Unknown Online Service Packs", "Unknownsoft"]],
    "KWB": [["Knowledge WorkBench", "Prodeo"]],
    "KYB": [["Keyboard mapping", "FTP Software PC/TCP"]],
    "LA0": [["Datafile", "SCUMM index file"]],
    "LAB": [["Mailing labels", "Q+E for Microsoft Excel"]],
    "LACCDB": [["Access lock file", "Microsoft Access"]],
    "LAN": [["LAN Drivers", "Novell NetWare"]],
    "LANG": [["Language file", "Minecraft, Skype"]],
    "LAS": [["Lasso File", "Lasso Programming Language File"]],
    "LASSO": [["Lasso File", "Lasso Programming Language File"]],
    "LAY": [["Word chart layout", "APPLAUSE"]],
    "LBG": [["Label generator data", "dBASE IV"]],
    "LBL": [["Label", "dBASE IV - Clipper 5 - dBFast"]],
    "LBM": [["Linear bitmap graphics", "XLib"]],
    "LBO": [["Compiled label", "dBASE IV"]],
    "LBR": [["EAGLE library file", "EAGLE (program)EAGLE"]],
    "LBT": [["Additional (FPT) label description file", "FoxPro"]],
    "LBX": [["Main (DBF) label description file", "FoxPro"]],
    "LCF": [["Linker Control File", "Norton Guides compiler"]],
    "LCH": [["Chart", "IBM Works for OS/2"]],
    "LCK": [["Lockfile", "Paradox"]],
    "LCL": [["Data", "FTP Software PC/TCP"]],
    "LCN": [["Lection", "WordPerfect"]],
    "LCS": [["Datafile", "ACT! History Files"]],
    "LCW": [["Spreadsheet", "Lucid 3-D"]],
    "LD1": [["Overlay file", "dBASE"]],
    "LDA": [["Absolute binary file (load image)", "PDP-11, RT-11"]],
    "LDB": [["Overlay file", "Microsoft Access"]],
    "LD": [["Long Distance codes file", "Telix"]],
    "L": [["LISP source code file", ""]],
    "LDF": [["Library definition file", "Geoworks Glue"]],
    "LDR": [["LDraw file", "LDraw"]],
    "LDT": [["Labordatenträger, an xDT application", "Healthcare providers in Germany",]],
    "LE": [["DOS/4GW executable image", "DOS/4GW PM 32X DOS Extender",]],
    "LES": [["Lesson (check *.cbt)", ""]],
    "LEV": [["Level file", "NetHack 3.x"]],
    "LEX": [["Dictionary", "Microsoft Word - Lexicon"]],
    "LFD": [["LucasArts resource file", "LucasArts games"]],
    "LFL": [["LucasArts resource file", ""]],
    "LFT": [["Laser printer font", "ChiWriter"]],
    "LG": [["Logo procedure definitions", "LSRHS Logo"]],
    "LGO": [["Startup logo code", "Windows 3.x"]],
    "LGP": [["LG Plate file", "Lase Graphic Number plate software"]],
    "LGS": [["LG Sign file", "Laser Graphic Signs Software"]],
    "LHA": [["LHA Archive", "LHA/LHARC, Total Commander"]],
    "LHW": [["Amiga archive", "LHWARP"]],
    "LIB": [["Library file", "several programming languages"]],
    "LIC": [["License file used by some programs to put their license on disk", "",]],
    "LICENSE": [["License file used by some programs to put their license on disk", "",]],
    "LIF": [["Logical Interchange Format data file", "Hewlett-Packard",]],
    "LIM": [["Archive", "LIMIT"]],
    "LIN": [["Line types", "AutoCAD"]],
    "LIS": [["Listing", "VAX"]],
    "LISP": [["LISP source code file", ""]],
    "LIT": [["Web3D File", "Web3D"]],
    "LIX": [["Log file (history)", "Audit Command Language (ACL)"]],
    "LJ": [["Text file for HP LJ II printer", ""]],
    "LL3": [["LapLink III related file (document)", "LapLink III"]],
    "LL": [["LLVM Assembly Language", "llvm"]],
    "LM": [["Auran Jet LOD mesh table (text file to control LODs)", "Trainz",]],
    "LMP": [['Doom lump (data file, commonly "demo" recordings)', "Doom - Doom2",]],
    "LNG": [["Language definition file", ""]],
    "LNK": [["Windows XP shortcut", "Windows XP"]],
    "LOADERS": [["Loaders", "GTK+"]],
    "LOCK": [["Lockfile", "Various systems"]],
    "LOD": [["Load file", ""]],
    "LOG": [["Log file", "Numerous systems"]],
    "LOM": [["3D Model", "Lock On: Modern Air Combat"]],
    "LOVE": [["LÖVE Game File", "LÖVE"]],
    "LPC": [["Printer driver", "TEKO"]],
    "LRC": [["Lyrics data", ""]],
    "LRF": [["Unencrypted BroadBand eBook file", "Sony Librie eBook reader",]],
    "LRMODULE": [["Adobe Photoshop Lightroom Module", "Adobe Photoshop Lightroom",]],
    "LRP": [["Report", "IBM Works for OS/2"]],
    "LRPLUGIN": [["Adobe Photoshop Lightroom Plug-in", "Adobe Photoshop Lightroom",]],
    "LRS": [["Language Resource File", "WordPerfect for Win"]],
    "LRWEB": [["Adobe Photoshop Lightroom Web Gallery", "Adobe Photoshop Lightroom",]],
    "LRX": [["Encrypted BroadBand eBook file", "Sony Librie eBook reader",]],
    "LSA": [["Lingvo system audio", "ABBYY Lingvo"]],
    "LSB": [["Lightscape Technologies Binary", ""]],
    "LSC": [["Leostream Connect file", "Leostream Corporation"]],
    "LSD": [["Lingvo system dictionary", "ABBYY Lingvo"]],
    "LS": [["LiveScript source code file", ""]],
    "LSP": [["LISP source code file", "Xlisp, AutoLISP"]],
    "LSS": [["SYSLINUX Splash Screen Graphic", "SYSLINUX, XnView"]],
    "LST": [["SLP output file", "RT-11"]],
    "LTA": [["Data", "LithTech ASCII 3D object"]],
    "LTM": [["Form (Lotus Forms)", "Lotus"]],
    "LUA": [["Lua script file", "Microsoft Visual C++, Notepad++"]],
    "LUD": [["Lingvo user dictionary", "ABBYY Lingvo"]],
    "LUW": [["label data file", "Labels Unlimited for Windows"]],
    "LUX": [["2D and 3D graphics data file", "Foliomap and Spectramap",]],
    "LUZ": [["3D graphics data file", "Spectramap CUDA"]],
    "LWD": [["Text document", "LotusWorks"]],
    "LWO": [["Lightwave Object Format", ""]],
    "LWP": [["Word processor", "IBM Works for OS/2, Lotus Wordpro"]],
    "LXF": [["Lego Exchange Format", "Lego Digital Designer data file",]],
    "LXO": [["Luxology scene", "modo3D software"]],
    "LXT": [["Temporal database file", "GTKWave data file"]],
    "LY": [["LilyPond Notation File", "LilyPond"]],
    "LYR": [["Lyrics (ASCII)", ""]],
    "LYT": [["Document Layout file", "Adminsoft Accounts"]],
    "LZD": [["Difference file for binaries", "LDiff 1.20"]],
    "LZ": [["Archive", "Lzip"]],
    "LZH": [["LHA Archive", "LHA/LHARC, Total Commander"]],
    "LZS": [["LHA Archive", "LARC, Total Commander"]],
    "LZW": [["Archive", "LHWARP"]],
    "LZX": [["Amiga Archive", "LZX"]],
    "M2": [["WoW Model Object file", "Blizzard Entertainment games (World of Warcraft/Warcraft series)",]],
    "M2TS": [["MPEG 2 Transport Stream", "Various media playback devices / software",]],
    "M3U8": [["Unicode version of M3U playlist file (UTF-8)", "Winamp, XMMS",]],
    "M3U": [["M3U playlist file", "Winamp, XMMS"]],
    "M4A": [["Advanced Audio Coding", ""]],
    "M4": [["m4 macro file", ""]],
    "M4P": [["Advanced Video Coding (Protected)", "iTunes"]],
    "M4R": [["iPhone ringtone", "iTunes and iOS devices"]],
    "M4V": [["Advanced Video Coding (See MP4)", ""]],
    "M7P": [["Multilizer 2007 and 2009 localization project file", "Multilizer",]],
    "M8M": [["8MAM8 Model File", ""]],
    "MAFF": [["Mozilla Archive Format", "Mozilla Firefox (with add-on)",]],
    "MAI": [["Mail", "VAX"]],
    "MAK": [["Project file", "VB – VC ++"]],
    "MANAGER": [["Accounting data file", "Manager – free accounting software",]],
    "MAN": [["User guide (manual)", ""]],
    "MANIFEST": [["Manifest file", ""]],
    "MAP": [["Game map for Duke Nukem 3D", ""]],
    "MAR": [["Mozilla ARchive", "Mozilla Updater (used to house binary updates to products)",]],
    "MAS": [["SmartMaster set", "Freelance Graphics"]],
    "MAT": [["Microsoft Access Table", "Microsoft Access"]],
    "MAX": [["Pfaff Embroidery Format", "Embroidermodder"]],
    "MB": [["Memo field values for database", "Paradox"]],
    "MBK": [["Multiple index file backup", "dBASE IV"]],
    "MBP": [["Metadata", ".mobi (Mobipocket)"]],
    "MBR": [["Master Boot Record File", "GRUB"]],
    "MBX": [["Mailbox data", "Eudora/ZERBERUS"]],
    "MCA": [['Minecraft "Anvil" world format', "Minecraft 1.2 and onward",]],
    "MCC": [["Configuration file", "Mathcad"]],
    "MCD": [["MathCad file", "MathCad"]],
    "MCF": [["Multimedia Container Format (predecessor of Matroska)", "",]],
    "MCI": [["MCI command script", "Media Control Interface"]],
    "MCL": [["Cartesian manipulator for laser systems", ""]],
    "MCMETA": [["Minecraft asset metadata file", "Minecraft"]],
    "MCP": [["Printer driver", "Mathcad"]],
    "MCR": [['Minecraft saved world "region" file', "Minecraft (up to 1.1)",]],
    "MCW": [["Text file", "MacWrite II"]],
    "MD2": [["Quake 2 Model File", "id Software"]],
    "MD3": [["Quake 3 Model File", "id Software"]],
    "MD5": [["MD5 checksum", "md5sum, Total Commander"]],
    "MDA": [["Microsoft Access system database", "Microsoft Access"]],
    "MDB": [["Microsoft DataBase", "Microsoft Access"]],
    "MD": [["Markdown-formatted text file", "Markdown"]],
    "M": [["Source code", "Objective-C"]],
    "MDF": [["Measurement Data Format, a binary file format for vector measurement data", "automotive industry, developed by Robert Bosch GmbH",]],
    "MDI": [["Document save in high-resolution, created by MSOffice to scan documents (OCR) and turn them into a .DOC", "Microsoft Office",]],
    "MDL": [["Nintendo GameCube Luigi's Mansion Model", "Nintendo"]],
    "MDM": [["Modem definition file", "TELIX"]],
    "MDMP": [["Mini dumpfile", ""]],
    "MDR": [["Microdrive file", "ZX Spectrum emulator by g.a.lunter",]],
    "MDS": [["Midi Session", "Sound Imp."]],
    "MDT": [["Data table", "Microsoft ILink incremental linker"]],
    "MDX": [["Multiple index file", "dBASE IV"]],
    "MDZ": [["Text description of music module", "Cubic Player – Cross-View",]],
    "MEB": [["Macro Editor bottom overflow file", "WordPerfect Library",]],
    "MEC": [["MECCA source", "Maximus"]],
    "MED": [["Music format", "MED/OctaMED"]],
    "ME": [["Text file READ.ME", ""]],
    "MEDIAWIKI": [["Wiki markup", "most wikis"]],
    "MEM": [["Mnemosyne database", "Mnemosyne; other spaced repetition software",]],
    "MEQ": [["Macro Editor print queue file", "WordPerfect Library"]],
    "MER": [["Macro Editor resident area (vakioalue)", "WordPerfect Library",]],
    "MES": [["Message", ""]],
    "MET": [["OS/2 graphics metafile", "PICVIEW.EXE"]],
    "MEU": [["Menu group", "DOS Shell"]],
    "MEX": [["MEX file (executable command)", "Matlab"]],
    "MFA": [["Source code file", "Multimedia Fusion 2 / The Games Factory 2",]],
    "MF": [["Metafont file", "TeX"]],
    "MFF": [["MIDI", "Cakewalk, MTPro 4"]],
    "MFM": [["Music format", "DMP"]],
    "MGF": [["Materials and Geometry Format", ""]],
    "MGX": [["Designer 4.1 Drawing", "Designer 4.1"]],
    "MHT": [["Web Archive Single File", ""]],
    "MIB": [["Snmp MIB file", ""]],
    "MID": [["Standard MIDI file", "music synthetizers, Winamp"]],
    "MIDI": [["See MID", ""]],
    "MIFF": [["Magick Image File Format", ""]],
    "MII": [["Datafile", "MicroStat-II"]],
    "MIME": [["Message in MIME format (RFC822)", ""]],
    "MINIUSF": [["Nintendo proprietary MIDI file format for the Reality Signal Processor (Nintendo 64)", "Nintendo 64 games",]],
    "MIO": [["MyInfo topic", "Milenix MyInfo"]],
    "MIS": [["Mission, used by many games", ""]],
    "MIT": [["Mitsubishi Embroidery Format", "Embroidermodder"]],
    "MIX": [["Object file", "Power C"]],
    "MJS": [["JavaScript Module", ""]],
    "MK": [["Makefile", ""]],
    "MKE": [["Makefile", "Microsoft Windows SDK"]],
    "MKG": [["Makefile", ""]],
    "MKI": [["Japanese graphics MAKIchan format", "MagView 0.5"]],
    "MKS": [["Data", "TACT"]],
    "MKV": [["Matroska Multimedia Container", "Media Player Classic, Windows Media Player, Matroska Splitter",]],
    "ML3": [["Project", "Milestones 3.x"]],
    "MLAPP": [["MATLAB App Designer App", "MATLAB"]],
    "MLB": [["Macro library file", "RT-11, Symphony"]],
    "MLI": [["3DS Materials Libraries", "3D Studio"]],
    "MLRAW": [["Data", "Moonlight Creator RAW format 3D object"]],
    "MLV": [["LabVIEW MathScript", ""]],
    "MLX": [["MATLAB LiveScript", "MATLAB"]],
    "MM": [["Source code", "Objective-C++"]],
    "MMF": [["Mail message file", "Microsoft Mail"]],
    "MMM": [["Multimedia movie file, RIFF RMMP format", "MacroMind Director 3.x",]],
    "MMO": [["Memo writer file", "RapidFile"]],
    "MMP": [["Output video format from Bravado board", ""]],
    "MND": [["Menu source", "AutoCAD Menu Compiler"]],
    "MN": [["MuPAD Pro Notebook", "Workspace file of MuPAD (integrated in Matlab)",]],
    "MNG": [["Map", "DeLorme Map'n'Go"]],
    "MNT": [["Surface metrology or image analysis document", "MountainsMap",]],
    "MNU": [["Microsoft Mouse menu (for DOS apps)", "Microsoft DOS"]],
    "MNX": [["Main (DBF) menu description file", "FoxPro"]],
    "MNY": [["Account book", "Microsoft Money"]],
    "MOB": [["Device definition file", "PEN Windows"]],
    "MOBI": [["eBook", "Mobipocket, Kindle"]],
    "MOD": [["Music format (Amiga module)", "DMP – ST – MDP – VP"]],
    "MO": [["Language file", "Sundry"]],
    "MO?": [["Packed mail", "FTN software"]],
    "MODULES": [["Module", "GTK+"]],
    "MOL2": [["Tripos’ Sybyl MOL2 Format", "SYBYL, RasMol"]],
    "MOL": [["MDL Molfile", "RasMol"]],
    "MON": [["Monitor description", "ReadMail"]],
    "MOP": [["MOPAC input file", "MOPAC, RasMol"]],
    "MOV": [["Movie file", "AutoCAD AutoFlix"]],
    "MP2": [["Mpeg audio file", "Winamp, xing"]],
    "MP3": [["MPEG audio stream, layer 3", "AWAVE, CoolEdit(+PlugIn), Winamp, many others",]],
    "MP4": [["multimedia container format, MPEG 4 Part 14", "Winamp",]],
    "MPA": [["MPEG audio stream, layer 1,2,3", "AWAVE"]],
    "MPC": [["Musepack audio", ""]],
    "MPD": [["LDraw file (multi-part DAT file)", "LDraw"]],
    "MPEG": [["multimedia containter format, video, audio", "MPEG Player, Winamp",]],
    "MPG": [["see MPEG", ""]],
    "MPKG": [["Multipackage installer script", "Mac OS X"]],
    "MPL": [["MediaRack Midi Playlist", "MediaRack"]],
    "MPM": [["MathPlan macro", "WordPerfect Library"]],
    "MPP": [["Project file", "Microsoft Project"]],
    "MPPZ": [["MagicPlot project file", "MagicPlot"]],
    "MPQ": [["Mo'PaQ Archive", "Blizzard games"]],
    "MPR": [["Command & Conquer: Red Alert 2 map file", "Red Alert 2",]],
    "MPT": [["Bitmap graphics (Multipage TIFF)", ""]],
    "MPV": [["View file", "Microsoft Project"]],
    "MPX": [["Video format", ""]],
    "MPZ": [["Miradi Project Zipfile", "Miradi"]],
    "MQ4": [["MetaQuotes Language 4 (MQL4) source code file", "MetaTrader 4",]],
    "MQ5": [["MetaQuotes Language 5 (MQL5) source code file", "MetaTrader 5",]],
    "MQH": [["MetaQuotes Language (MQL4 or MQL5) header file", "MetaTrader 4, MetaTrader 5",]],
    "MRB": [["Multiple Resolution Bitmap graphics file", "Microsoft C/C++",]],
    "MRC": [["mIRC file", "mIRC"]],
    "MRK": [["Windows User Benchmark", "Win95"]],
    "MRS": [["Macro Resource file", "WordPerfect for Win"]],
    "MSC": [["management saved console", "Microsoft; Microsoft MMC",]],
    "MSD": [["Secure and Encrypted File", "mysecuredelivery/Download",]],
    "MS": [["Microsoft antivirus report", "MSAV"]],
    "MSDL": [["Manchester Scene Description Language", ""]],
    "MSDVD": [["Windows DVD Maker Project", "Windows DVD Maker"]],
    "MSE": [["Set file", "Magic Set Editor"]],
    "MSF": [["Multiple sequence file (Pileup format)", ""]],
    "MSG": [["ZVoice digitized voice file", ""]],
    "MSI": [["Windows Installer Package", "Windows operating systems",]],
    "MSN": [["Project", "National Instruments for NI MultiSim-Electronic Circuit simulator",]],
    "MSO": [["Microsoft Outlook metadata for a Microsoft Word 2000 email attachment", "Microsoft Outlook",]],
    "MSP": [["Windows Installer Patch", "Microsoft Windows"]],
    "MSPRODUCER": [["Media Project", "Microsoft Producer (for Microsoft PowerPoint XP/2003) Project",]],
    "MSQM": [["data", "Microsoft Message Queuing"]],
    "MSS": [["Manuscript text file", "Perfect Writer – Scribble – MINCE – Jove",]],
    "MST": [["Setup script file", "Microsoft Windows SDK"]],
    "MSW": [["Text file", "Microsoft Word"]],
    "MSX": [["CP/M archive", "MSX"]],
    "MTH": [["Math file", "Derive"]],
    "MTL": [["Wavefront", ""]],
    "MTM": [["Music format", "MultiTracker"]],
    "MTS": [["MPEG 2 Transport Stream", "Various media playback devices / software",]],
    "MTV": [["MTV Ray Tracer graphic file", ""]],
    "MTW": [["Datafile", "Minitab"]],
    "MU": [["Quattro pro for DOS Menu definition file", "Quattro Pro",]],
    "MUI": [["Multilingual User Interface", ""]],
    "MUM": [["Microsoft update file", "Microsoft"]],
    "MUS": [["Sound file", "MusicTime"]],
    "MUZ": [["Hover Game MIDI File", "Windows' Hover! Game"]],
    "MVF": [["Stop frame file", "AutoCAD AutoFlix"]],
    "MVI": [["Movie command file", "AutoCAD AutoFlix"]],
    "MVO": [["Data", "Mad Virgin 3D object"]],
    "MVW": [["Log file", "Saber LAN"]],
    "MWF": [["Animation", "ProMotion"]],
    "MWS": [["MWave DSP synths instrument", "AWAVE"]],
    "MXF": [["Material exchange format (RFC 4539, SMPTE 377M)", ""]],
    "MXL": [["PackRat 5.0 support DLLs", "PackRat 5.0"]],
    "MXM": [["Material", "Maxwell Render"]],
    "MXP": [["MasterCook exported recipe", ""]],
    "MXT": [["Data", "Microsoft C"]],
    "MYD": [["a MyISAM data file in MySQL", "MyISAM, MySQL"]],
    "MYI": [["a MyISAM index file in MySQL", "MyISAM, MySQL"]],
    "MYP": [["Presentation", "MM Make Your Point"]],
    "MZ": [["Binary-format Map", "MazeEdit"]],
    "MZE": [["Text-format Map", "MazeEdit"]],
    "MZG": [["Binary-format Map Collection", "MazeEdit"]],
    "MZX": [["Binary-format Encrypted Map", "MazeEdit"]],
    "NAM": [["Name Space Modules", "Novell NetWare"]],
    "NAP": [["Naplps file (VideoShow)", "EnerGraphics"]],
    "NAPLPS": [["North American Presentation Layer Protocol Syntax", "",]],
    "NASL": [["Nessus Attack Scripting Language", "Tenable Network Security - Nessus",]],
    "NB": [["Wolfram Mathematica Notebook (see Wolfram Language)", "Mathematica",]],
    "NBF": [["Nokia Backup File", "Nokia Mobile Phones"]],
    "NBS": [["Minecraft Note Block Studio file", "Minecraft Note Block Studio",]],
    "NBT": [["Minecraft Named Binary Tag file", "Minecraft Named Binary Tag",]],
    "NBU": [["Nokia Backup", "Nokia Suite"]],
    "NCC": [["CNC (Computer Numeric Control) control file", "CamView 3D",]],
    "NCD": [["Norton Change Directory support file", "Norton Commander",]],
    "NC": [["Non-error checking preprocessed Goc source code", "Geoworks",]],
    "NCP": [["Re-volt Collision file", "Re-volt"]],
    "NDB": [["Network database", "Intellicom - Compex"]],
    "ND": [["NetConnect data file. Contains information on multi-user access to the company file.", "Intuit QuickBooks",]],
    "NDL": [["Nodelist file", ""]],
    "NDS": [["Nintendo DS ROM file used for Homebrew and commercial (Game) files on DS", "Nintendo DS",]],
    "NDX": [["Index file", "dBASE II - III - IV - dBFast"]],
    "NEF": [["Nikon RAW image format", "Nikon cameras"]],
    "NEIS": [["Korean Student Record Document", "학교생활기록부 작성 프로그램(Student Record Writing Program)",]],
    "NEO": [["Raster graphics file", "Atari Neochrome"]],
    "NES": [["iNES ROM image format", ""]],
    "NETCDF": [["Network Common Data Format", ""]],
    "NET": [["Network configuration/info file", ""]],
    "NEU": [["Pro/Engineer neutral file format", "PTC Pro/Engineer"]],
    "NEW": [["New info", ""]],
    "NFF": [["WorldToolKit Neutral File Format", ""]],
    "NFO": [["Info file", "Compact NFO Viewer"]],
    "NGC": [["G-Code file", "Inkscape G-Code tools extension"]],
    "NG": [["Hypertext Database", "Norton Guide"]],
    "NGO": [["NG linker object file", "NGML"]],
    "NGS": [["NG compiler source file", "NGC"]],
    "NIF": [["netimmerse/gamebyro file", ""]],
    "NIL": [["NIL", "Icon Hear-It"]],
    "NITF": [["National Imagery Transmission Format", ""]],
    "NK2": [["e-mail address autocomplete archive", "Microsoft Office Outlook",]],
    "NL": [["Norton Desktop Icon Library", ""]],
    "NLM": [["Netware loadable module", "Novell Netware"]],
    "NLS": [["National Language Support file", "MS-DOS"]],
    "NLX": [["Form", "FormWorx 3.0"]],
    "NMF": [["Node Map File", "Used by SpicyNodes"]],
    "#NN": [["Part of file image", "Long"]],
    "NNN": [["RAR archive volumes up to 999", "RAR"]],
    "NORM": [["Normal file (Photo of screen showing Excel file - embedded in Word file)", "https://xkcd.com/2116/",]],
    "NOT": [["Yard Notes File", "FYM"]],
    "NOTE": [["Notability Note File", "Notability"]],
    "NP": [["Project schedule (Nokia Planner)", "Nokia Planner"]],
    "NPI": [["Source for DGEN.EXE interpreter", "dBASE Application Generator",]],
    "NPJ": [["Nile Project", "Game Mission Editor"]],
    "NPR": [["Nuendo Project File", "Steinberg Nuendo"]],
    "NRG": [["Nero Disc Image File", "Nero Express / Burning ROM"]],
    "NRW": [["Nikon Coolpix RAW image", "Nikon"]],
    "NS1": [["NetStumbler file", "NetStumbler"]],
    "NSA": [["media", "Nullsoft Streaming Audio"]],
    "NSF": [["Music module", "NES Sound File"]],
    "NSS": [["Norton screensaver module", "NC - NDW Screen Saver"]],
    "NST": [["Music module", "Amiga Noise Tracker"]],
    "NSV": [["media", "Nullsoft Streaming Video"]],
    "NSX": [["Compound index file", "SuccessWare SIX 3.00"]],
    "NT3": [["BAHN Layout file", "JBSS BAHN"]],
    "NT": [["Startup files", "Windows NT"]],
    "NTF": [["database design template", "Lotus Notes"]],
    "NTH": [["Nokia Theme File", "Nokia PC Suite"]],
    "NTR": [["Executable ASCII text file (strip header and rename)", "netrun31.zip",]],
    "NTS": [["Tutorial", "Norton"]],
    "NTX": [["Database index file", "Clipper 5"]],
    "NUF": [["Message for new users on their 1st call", "Procomm Plus",]],
    "NUG": [["Video Nugget", "CBT Nuggets"]],
    "NUMBERS": [["Numbers spreadsheet file", "Numbers"]],
    "NV2": [["NewViews accounting database", "QW Page NewViews"]],
    "NV": [["NewViews DOS accounting database", "QW Page NewViews"]],
    "NWC": [["Note Worthy document", "Note Worthy"]],
    "NWS": [["Info text file (latest news) (ASCII)", ""]],
    "NXT": [["Sound (NeXT format)", ""]],
    "O01": [["Typhoon vOice file", "AWAVE"]],
    "$O1": [["Pipe file", "DOS"]],
    "OAR": [["OmegaARc file archive format", ""]],
    "OAZ": [["Fax", "NetFax Manager"]],
    "OBD": [["Microsoft Office Binder", "MSOffice"]],
    "OB": [["Object cut/paste file", "IBM LinkWay"]],
    "OBJ": [["Wavefront Object", ""]],
    "OBJF": [["Data", "Triangle strips object"]],
    "OBR": [["Object browser data file", "Borland C++"]],
    "OBS": [["Script", "ObjectScript"]],
    "OBT": [["Microsoft Office Binder Template", "MSOffice"]],
    "OBV": [["Visual interface", "ObjectScript"]],
    "OBZ": [["Microsoft Office Binder Wizard", "MSOffice"]],
    "OCD": [["OCAD Map File", "OCAD"]],
    "OCF": [["Object Craft File", "Object Craft"]],
    "OCR": [["Incoming fax transcribed to text", "FAXGrapper"]],
    "OCT": [["Musical file", "Octalizer"]],
    "OCX": [["OLE custom control", ""]],
    "ODB": [["OpenDocument database", "LibreOffice Base"]],
    "ODC": [["Microsoft Office Data Connection", ""]],
    "O": [["Object file", "UNIX - Atari - GCC"]],
    "O$$": [["Outfile", "Sprint"]],
    "ODF": [["OpenDocument formula", "LibreOffice Math"]],
    "ODG": [["OpenDocument drawing", "LibreOffice Draw"]],
    "ODIF": [["Open Document Interchange Format", ""]],
    "ODL": [["Type library source", "Visual C++"]],
    "ODM": [["OpenDocument master document", "LibreOffice Writer"]],
    "ODP": [["OpenDocument presentation", "LibreOffice Impress"]],
    "ODS": [["OpenDocument spreadsheet", "LibreOffice Calc"]],
    "ODT": [["OpenDocument text document", "LibreOffice Writer"]],
    "OEACCOUNT": [["XML format, account files", "Microsoft e-mail software: Outlook Express, Windows Mail, Windows Live Mail, Microsoft Outlook",]],
    "OFD": [["Form definition", "ObjectView"]],
    "OFF": [["Object File Format vector graphics", ""]],
    "OFM": [["PostScript font description file", ""]],
    "OFN": [["Microsoft Office documents", "Microsoft Office"]],
    "OGG": [["Ogg multimedia container format", ""]],
    "OHB": [["Source", "On Hand Basic"]],
    "OHS": [["Outbound History", "Bink/+"]],
    "OIF": [["QuickBase file format", ""]],
    "OKT": [["Music format", "Oktalyzer"]],
    "OLB": [["Object library", "VAX"]],
    "OLD": [["Backup file", ""]],
    "OLI": [["Text file", "Olivetti"]],
    "OLK14CONTACT": [["olk14_contact", "Microsoft Outlook"]],
    "OLM": [["Outlook for Mac Data File", "Microsoft Outlook for macOS",]],
    "OLSR": [["Configuration file", "olsrd"]],
    "OMA": [["Audio file", "Labelgate CD 2, MAGIQLIP2"]],
    "OMF": [["Open Media Framework", "Avid Media Composer"]],
    "OMG": [["Audio file", "Sony compressed audio file (ATRAC3)"]],
    "ONE": [["OneNote Section", "Microsoft OneNote"]],
    "ONEPKG": [["OneNote Single File Package", "Microsoft OneNote"]],
    "ONETOC2": [["OneNote Table Of Contents", "Microsoft OneNote"]],
    "ONETOC": [["OneNote 2003 Table Of Contents", "Microsoft OneNote",]],
    "OOF": [["Data", "Outrage 3D Object Format (Descent)"]],
    "OOG": [["Data", "WEBOOGL 3D object"]],
    "OOM": [["Swap file", "Shroom"]],
    "OPF": [["Open Packaging Format File (often eBook metatdata)", "calibre and other ebook readers",]],
    "OPJ": [["Origin Project File", "Origin version 4.1 and later"]],
    "OPN": [["Active options", "Exact"]],
    "OPT": [["Optimize support file", "QEMM"]],
    "OPUS": [["Ogg/Opus audio file", "mpv, mplayer, many others (official file format).",]],
    "OPW": [["Organization chart", "Org Plus for Windows"]],
    "OPX": [["Inactive options", "Exact"]],
    "OR2": [["Calendar file", "Lotus Organizer"]],
    "OR3": [["Calendar file", "Lotus Organizer"]],
    "OR4": [["Calendar file", "Lotus Organizer"]],
    "OR5": [["Calendar file", "Lotus Organizer"]],
    "OR6": [["Calendar file", "Lotus Organizer"]],
    "ORA": [["Parameter file", "Oracle"]],
    "ORC": [["Orchestra MIDI file", "CSound"]],
    "ORG": [["Older Origin Project", "Origin versions 4 or earlier"]],
    "OSB": [["osu! storyboard", "osu!"]],
    "OSC": [["OpenStreetMap Changeset", "OpenStreetMap"]],
    "OSK": [["osu! skin", "osu!"]],
    "OSM": [["OpenStreetMap note", "OpenStreetMap"]],
    "OSR": [["osu! replay", "osu!"]],
    "OST": [["Offline Storage Table", "Microsoft e-mail software: Outlook Express, Microsoft Outlook",]],
    "OSU": [["osu! beatmap", "osu!"]],
    "OSZ": [["osu! beatmapset", "osu!"]],
    "OTB": [["Over-the-air bitmap graphics", ""]],
    "OTF": [["Subtitle font information for media content", "Media players / software which support PGS subtitling",]],
    "OTG": [["OpenDocument drawing template", "LibreOffice Draw"]],
    "OTH": [["OpenDocument HTML document template", "LibreOffice"]],
    "OTL": [["The Vim Outliner", "A vim plugin"]],
    "OTP": [["OpenDocument presentation template", "LibreOffice Impress",]],
    "OTS": [["OpenDocument spreadsheet template", "LibreOffice Math",]],
    "OTT": [["OpenDocument text document template", "LibreOffice Writer",]],
    "OTX": [["Text file", "Olivetti Olitext Plus"]],
    "OUT": [["Design II for Windows Output file", ""]],
    "OV1": [["Overlay file (part of program to be loaded when needed)", "",]],
    "OV2": [["Overlay file (part of program to be loaded when needed)", "TomTom Point of Interest",]],
    "OVA": [["Open Virtualization Format package for packaging and distributing virtual appliances", "",]],
    "OVD": [["Datafile", "ObjectVision"]],
    "OVF": [["Open Virtualization Format descriptor file, an XML file which describes the virtual machine packed inside an OVF package", "",]],
    "OVL": [["Overlay file (part of program to be loaded when needed)", "",]],
    "OWL": [["Web ontology language (OWL) file", "Protégé and other ontology editors",]],
    "OXT": [["OpenOffice.org extension", "OpenOffice.org / LibreOffice",]],
    "P0?": [["Split archive UC2", "SAS.EXE"]],
    "P10": [["Certificate Request", ""]],
    "P12": [["Another variant of the PFX extension", ""]],
    "P16": [["Music (16 channels)", "ProTracker Studio 16"]],
    "P22": [["Patch file (Patch22)", "Patch22"]],
    "P2V": [["Backupfile of a project in eventplanning software plan2viz (windowsbased)", "",]],
    "P3T": [["PlayStation 3 Theme file", "PS3 Theme settings menu"]],
    "P80": [["PLM-80 source", ""]],
    "P86": [["PLM-86 source", ""]],
    "PA1": [["Worktable", "PageAhead"]],
    "PAC": [["STAD Image (graphics 0?)", ""]],
    "PACKAGE": [["Contents", "The Sims 2 - Spore - The Sims 3"]],
    "PACK": [["Pack200 Packed Jar File", ""]],
    "PAD": [["Keypad definition", "Telemate"]],
    "PAF": [["For Personal Ancestral File data files", ""]],
    "PAGES": [["Pages document file", "Pages"]],
    "PAK": [["Archive", "Pak"]],
    "PAL": [["Palette file", "Diablo II"]],
    "PAM": [["PAM Portable Arbitrary Map graphics format", "Netpbm"]],
    "PAN": [["Printer-specific file (copy to coreldrw.ink)", "CorelDRAW",]],
    "PAR2": [["Parity Archive v2", ""]],
    "PAR": [["Parity Archive", ""]],
    "PART": [["Part of a download file", ""]],
    "PAS": [["Pascal language source", "Borland Pascal"]],
    "PAT": [["GIMP pattern", ""]],
    "PB1": [["Document", "First Publisher for Windows"]],
    "PBA": [["Powerbasic BASIC source code", "Genus"]],
    "PBD": [["Phone book", "FaxNOW! - Faxit"]],
    "PB": [["Setup file", "PixBase"]],
    "PBI": [["Profiler Binary Input", "Microsoft Source Profiler"]],
    "PBK": [["Microsoft Network Phone book", "MSN"]],
    "PBL": [["Powerbasic library", "Genus"]],
    "PBLIB": [["Power Library", "PowerBASIC"]],
    "PBM": [["Planar bitmap graphics", "XLib"]],
    "PBO": [["A file type used by Bohemia Interactive", "Arma 3, PBO Manager",]],
    "PBT": [["Profiler Binary Table", "Microsoft Source Profiler"]],
    "PC3": [["Custom palette", "Harvard Graphics 3.0"]],
    "PC8": [["ASCII text IBM8 character set", "NewWave Write"]],
    "PCA": [["Perfect Clarity Audio", "Sony Vegas Pro"]],
    "PCB": [["Artwork design file (Circuit board design)", "Zuken CadStar",]],
    "PCC": [["Cutout picture vector graphics", "PC Paintbrush"]],
    "PCD": [["Pfaff Embroidery Format", "Embroidermodder"]],
    "PC": [["Text file containing IBM PC specific info", ""]],
    "PCF": [["Pixel Coordination Format", ""]],
    "PCH": [["Precompiled header", "Microsoft C/C++"]],
    "PCJ": [["Multimedia authoring tool graphics file", "IBM's Linkaway-Live",]],
    "PCK": [["Pickfile", "Turbo Pascal"]],
    "PCL": [["Old Pencil Animation File PCL", "Pencil2D"]],
    "PCLX": [["Pencil Animation File PCLX", "Pencil2D"]],
    "PCM": [["Pfaff Embroidery Format", "Embroidermodder"]],
    "PCQ": [["Pfaff Embroidery Format", "Embroidermodder"]],
    "PCS": [["Pfaff Embroidery Format", "Embroidermodder"]],
    "PCT": [["Bitmap graphics file", "Macintosh b&w PICT1 - color PICT2",]],
    "PCW": [["Text file", "PC Write"]],
    "PCX": [["PC paintbrush bitmap format", "QPeg - Display - ZSoft - PC Paintbrush, XnView",]],
    "PDA": [["Bitmap graphics", ""]],
    "PDB": [["Molecule (protein data bank)", ""]],
    "PDD": [["Adobe Photoshop Elements Image", "Adobe Photoshop Elements",]],
    "PDE": [["source code file", "Processing programming language"]],
    "P": [["Rea-C-Time application parameter file", "ReaGeniX code generator",]],
    "PDF": [["Printer Descriptor File (AKA 'printer driver')", "WordStar 5-6",]],
    "PDG": [["Print Shop Deluxe data file", ""]],
    "PDI": [["Protected Digital Identity", "SertintyONE"]],
    "PDL": [["Project Description Language file", "Borland C++ 4.5"]],
    "PDM": [["Visual Basic (VB) Project Information File", "Visual Basic",]],
    "PDN": [["Image file", "Paint.NET"]],
    "PDS": [["Pldasm source code file (hardware assembly)", ""]],
    "PDV": [["Printer driver", "Paintbrush"]],
    "PDW": [["Document", "Professional Draw"]],
    "PEB": [["Program Editor bottom overflow file", "WordPerfect Library",]],
    "PED": [["Program Editor delete save", "WordPerfect Library"]],
    "PEM": [["A text-based certificate file defined in RFC 1421 through RFC 1424", "Applications that need to use cryptographic certificates, including web-servers",]],
    "PEQ": [["Program Editor print queue file", "WordPerfect Library",]],
    "PER": [["Program Editor resident area", "WordPerfect Library"]],
    "PES": [["Program Editor work space file", "WordPerfect Library",]],
    "PET": [["package", "Puppy Linux"]],
    "PET": [["Program Editor top overflow file", "WordPerfect Library",]],
    "PEX": [["Proboard EXecutable file (Executed from PB)", "Proboard",]],
    "PFA": [["Type 3 font file (unhinted PostScript font)", ""]],
    "PFAM": [["PFAM format", ""]],
    "PFB": [["PostScript font", "Adobe Type Manager (ATM)"]],
    "PFC": [["Text file", "First Choice"]],
    "PFK": [["Programmable function keys", "XTreePro"]],
    "PFM": [["Windows Type 1 font metric file", ""]],
    "PFS": [["Database (PFS:FILE) - text file (PFS:Write)", "PFS"]],
    "PFT": [["Printer font", "ChiWriter"]],
    "PFX": [["An encrypted certificate file", "Applications that need to use cryptographic certificates, including web-servers",]],
    "PGD": [["", "PGP cripted disk"]],
    "PG": [["Page cut/paste file", "IBM LinkWay"]],
    "PGI": [["Printer Graphics File device driver", "PGRAPH library",]],
    "PGL": [["HP Plotter vector graphics format", ""]],
    "PGM": [["Program", "Signature"]],
    "PGN": [["Portable Game Notation -Text specification for Chess game", "Most chess playing computer applications",]],
    "PGP": [["Support file", "Pretty Good Privacy RSA System"]],
    "PGS": [["Manual page", "man4dos"]],
    "PHD": [["PolyHedra Database", ""]],
    "PH": [["Phrase-table", "Microsoft C/C++"]],
    "PHF": [["Database File", "Nuverb Systems Inc: Donarius"]],
    "PHM": [["Phone book", "DN - Lync"]],
    "PHN": [["Phone list", "UltraFax - QmodemPro"]],
    "PHO": [["Phone database", "Metz Phone for Windows"]],
    "PHP3": [["PHP 3 file", ""]],
    "PHP4": [["PHP 4 file", ""]],
    "PHP": [["PHP file", ""]],
    "PHR": [["Phrases", "LocoScript"]],
    "PHY": [["Phylip format", ""]],
    "PI2": [["Portrait Innovations High Resolution Encrypted Image file", "Portrait Innovations Studio2 (proprietary)",]],
    "PIC": [["PIXAR picture file", "SDSC Image Tool"]],
    "PICT": [["Macintosh Picture", ""]],
    "PIE": [["GlovePIE script file", "GlovePIE"]],
    "PIF": [["Vector graphics GDF format file (IBM mainframe computers)", "",]],
    "PIM": [["Pascal Text Mode Image File", "The Ultimate Draw"]],
    "PIPE": [["PIPE-FLO project design file", "PIPE-FLO Professional",]],
    "PIR": [["PIR format", ""]],
    "PIT": [["File used to connect to a remote system.", "Dell (previously Quest) vWorkspace",]],
    "PIV": [["Pivot Stick Animator file", "Pivot Stick Animator"]],
    "PIX": [["Inset Pix", ""]],
    "PJ": [["Project", "CA-SuperProject"]],
    "PJT": [["Additional (FPT) project description file", "FoxPro"]],
    "PJX": [["Main (DBF) project description file", "FoxPro"]],
    "PK2": [["Quake 2 data file", "id Software"]],
    "PK3": [["Quake 3 data file", "id Software"]],
    "PK4": [["Doom 3 and Quake 4 data file", "id Software"]],
    "PKA": [["Archive", "PKARC"]],
    "PKCS12": [["Another variant of the PFX extension", ""]],
    "PK": [["Peak file", "Cool Edit"]],
    "PKG": [["P-CAD database", "P-CAD"]],
    "PKL": [["Pickle file", "Python object serialization"]],
    "PKPASS": [["Wallet pass", "Apple Wallet"]],
    "PKT": [["Fido message packet", "FTN software"]],
    "PL1": [["PL/I source file", "PL/I compilers"]],
    "PL2": [["Palette", "Diablo II"]],
    "PL3": [["Chart palette", "Harvard Graphics 3.0"]],
    "PLA": [["Playlist", ""]],
    "PLANTUML": [["UML Diagram (also PU)", "PlantUML"]],
    "PLB": [["P-CAD library", "P-CAD"]],
    "PLC": [["P-CAD database", "P-CAD"]],
    "PLD": [["PhotoLine Document", "PhotoLine image processing"]],
    "PL": [["IRAF pixel list", "IRAF astronomical data format"], ["Perl source file", "Perl interpreter"]],
    "PLE": [["Encrypted Chat Log", "Messenger Plus! Live Plugin - Log viewer",]],
    "PLI": [["PL/I source file", "PL/I compilers"]],
    "PLIST": [["Mac OS Property List, also used on iOS, NeXTSTEP, and GNUstep", "Apple's Property List Editor",]],
    "PLL": [["Prelinked library", "CA Clipper"]],
    "PLM": [["DisorderTracker2 music module", "AWAVE"]],
    "PLN": [["Spreadsheet", "WordPerfect for Win"]],
    "PLP": [["Messenger Plus! Sound Pack", "Messenger Plus! Live Plugin",]],
    "PLSC": [["Messenger Plus! Script Pack", "Messenger Plus! Live Plugin",]],
    "PLS": [["Playlist file", "WarpVision (OS/2)"]],
    "PLSK": [["Messenger Plus! Skin Pack", "Messenger Plus! Live Plugin",]],
    "PLT": [["Table for .pll", "CA Clipper"]],
    "PLUGIN": [["Plug-in", "macOS"]],
    "PLY2": [["Data", "PLY2 object"]],
    "PLY": [["Polygon File Format or the Stanford Triangle Format.", "3D Scanners",]],
    "PM3": [["PageMaker 3.0 data file", "PageMaker 3.0"]],
    "PM4": [["Document", "PageMaker 4"]],
    "PM5": [["Aldus PageMaker 5.0 publication", "Aldus PageMaker"]],
    "PMA": [["PMarc Archive", ""]],
    "PMC": [["Graphics", "A4TECH Scanner"]],
    "PM": [["Bitmap graphics", "Presentation Manager"]],
    "PMI": [["PhatPad note", "PathWare"]],
    "PMM": [["Program file", "Amaris BTX/2"]],
    "PMP": [["PhotoMorph Project", "PhotoMorph"]],
    "PN3": [["Printer device driver", "Harvard Graphics 3.0"]],
    "PNCL": [["Pinnacle file", "Pinnacle by Optys Tech Corporation"]],
    "PNF": [["Pre-compiled Setup Information file", "Microsoft Windows",]],
    "PNG": [["Portable Network Graphics", ""]],
    "PNM": [["PBM Portable aNy Map graphics file", ""]],
    "PNT": [["QWK reader pointer file", "MarkMail 2.x"]],
    "POD": [['UNIX perldoc File ("Plain Old Documentation")', "pod2man, pod2html",]],
    "POF": [["Altera FPGA programming file (External Flash)", "Altera Quartus",]],
    "POH": [["Optimized .goh file", "Geoworks"]],
    "POL": [["InnovMetric Software Polygon Models Format", ""]],
    "POLICY": [["Group Policy File", "Microsoft Windows"]],
    "POLY": [["Data", "Patrick Flynn's Poly Format - 3D object"]],
    "POM": [["Build manager configuration file", "Apache Maven POM file",]],
    "POP": [["Pop-up menu object", "dBASE Application Generator"]],
    "POT": [["Microsoft PowerPoint template", ""]],
    "POV": [["Raytraced graphics image", "Persistence Of Vision"]],
    "POW": [["Power Chords instrument/song file", "Power Chords"]],
    "PPA": [["Microsoft PowerPoint Add-in", ""]],
    "PPB": [["Button bar for Print Preview", "WordPerfect for Win"]],
    "PPD": [["PostScript printer description file", ""]],
    "PP": [["Amiga archive", "POWERPACKER"]],
    "PPJ": [["Premiere Project", "Premiere"]],
    "PPK": [["Archive (using for many distributives)", "PPK"]],
    "PPL": [["PolaroidPalettePlus ColorKey device driver", "Harvard Graphics 3.0",]],
    "PPM": [["Graphics format (Portable PixelMap)", "JASC Media C."]],
    "PPO": [["Preprocessor output", "CA Clipper 5.*"]],
    "PPP": [["Publication", "PagePlus"]],
    "PPS": [["Microsoft PowerPoint Slideshow (stand alone slideshow)", "",]],
    "PPSX": [["MS Office Open-XML Auto-Play Presentation", "Microsoft PowerPoint",]],
    "PPT": [["Microsoft PowerPoint Presentation", "Microsoft PowerPoint",]],
    "PPTX": [["MS Office Open-XML Presentation", "Microsoft PowerPoint",]],
    "PR1": [["Packrat 4.0 data file", "Packrat 4.0"]],
    "PR2": [["Printer driver", "dBASE IV"]],
    "PR3": [["Presentation", "Aldus Persuasion 3.x"]],
    "PRC": [['"Product Representation Compact", for embedding 3D data in a PDF file', "CAE and CAM applications",]],
    "PRD": [["Printer driver", ""]],
    "PRE": [["Stork graphic file", ""]],
    "PRF": [["Profiler output", ""]],
    "PRG": [["Program", "Atari"]],
    "PRI": [["Printer definitions", "LocoScript"]],
    "PRJ": [["Mkd (Unix command)", "Mkd project file to extract documentation",]],
    "PRK": [["SimPark Saved File", "SimPark"]],
    "PRM": [["Parameters", ""]],
    "PRN": [["Usually printer output file", ""]],
    "PRO": [["PROLOG source code file", ""]],
    "PROJ": [["Project File (Interface Builder)", "NeXT"]],
    "PROPERTIES": [["Java properties file", "Java applications"]],
    "PROTO": [["Message specification", "Google Protocol Buffers"]],
    "PRP": [["Plasma Registry Page", "Plasma (engine)"]],
    "PRR": [["The Perfect Resume data file", "Perfect Resume"]],
    "PRS": [["Procedure", "dBASE IV"]],
    "PRT": [["Printer driver", "Dr. Halo"]],
    "PRX": [["Compiled program", "FoxPro"]],
    "PS1": [["Windows Powershell script", "Windows PowerShell"]],
    "PSA": [["Archive (Pretty Simple Archive)", "PSA.OUT (GNU)"]],
    "PSB": [["For big Photoshop files", "Photoshop Document"]],
    "PSD": [["Photoshop bitmap file", "Photoshop document"]],
    "PS": [["Document in PostScript format", "adobe"]],
    "PSE": [["Truncated form of PSEG (see below)", ""]],
    "PSEG": [["Bitmap graphics", "IBM printer Page SEgment"]],
    "PSF": [["Outline PostScript printer font", "ChiWriter"]],
    "PSM1": [["Windows Powershell module", "Windows Powershell"]],
    "PSM": [["3D Model", "18 Wheels Of Steel"]],
    "PSMODEL": [["PowerSHAPE Model", "PowerSHAPE"]],
    "PSN": [["Presentation file for Sound Script", "Win"]],
    "PSP": [["image file with layers", "Paint Shop Pro (all versions)",]],
    "PSPPALETTE": [["Paint Shop Pro color palette (JASC format)", "Paint Shop Pro 8.0 and newer",]],
    "PSQ": [["Premiere Sequence", "Premiere"]],
    "PST": [["Archive File", "Microsoft Outlook"]],
    "PSV": [["PlayStation 2/PlayStation 3 saved game", "PlayStation 2 and PlayStation 3",]],
    "PSW": [["File w/ passwords for any program/game", "many"]],
    "PT3": [["Template", "PageMaker 3"]],
    "PT4": [["Template", "PageMaker 4"]],
    "PT5": [["Aldus PageMaker 5.0 publication template", "Aldus PageMaker",]],
    "PTB": [["Script", "PubTech BatchWorks"]],
    "PT": [["Kodak Precition Color Management System", ""]],
    "PTF": [["Pro Tools Session File", "Digidesign Pro Tools"]],
    "PTG": [["Panasonic Title Graphics", ""]],
    "PTL": [["Premiere Title", "Premiere"]],
    "PTM": [["Page Magic 2.0 template", "Page Magic 2.0"]],
    "PTN": [["Pattern", "CarveWright/CompuCarve Designer"]],
    "PTPED": [["PedFast Technologies Pedigree Database", "The Breeder's Standard, iPed, The Cattery's Standard, Equestrian's Standard",]],
    "PTR": [["QWK reader pointer file", "QMail"]],
    "PTU": [["Performer Terrain Utilities", ""]],
    "PTX": [["Pro Tools 10 session file", "Avid Pro Tools"]],
    "PUB": [["Publication", "Ventura Publisher - 1st Publisher"]],
    "PUD": [["Warcraft II Map file", "Warcraft II"]],
    "PU": [["UML Diagram (also PLANTUML)", "PlantUML"]],
    "PUP": [["Pileup format", ""]],
    "PUT": [["Graphics format", "WScan"]],
    "PUZ": [['Microsoft Publisher "Packed and Go" archive', "Microsoft Publisher, many file archivers with CAB support",]],
    "PVD": [["Script", "Instalit"]],
    "PVK": [["Private Key File", "Microsoft Authenticode"]],
    "PVL": [["Library", "Instalit"]],
    "PVM": [["Texture Files", "PVMEdit"]],
    "PVT": [["Local Fidonet pointlist", "FTN software"]],
    "PW": [["Text file", "Professional Write"]],
    "PWF": [["Workflow Files", "Mac OS X Server Podcast Producer"]],
    "PWK": [["Workspace File", "PolyWorks"]],
    "PWL": [["Password List", ""]],
    "PWP": [["Text document", "Professional WritePlus"]],
    "PX": [["Paradox 3.0 file", "Paradox 3.0"]],
    "PXIPROJECT": [["PixInsight Project Bundle", "PixInsight"]],
    "PXP": [["3DS Process file", "3D Studio"]],
    "PXR": [["Pixiar Picio", "AltamiraComposer"]],
    "PXZ": [["Compressed file to exchange media elements", "PSALMO"]],
    "PYC": [["Compiled Python module", "Python interpreter"]],
    "PYD": [["Python DLL", "Python interpreter"]],
    "PY": [["Python script file", "Python interpreter"]],
    "PYI": [["Cognos Powerplay Model", ""]],
    "PYK": [["PYK Compressed File", "PYK"]],
    "PYO": [["Optimized compiled Python module", "Python interpreter",]],
    "PYW": [["Python Script Without Console Window", "Python interpreter",]],
    "PZD": [["Default settings", "Pizazz Plus"]],
    "PZI": [["Graphics format", "PZP"]],
    "PZO": [["Overlay file", "Pizazz Plus"]],
    "PZP": [["Palette", "Pizazz Plus"]],
    "PZS": [["Settings", "Pizazz Plus"]],
    "PZT": [["Transfer file", "Pizazz Plus"]],
    "PZX": [["Swap file", "Pizazz Plus"]],
    "Q0": [["Q0 graphic file", ""]],
    "Q3S": [["Data", "Quick3D Scene"]],
    "QAG": [["Quick Access Group", "Norton Desktop"]],
    "QAP": [["Application", "Omnis Quartz - Omnis Studio"]],
    "QBB": [["Quickbooks Backup File", ""]],
    "QB": [["Tony Hawk's Pro Skater series scripting files", ""]],
    "!QB": [["Unfinished qBittorrent download", "qBittorrent"]],
    "QBE": [["Saved query (Query By Example)", "dBASE IV - Quattro Pro",]],
    "QBO": [["Compiled query", "dBASE IV"]],
    "QBW": [["Spreadsheet", "QuickBooks for Windows"]],
    "QCH": [["Qt Compressed Help", "Trolltech Qt Assistant"]],
    "QCP": [["Mp3 extension on Motorola ringtones", "Motorola Phones",]],
    "?Q?": [["Squeeze", "CP/M and MS-DOS"]],
    "QDF": [["Data file", "Quicken data file"]],
    "QDK": [["Backup of startup files created by Optimize", "QEMM"]],
    "QDN": [["Data file - segment n", "Omnis Quartz- Omnis Studio"]],
    "QDR": [["Configuration file", "Q-Dir"]],
    "QDV": [["Graphics file", "Steve Blackstock Giffer"]],
    "QEF": [["Query file", "Q+E for Microsoft Excel"]],
    "QFP": [["QUICKfind Server Plug-in", "IDM QUICKfind Server"]],
    "QFX": [["Fax", "QuickLink"]],
    "QG3": [["Data", "QuickMem Greek"]],
    "QHC": [["Qt Help Collection", "Trolltech Qt Assistant"]],
    "QHCP": [["Qt Help Collection Project", "Trolltech Qt Assistant",]],
    "QHP": [["Qt Help Project", "Trolltech Qt Assistant"]],
    "QIF": [["Quicken Interchange Format", "Intuit Quicken"]],
    "QIZ": [["World book quiz", "World Book"]],
    "QLB": [["Quick library", "Microsoft C/C++"]],
    "QLC": [["ATM Type 1 fonts script", "Adobe Type Manager"]],
    "QLP": [["Printer driver", "QuickLink"]],
    "QM4": [["Options or services file", "QMail 4.x Mail Door"]],
    "QPR": [["Print queue device driver", "OS/2"]],
    "QPX": [["Compiled executable QBE query file", "FoxPro"]],
    "QRMX": [["Quick Risk Matrix data file", "Quick Risk Matrix by Riskfiniti",]],
    "QRP": [["Database report file", "QuickReport\n"]],
    "QRS": [["Equation Editor support file", "WordPerfect for Win"]],
    "QRT": [["Graphics format (QRT ray tracing)", ""]],
    "QRY": [["Query", "dBASE IV"]],
    "QT": [["QuickTime movie (animation)", ""]],
    "QTVR": [["QuickTime VR Movie", ""]],
    "QUOX": [["Question Object Document", "Quobject Designer and Quobject Explorer",]],
    "QVD": [["QlikView Document (Data)", "QlikView Compressed Database File",]],
    "QVW": [["QlikView Document (View)", "QlikView Presentation File",]],
    "QWK": [["QWK reader message file", ""]],
    "QXD": [["Document", "QuarkXPress"]],
    "QXL": [["Element library", "QuarkXPress"]],
    "R00, R01, ...": [["Part of a multi-file RAR archive", "RAR"]],
    "R2D": [["Reflex 2 datafile", "Reflex 2"]],
    "R3D": [["Red Raw Video (raw video data created with a Red camera)", "Red Camera",]],
    "R8": [["Raw graphics file (one byte per pixel) plane one", "PicLab",]],
    "R8P": [["PCL 4 bitmap font file", "Intellifont"]],
    "RA0, RA1, ...": [["Part of a multi-file RAR archive", "RAR"]],
    "RAD": [["Radiance", "Radiance"]],
    "RA": [["Remote Access conf. files", "RA"]],
    "RAL": [["Remote Access Language file", "Remote Access"]],
    "RAM": [["Ramfile", "RealAudio"]],
    "RAP": [["Flowchart", "RAPTOR"]],
    "RAR": [["Archive", "RAR"]],
    "RAS": [["Graphics format", "SUN Raster"]],
    "RAT": [["Datafile (RATS)", ""]],
    "RAW": [["QRT graphic file", ""]],
    "RAY": [["Rayshade", ""]],
    "RB": [["Ruby Script file", "Ruby Script"]],
    "RBF": [["Datafile", "Rbase"]],
    "RBXL": [['Roblox "level"', "Roblox"]],
    "RBXM": [['Roblox "model"', "Roblox"]],
    "RC": [["Windows resource compiler script", "RC.EXE -Resource WorkShop - OS/2",]],
    "RCG": [["Netscape newsgroup file (netsc.rcg)", ""]],
    "RCT": [["Roller Coaster Tycoon", ""]],
    "RDATA": [["Data file", "R"]],
    "R": [["Script file", "R"]],
    "RDF": [["Compiled UIC source code", "Geoworks UI Compiler"]],
    "RDI": [["Device-independent bitmap file (RIFF RDIB format)", "",]],
    "RDP": [["RDP connection", "Remote Desktop connection"]],
    "RDX": [["Datafile", "Reflex"]],
    "REC": [["Windows Recorder Macro File", "WinRecorder"]],
    "RED": [["REDuced nodelist file", "T-Mail nodelist Compiler"]],
    "REF": [["Cross-reference", ""]],
    "REG": [["Registration information or key", ""]],
    "REL": [["Foreground job relocatable file", "RT-11"]],
    "REM": [["Remarks", ""]],
    "REP": [["Report", "Report Designer - CodeReporter - DataBoss"]],
    "REQ": [["File request", "FTN Software"]],
    "RES": [["Windows compiled resource package", "Win"]],
    "REV": [["Revision file", "Geoworks"]],
    "REX": [["Rexx language source file", "Rexx"]],
    "REZ": [["Resource file", ""]],
    "RFA": [["3D BIM Model Family Element", "Autodesk Revit"]],
    "RF": [["Sun raster graphics file", ""]],
    "RFM": [["Report ForMat (script for customized report)", "Nuverb Systems Inc: Donarius",]],
    "RFT": [["DCA/RFT Revisable Format Text file", "IBM DisplayWrite 4.0-5.1",]],
    "RGB": [["SGI RGB image file (RAW)", "SDSC Image Tool"]],
    "RGX": [["Symbol tables etc. info", "ReaGeniX code generator"]],
    "RH": [["Windows resource file header", "RC.EXE"]],
    "RHISTORY": [["Command history logfile", "R"]],
    "RIB": [["Graphics (Renderman Interface Bytestream)", "3D Reality",]],
    "RIC": [["Fax", "Ricoh"]],
    "RI": [["Data", "Lotus 1-2-3"]],
    "RIF": [["RIFF bitmap graphics (Resource Interchange File Format)", "Fractal Design Painter",]],
    "RIN": [["Sound recording participants and information (Recording Information Notification)", "Soundways RIN-M",]],
    "RIP": [["TeleGrafix Remote Imaging Protocol", "Maximus 3.0"]],
    "RIX": [["Graphics (ColoRIX Image File)", "ColoRIX"]],
    "RL4": [["Bitmap graphics", ""]],
    "RL8": [["Bitmap graphics", ""]],
    "RLA": [["Wavefront raster image file", "SDSC Image Tool"]],
    "RLB": [["Data hgw.rlb", "Harvard Graphics Win"]],
    "RLC": [["Graphics 1bit/pixel scanner output", ""]],
    "RLD": [["OSIMapDef. RecLoad Definition", ""]],
    "RLE": [["Utah Run Length Encoded rasterfile graphic file", "SDSC Image Tool",]],
    "RLZ": [["REALIZER source code file", "CA-Realizer"]],
    "RMB": [["data", "RegistryMaster"]],
    "RM": [["RealMedia", "RealPlayer"]],
    "RMI": [["Windows alternate synthesized sound format", "RIFF RMID format",]],
    "RMK": [["Make file", "CA Clipper - RMAKE"]],
    "RMVB": [["RealMedia Variable Bitrate", "RealPlayer"]],
    "RN4": [["Random Numeration 4 Encryption Program File", ""]],
    "RNA": [["Real Native Application File", ""]],
    "RND": [["Rendering Slide", "AutoCAD AutoShade"]],
    "RN": [["XPL program for Nota Bene users", ""]],
    "RNN": [["Multi volume RAR archive", "RAR"]],
    "RNO": [["Runoff file", "VAX"]],
    "ROL": [["FM music Adlib Music File", "Roland"]],
    "ROM": [["Read Only Memory image in emulators, AONs, etc.", ""]],
    "ROO": [["CODASYL DBMS Database Root", "Oracle"]],
    "ROSS": [["Simple function routine", "Ross shell"]],
    "RPB": [["Data report file used by CP Backup", "CP Backup"]],
    "RPC": [["Rich Photorealistic Content", "ArchVision"]],
    "RPD": [["Database", "RapidFile"]],
    "RPF": [["AutoCAD pattern", "ACAD"]],
    "RPL": [["Text document", "Replica"]],
    "RPM": [["Red Hat Package Manager", "Red Hat Linux"]],
    "RPT": [["Report file used by many applications", ""]],
    "RRD": [["Reduced Resolution Dataset", "ESRI (GIS)"]],
    "RSC": [["Resource file", "ViewMax - many"]],
    "RS_": [["Resource fork of a Macintosh file", "Mac-ette"]],
    "RS": [["Rust language source", ""]],
    "RSDF": [["RSD Link Container", "JDownloader"]],
    "RSL": [["Resource Library used by PC Tools for Windows", "PC Tools - Win",]],
    "RSP": [["Response File", "OS/2"]],
    "RST": [["reStructuredText", "Docutils"]],
    "RSY": [["FLEXIT Multishot Survey Raw Data file", "FLEXIT"]],
    "RTFD": [["RTF-Packet", "NeXT"]],
    "RTF": [["Rich Text Format text file (help file script)", "many - Microsoft Word",]],
    "RTL": [["Text file", ""]],
    "RTP": [["RTPatch software update package data file", "Pocket soft patch",]],
    "RTS": [["Runtime library file", "CA-Realizer"]],
    "RUL": [["Echo-conference rules", ""]],
    "RUN": [["PC Tools for Windows batch file", "PC Tools"]],
    "RUNZ": [["pseudo-executable file, used in Portable Apps and software installers for Super OS", "RUNZ Framework",]],
    "RUS": [["Russian text", ""]],
    "RV": [["Raw Wind Data", ""]],
    "RVF": [["", "TRichView"]],
    "RVT": [["3D BIM Model file", "Autodesk Revit"]],
    "RVW": [["Review", ""]],
    "RWS": [["Resource Workshop data file", "Borland C++"]],
    "RWX": [["Script", "RenderWare"]],
    "RWZ": [["Microsoft Outlook Rules Wizard File", "Microsoft Outlook",]],
    "RXD": [["Reflex 1 datafile", "Reflex 1"]],
    "RZK": [["File Crypt password file", "All text editors"]],
    "RZX": [["File Crypt encrypted file", "File Crypt (Akte Krypta, Kriptirnik)",]],
    "S19": [["Motorola ASCII format of executables", ""]],
    "S1K": [["S1000 Simnet Format", ""]],
    "S1P": [["Touchstone V1 Network Parameter Data (1 port)", "Vector Network Analyzers",]],
    "S2P": [["Touchstone V1 Network Parameter Data (2 port)", "Vector Network Analyzers",]],
    "S3I": [["Digiplayer/ST3 Sample File", "Digiplayer - ST3"]],
    "S3M": [["Music (16 channels)", "Scream Tracker 3.0 - DMP"]],
    "S3P": [["Touchstone V1 Network Parameter Data (3 port)", "Vector Network Analyzers",]],
    "S4P": [["Touchstone V1 Network Parameter Data (4 port)", "Vector Network Analyzers",]],
    "S7I": [["Seed7 library / include file", "Seed7 interpreter and compiler",]],
    "SAB": [["Saber file", "Star Wars: Jedi Knight Jedi Academy"]],
    "SA?": [["Packed mail", "FTN software"]],
    "SAF": [["see SAIF", ""]],
    "SAFE": [["SafeIT Encrypted", ""]],
    "SAIF": [["Spatial Archive Interchange Format", ""]],
    "SAL": [["Datafile", "SORITEC"]],
    "SAM": [["Text file", "Samna - Lotus Ami/Ami Pro"]],
    "SAN": [["LucasArts' SMUSH/INSANE animation", ""]],
    "SAP": [["Atari SAP music format", ""]],
    "SAR": [["Archive", "SAR"]],
    "SAS": [["SAS Program File", "SAS System"]],
    "SASS": [["Saas stylesheet language, indented-format", ""]],
    "SAT": [["ACIS ACIS .sat", ""]],
    "SATS": [["Static source", "ATS"]],
    "SAV": [["Saved game state", "Spider Solitaire (Windows)"]],
    "SAVER": [["Screensaver", "Mac OS X"]],
    "SB2": [["Scratch 2.0 project", "Scratch"]],
    "SB3": [["Scratch 3.0 project", "Scratch"]],
    "SBD": [["Storyboard", "Storyboard Editor"]],
    "SB": [["Scratch project", "Scratch"]],
    "SBH": [["Header", "ScriptBasic"]],
    "SBI": [["Sound Blaster Instrument file (Creative Labs)", ""]],
    "SBK": [["Emu SoundFont Bank (AWE32 Bank)", "Convert (c) Villena",]],
    "SBL": [["Stony Brook Pascal library", "SB Pascal"]],
    "SBP": [["DML program", "Superbase 4"]],
    "SBR": [["Support file", "Source Browser"]],
    "SBT": [["Notes related to record", "Suberbase 4 Windows"]],
    "SBX": [["Sequenced Box container", "Used by SeqBox"]],
    "SC3": [["Saved City", "SimCity 3000"]],
    "SC4": [["Game Scenario", "RollerCoaster Tycoon Deluxe/Expansion Pack",]],
    "SC6": [["Game Scenario", "RollerCoaster Tycoon 2"]],
    "SCA": [["Datafile", "SCA"]],
    "SCALA": [["Scala source code file", "Scala (programming language)",]],
    "SCC": [["Text file", ""]],
    "SCD": [["SCODOL film recorder (Scan Conversion Object Description Language)", "SCODOL",]],
    "#SC": [["Printer data file", "LocoScript"]],
    "SC": [["Script", "Borland Paradox"]],
    "SCF": [["Spelling checker configuration file", "Symphony"]],
    "SCH": [["Circuit Design Schematic", "P-CAD - Orcad - Protel"]],
    "SCHDOC": [["Circuit Design Schematic", "Protel - Altium Designer",]],
    "SCHEMATIC": [["MCEdit Schematic file", "MCEdit Tool for Minecraft",]],
    "SCI": [["System Configuration Information", ""]],
    "SCM": [["StarCraft mission", ""]],
    "SCN": [["Screen file", "Kermit"]],
    "SCO": [["High score", ""]],
    "SCP": [["Script", "BITCOM"]],
    "SCPTD": [["Script bundle", "macOS"]],
    "SCPT": [["Script", "macOS"]],
    "SCR": [["Script file source", "TeleMate - Kermit - 1st Reader"]],
    "SCRIPT": [["Script", ""]],
    "SCSS": [["Saas stylesheet language, block-formatted with braces and semicolons to denote end-of-line", "",]],
    "SCT": [["Additional (FPT) screen description file", "FoxPro"]],
    "SCTOR": [["Raster graphics format used by some very obscure custom operating systems", "",]],
    "SCX": [["StarCraft: Brood War scenario", "StarCraft: Brood War",]],
    "SCY": [["Security file", "ReaGeniX"]],
    "SD7": [["Seed7 source file", "Seed7 interpreter and compiler"]],
    "SDA": [["Fidonet's Software Distribution Network file archive description", "",]],
    "SDC": [["Synopsys Design Constraints", "Electronic Design Automation Tools",]],
    "SD": [["Sound Designer I audio file", "AWAVE"]],
    "S": [["MSTS Shape file", "MSTS"]],
    "S$$": [["Temporary sort file", "Sprint"]],
    "SDF": [["System Data Format file (fixed length ASCII text)", "",]],
    "SDI": [["Software Distribution Network Info file", ""]],
    "SDK": [["Roland S-550/S-50/W-30 Disk Image", ""]],
    "SDL": [["Alias Wavefront Scene Description Language", ""]],
    "SDML": [["Spatial Data Modeling Language", ""]],
    "SDN": [["Software Distribution Network compressed file archive", "pak251.exe",]],
    "SDR": [["SmartDraw File", "SmartDraw Pro"]],
    "SDS": [["Self Defining Structure provides for N-dimensional very large datasets using HHCode", "geographic information systems and relational database management systems",]],
    "SDTS": [["Spatial Data Transfer Standard", ""]],
    "SDW": [["Ami Draw Symbol File", ""]],
    "SDX": [["Sample DUMP Exchange File", ""]],
    "SEA": [["Self-Extracting compressed Macintosh file Archive", "",]],
    "SEARCH": [["ACDSee saved search", "ACDSee"]],
    "SEC": [["Secured animation file", "Disney Animation Studio"]],
    "SED": [["Self extraction directive file", "IExpress"]],
    "SEN": [["Scifer Archive Format (Internal Header Mode)", ""]],
    "SEP": [["Printer separator page", ""]],
    "SEQ": [["Sequential Instruction File", "Bubble Chamber"]],
    "SES": [["Multitrack Audio Session info", "Adobe Audition"]],
    "SET": [["YVD card set file", "YVD"]],
    "SF2": [["Emu SoundFont Bank v2.0 file", "AWAVE, Viena, Polyphone, Swami",]],
    "SFB": [["HP Soft font (obsolete under Windows)", ""]],
    "SFD": [["SoundStage Data file", "AWAVE"]],
    "SF": [["WPS attribute storage (OS/2 WorkPlace Shell) wp_root.sf", "OS/2 WorkPlace Shell",]],
    "SFF": [["Scene File Format", ""]],
    "SFI": [["Printer font (HP LaserJet landscape)", "Ventura Publisher",]],
    "SFL": [["Sound file", "Sound Forge and ACID Pro"]],
    "SFN": [["Font", "SPX"]],
    "SFO": [["Bitstream font file - fontware format", ""]],
    "SFP": [["PCL 4 bitmap font", "portrait - Intellifont - Ventura Publisher",]],
    "SFR": [["Sonic Foundry Sample Resource", "AWAVE"]],
    "SFS": [["PCL 5 scalable font file", "Intellifont"]],
    "SFT": [["Screen font", "ChiWriter"]],
    "SFV": [["Simple file verification checksum file", "many file verification tools",]],
    "SFX": [["SFX (self-extracting archives) script", "RAR"]],
    "SG1": [["Graphics", "Stanford Graphics"]],
    "SGF": [["Smart Game Format", "Many board games"]],
    "SGI": [["Graphics file", "IRIS - Silicon Graphics"]],
    "SGP": [["Statistics", "STATGRAPHICS Plus"]],
    "SGT": [["Save/get keyboard macro", "Signature"]],
    "SH3D": [["Sweet home 3d file", "Sweet home 3d, archivers with ZIP support",]],
    "SH3": [["Presentation", "Harvard Graphics 3.0"]],
    "SHA1": [["SHA1 Checksum verification File", "HashCheck (Windows)",]],
    "SHAR": [["Shell self-extracting archive", "UNSHAR (Unix)"]],
    "SHB": [["Background", "CorelShow"]],
    "SH": [["Unix shell script", "Unix shell interpreter"]],
    "SHG": [["Segmented Hyper Graphics", "Microsoft's shed.exe, JGsoft's Hotspot Builder, EC Software's Help and Manual",]],
    "SHK": [["Apple II archive", "SHRINKIT"]],
    "SHM": [["Shell macro", "WordPerfect Library"]],
    "SHP": [['Shape file and sdiv id="PYI"> PYIource file for text fonts\nESRI shapefile', "AutoCAD\nArcGIS",]],
    "SHR": [["see SHAR", ""]],
    "SHS": [["Shell Scrap Object File", "Windows XP and earlier versions",]],
    "SHT": [["HTML format for WWW", "NetScape"]],
    "SHTM": [["SSI-enabled HTM file", "Server Side Includes"]],
    "SHTML": [["SSI-enabled HTML file", "Server Side Includes"]],
    "SHW": [["Slide show", "WordPerfect Presentations, PMview Slide Show",]],
    "SHX": [["Shape entities\nESRI shapefile", "AutoCAD\nArcGIS"]],
    "SIB": [["Sibelius file", "Sibelius 1-5"]],
    "SID": [["Sound Interface Device file format", "SIDplayer, SIDplay, sidplay2 /w",]],
    "SIF": [["Setup Installation Files info", "Windows NT Setup"]],
    "SIG": [["Signature file", "gpg, PopMail, ThunderByte AntiVirus",]],
    "SIK": [["Backup file (Sicherungskopie)", "Microsoft Word"]],
    "SIM": [["Simon document file - Simon instruction software editor", "",]],
    "SIS": [["symbian file", ""]],
    "SIT": [["Archive (Macintosh)", "STUFFIT"]],
    "SK": [["Skin file", ""]],
    "SKI": [["Skin file", "?"]],
    "SKIN": [["Skin file", ""]],
    "SKN": [["Skin file", ""]],
    "SKP": [["Google SketchUp file", ""]],
    "SKY": [["SYLK Spreadsheet file (used by Multiplan)", ""]],
    "SLB": [["Slide library", "AutoCAD"]],
    "SLC": [["SALT (script from Telix) compiled code", "Telix"]],
    "SLDASM": [["Assembly", "SolidWorks"]],
    "SLD": [["Slide", "AutoCAD"]],
    "SLDDRW": [["Drawing", "SolidWorks"]],
    "SL": [["S-Lang source code file", ""]],
    "SLDPRT": [["Part", "SolidWorks"]],
    "SLI": [["Slide", "MAGICorp Slide Service"]],
    "SLK": [["SYLK Symbolic Link format data file", "MultiPlan"]],
    "SLL": [["Static Link Library", "PowerBASIC"]],
    "SLN": [["Microsoft Visual Studio Solution", "Microsoft Visual Studio",]],
    "SLP": [["Age of Empires graphics file", "Age of Empires (video game)",]],
    "SLS": [["Slim source code", "Slim (programming language)"]],
    "SLT": [["SALT Script Application Language for Telix script source", "Telix",]],
    "SLV": [["Solution for any game", "many"]],
    "SMC": [["Super MagiCom SNES ROM image", "Super MagiCom"]],
    "SMCLVL": [["Secret Maryo Chronicles Level", "Secret Maryo Chronicles",]],
    "SM": [["StepMania Step File", "StepMania"]],
    "SMF": [["3D World Studio mesh files", ""]],
    "SMK": [["Smacker video Format (RAD Video)", ""]],
    "SML": [["System Macro Library", "RT-11"]],
    "SMM": [["Ami Pro Macro File", "Ami Pro"]],
    "SMMX": [["SimpleMind mind map file", "SimpleMind"]],
    "SMN": [["Font (ParaGraph's WorkScript format)", ""]],
    "SMP": [["Samplevision File", "Samplevision"]],
    "SMPL": [["Data", "Megahedron 3D object"]],
    "SMS": [["MSTS Sound management system file", "MSTS"]],
    "SMT": [["Text file", "Smart Ware II"]],
    "SNDB": [["SQLNotes database", "SQLNotes"]],
    "SND": [["Power Chords drum sound file", "Power Chord"]],
    "SN": [["Compressed song file", "Sound Club editor"]],
    "SNG": [["Saved game file for StarCraft", "StarCraft"]],
    "SNO": [["SNOBOL4 source code file", ""]],
    "SNP": [["Output video format from Computer Eyes equipment", ""]],
    "SNX": [["Saved game file for StarCraft: Brood War", "StarCraft: Brood War",]],
    "SOAR": [["Soar Production file", ""]],
    "SO": [["shared object, dynamically linked library", "Unix, Linux",]],
    "SOF": [["Altera FPGA programming file (internal RAM)", "Altera Quartus",]],
    "SOL": [["Solidity source code", ""]],
    "SOM": [["Sort information", "Paradox"]],
    "SON": [["Song", "SBStudio II"]],
    "SOU": [["Sound data (sound tool)", ""]],
    "SPC": [["Spectroscopic data (scientific)", "Thermo Scientific"]],
    "SPD": [["Scalable font", "Speedo - Harvard Graphics 3.0"]],
    "SP": [["Archive (unix)", "SPLINT"]],
    "SPF": [["data", "SQR Portable Format"]],
    "SPG": [["Glossary", "Sprint"]],
    "SPI": [["Graphics (Siemens and Philips scanner)", ""]],
    "SPIFF": [["Still Picture Interchange File Format", ""]],
    "SPIN": [["Spin source file", "Parallax Propeller Microcontrollers",]],
    "SPL": [["Sample", ""]],
    "SPM": [["Data wp[[wp]].spm", "WordPerfect"]],
    "SPP": [["Printer file", "Sprint"]],
    "SPR": [["Story Board sprites", ""]],
    "SPS": [["SPSSx source code file", "VAX/VMS"]],
    "SPT": [["SPITBOL source code file", ""]],
    "SPW": [["Worksheet", "SigmaPlot"]],
    "SPX": [["Ogg Speex bitstream", "Xiph.Org Foundation"]],
    "SQD": [["Squish message base", "Squish"]],
    "SQ": [["Squish compressed archive format", ""]],
    "SQI": [["Squish message base index", "Squish"]],
    "SQL": [["Structured Query Language", "Any SQL database"]],
    "SQLITE": [["SQLite databse", "Firefox SQLiteBrowser"]],
    "SQLITE3": [["SQLite databse", "Firefox SQLiteBrowser"]],
    "SQM": [["Windows Live Messenger log file", ""]],
    "SQN": [["Note file", "SquareNote"]],
    "SQZ": [["FOXPRO Squeeze file", "FOXPRO"]],
    "SRC": [["Source", "DataFlex"]],
    "SRF": [["Sun Raster File graphics file", ""]],
    "SRP": [["Script", "QuickLink"]],
    "SRT": [["Subtitle format", "SubRip"]],
    "SSA": [["Substation Alpha subtitles", ""]],
    "SSC": [["Stellarium Script", "Stellarium"]],
    "SSD": [["Datafile", "SAS/PC"]],
    "SS": [["Screen saver", "DN"]],
    "SSF": [["Graphic file", "SnagIt Studio File/PC"]],
    "SSFREC": [["Super Smash Flash 2 replay file", "File for Super Smash Flash 2",]],
    "SSG": [["Saved game", "Simsig"]],
    "SSIF": [["Stereoscopic Interleaved file", "Media playback devices / software that supports Blu-ray 3D",]],
    "SSO": [["Empowered Song", "Sertainty"]],
    "SSP": [["Datafile", "SAS Transport"]],
    "SSR": [["FLEXIT Singleshot Survey Raw Data file", "FLEXIT"]],
    "SST": [["AVHRR graphic file", ""]],
    "SSV": [["Spreadsheet viewer file", ""]],
    "STA": [["Stack", "Spinmaker Plus"]],
    "STB": [["Stub library", "Genus GX Kernel"]],
    "STC": [["OpenOffice.org XML spreadsheet template", "OpenOffice.org Calc",]],
    "STD": [["OpenOffice.org XML drawing template", "OpenOffice.org Draw",]],
    "ST": [["Stamp", "NeoPaint"]],
    "#ST": [["Standard mode printer definitions", "LocoScript"]],
    "STEAMSTART": [["STEAMSTART file", "Steam (software)"]],
    "STEP": [["Standard for the Exchange of Product Data", "universal format for CAD exchange",]],
    "STF": [["Setup Table File", ""]],
    "STI": [["OpenOffice.org XML presentation template", "OpenOffice.org Impress",]],
    "STK": [["Stockholm multiple sequence alignment", "Bioinformatics tools eg HMMER, Xrate, Jalview",]],
    "STL": [["Subtitle files EBU-standard", ""]],
    "STM": [["State Transition Diagram model file", "Prosa"]],
    "STO": [["Stockholm multiple sequence alignment", "Bioinformatics tools eg HMMER, Xrate, Jalview",]],
    "STP": [["Standard for the Exchange of Product Data", "universal format for CAD exchange",]],
    "STR": [["PlayStation video file", ""]],
    "STRINGS": [["Strings file", "Apple"]],
    "STS": [["Project status info", "Microsoft C/C++"]],
    "STU": [["Studio Project", "Pinnacle Studio (video editing software)",]],
    "STUFF": [["EVE Online compressed file archive", "CCP hf"]],
    "STW": [["OpenOffice.org XML text document template", "OpenOffice.org Writer",]],
    "STX": [["Tax form", "CA-Simply Tax"]],
    "STY": [["Style library or sheet", "many"]],
    "SUB": [["Subtitle format", "SubViewer; Author David Dolinski"]],
    "SUC": [["Saurus byte-code file", "Saurus VM"]],
    "SU?": [["Packed mail", "FTN software"]],
    "SU": [["Saurus source file", ""]],
    "SUF": [["Sony camera configuration file (setup.suf)", "XDCAM-EX camcorders",]],
    "SUI": [["SUIT library", "Simple User Interface Toolkit"]],
    "SUM": [["Summary", ""]],
    "SUN": [["Sun rasterfile graphics file", "Sun Microsystems"]],
    "SUO": [["Solution User Options", "Microsoft Visual Studio"]],
    "SUP": [["Supplementary dictionary", "WordPerfect for Win"]],
    "SUR": [['Surface topography (in native "SURF" format)', "MountainsMap",]],
    "SV4": [["Saved Game File", "RollerCoaster Tycoon"]],
    "SV6": [["Saved Game File", "RollerCoaster Tycoon 2"]],
    "SVC": [["Represents the ServiceHost instance hosted by Internet Information Services", "Windows Communication Foundation",]],
    "SVD": [["Autosave file for document", "Microsoft Word"]],
    "SVG": [["Scalable Vector Graphics", "many"]],
    "SVQ": [["MRC-Pro sequencers music format", "Roland Corporation synths such as XP or Fantom series",]],
    "SVS": [["Autosave file for style sheet", "Microsoft Word"]],
    "SVW": [["Super Video Windows", "Conversion Artist"]],
    "SVX": [["Interchange, 8SVX/16SV", "AWAVE"]],
    "SVY": [["FLEXIT Survey data", "FLEXIT"]],
    "SW": [["Raw Signed Word (16bit) data", "AWAVE"]],
    "SWF": [["Shockwave Flash", "Macromedia"]],
    "SWG": [["SWAG Pascal Snippets file", "SWAG"]],
    "SWIFT": [["Swift source code", "Swift (programming language)"]],
    "SWM": [["split Windows Imaging Format", "ImageX, DISM, 7-Zip, wimlib",]],
    "SWP": [["Swap file", "vim"]],
    "SWT": [["Hump Routes File", "FYM"]],
    "SXC": [["OpenOffice.org XML spreadsheet", "OpenOffice.org Calc",]],
    "SXD": [["OpenOffice.org XML drawing", "OpenOffice.org Draw"]],
    "SXG": [["OpenOffice.org XML master document", ""]],
    "SXI": [["OpenOffice.org XML presentation", "OpenOffice.org Impress",]],
    "SXM": [["OpenOffice.org XML formula", "OpenOffice.org Calc"]],
    "SXP": [["3DS Process file", "3D Studio"]],
    "SXW": [["OpenOffice.org XML text document", "OpenOffice.org Writer",]],
    "SY1": [["SmartPix symbol library", "Ami Pro"]],
    "SY3": [["Symbol file", "Harvard Graphics 3.0"]],
    "SYD": [["Sysedit backup file", "Sysedit"]],
    "SYG": [["Monitor and handler files created by SYSGEN", "RT-11"]],
    "SYM": [["Symbol file", "Harvard Graphics 2.0, Microsoft Windows SDK",]],
    "SYN": [["Synonym file", "Microsoft Word 5"]],
    "SYS": [["System file - device driver or hardware configuration info", "DOS",]],
    "SYW": [["Yamaha SY-85/SY-99 Wave File", "Convert (c) Villena"]],
    "SZPROJ": [["SZInstallSystem Project", "SoftwareZator 2011 Standart Edition",]],
    "SZS": [["Method of compressing used by Nintendo", "Various Nintendo games",]],
    "T2B": [["Bookeen Cybook thumbnail", "Cybook"]],
    "T2FLOW": [["Taverna 2 workflow definition", "Taverna workbench",]],
    "T2L": [["True2Life file format", "3D Internet content developers",]],
    "T44": [["Temporary file for Sort or Index", "dBASE IV"]],
    "T64": [["Program", "C64S emulator"]],
    "TAF": [["Tango Application File, a server-side script", "Tango Enterprise (Pervasive Software)",]],
    "TAG": [["Query tag name", "DataFlex"]],
    "TAH": [["Help file for Turbo Assembler", "Borland C++"]],
    "TAK": [["Audio codec, Lossless audio file format", "Winamp (+Plugin), foobar2000 (+Plugin), Media Player Classic - BE",]],
    "TAL": [["Text illustration", "TypeAlign"]],
    "TAP": [["Tape file", "ZX Spectrum emulator by g.a.lunter"]],
    "TAR": [["tar archive", "tar, many file archivers with TAR support",]],
    "TAZ": [["compressed tar archive", "tar, many file archivers with TAR and COMPRESS support",]],
    "TB1": [["Font file", "Borland Turbo C"]],
    "TB2": [["Font file", "Borland Turbo C"]],
    "TB": [["Tab file (Virtual Desktop Tab)", "Tabbery"]],
    "TBF": [["Fax", "Imavox TurboFax"]],
    "TBK": [["Toolbook", "Asymetrix ToolBook"]],
    "TBL": [["Table of values", "OS/2"]],
    "TBR": [["Norton Desktop custom toolbar", "NDW"]],
    "TBS": [["Text elements 0?? (Textbausteine)", "Microsoft Word",]],
    "TBX": [["Table", "Project Scheduler 4 - TermBase eXchange (ISO 30042)",]],
    "TBZ": [["Archive", "WinZipNT - TAR - Bzip2"]],
    "TCC": [["TI-Nspire OS upgrade file", "TI-Nspire CX CAS"]],
    "TC": [["Configuration", "Turbo C - Borland C++"]],
    "TCH": [["Help file", "Turbo C - Borland C++"]],
    "TCL": [["Tool Command Language source code", "Tcl"]],
    "TCO": [["TI-Nspire OS upgrade file", "TI-Nspire CX"]],
    "TCT": [["Drawing Template", "TurboCAD for Windows"]],
    "TCW": [["Native Drawing File", "TurboCAD for Windows"]],
    "TD0": [["Compressed disk image file", "Teledisk"]],
    "TD1": [["Multi-part disk image file", "Teledisk"]],
    "TD2": [["Configuration file", "Turbo Debugger for Win32"]],
    "TDB": [["Database", "TACT"]],
    "TDDD": [["Imagine Object File Format", "Imagine"]],
    "TD": [["Config from Turbo Debugger", "Turbo Debugger"]],
    "T": [["Tester symbol table", "ReaGeniX code generator"]],
    "TDESKTOP-PALETTE": [["Palette", "Telegram Desktop"]],
    "TDF": [["Typeface definition file", "Speedo"]],
    "TDH": [["Help file for Turbo Debugger", "Borland C++"]],
    "TDK": [["Keystroke recording file", "Turbo Debugger"]],
    "TDR": [["Contents of Arvid tape", ""]],
    "TDS": [["Symbol table", "Turbo Debugger"]],
    "TDT": [["Thumbnail data", "AVCHD"]],
    "TDW": [["Configuration file", "Turbo Debugger for Windows"]],
    "TEC": [['TECO macro file ("compiled" form)', "TECO"]],
    "TEF": [["Fax", "Relisys TEFAX"]],
    "TEL": [["Host file", "Telnet"]],
    "TEM": [["Turbo Editor Macro Language script", "Borland C++"]],
    "TERM": [["Terminal File", ""]],
    "TES": [["TECO macro file (source form)", "TECO"]],
    "TET": [["Tetris results", "DN"]],
    "TEX": [["Tex source file", "Typesetting. LaTeX, ConTeXt, etc"]],
    "TEXT": [["Text file", ""]],
    "TFA": [["Area file", "Turbo Profiler"]],
    "TFC": [["Catalogue file", "Tobi's Floppy Cataloguer"]],
    "TF": [["Configuration", "Turbo Profiler"]],
    "TFF": [["self executing TansForm dialogue", "TansForm"]],
    "TFH": [["Help file for Turbo Profiler", "Borland C++"]],
    "TFM": [["TeX font metric file", "TeX"]],
    "TFS": [["Statistical information", "Turbo Profiler"]],
    "TG1": [["Project file", "On Target"]],
    "TGA": [["Targa bitmap", "Paint.NET, many raster graphics editors",]],
    "TGZ": [["gzip compressed tar archive", "tar, many file archivers with TAR and GZIP support",]],
    "TH?": [["Packed mail", "FTN software"]],
    "T?H": [["Turbo Help file (Pascal, C, Assembler, ...)", "Borland Thelp",]],
    "THE": [["Windows'95 Desktop Theme", "Microsoft Plus"]],
    "THEME": [["Windows Theme", "Microsoft Windows 95 with Plus!, 98 and later",]],
    "THEMEPACK": [["Windows Theme package", "Microsoft Windows 7 and later, many file archivers with CAB support",]],
    "THM": [["Thumbnail or Theme File", "Picture Publisher, PhotoMagic, Canon Digital Cameras, and Sony Digital Cameras create these Thumbnail files; also used for Sony Ericsson Theme File, for a cell phone",]],
    "THP": [["Nintendo proprietary video format", "Various Nintendo games",]],
    "THR": [["ThredWorks Embroidery Format", "Thred, Embroidermodder",]],
    "THS": [["Thesaurus dictionary", "WordPerfect for Win"]],
    "TIB": [["Acronis True Image Backup", "Acronis True Image"]],
    "TIC": [["FTN special file with assotiated file description", "ALLFIX",]],
    "TIF": [["see TIFF", ""]],
    "TIFF": [["TIFF (tagged image format file) bitmapped file", "Alchemy - PhotoStyler -PageMaker - CorelDRAW",]],
    "TIGER": [["Tomb Raider binaries files", "Ubi"]],
    "TIL": [["Fuzzy logic knowledge base", "Togai InfraLogic Fuzzy-C Compiler",]],
    "TIP": [["Digital Signage Presentation", "Tru-Designer, Tru-Player, Tru-Scheduler part of Tru-i Suite",]],
    "TIS": [["Tile set", "MahJongg 3.0"]],
    "TJL": [["Backup file", "VAXTPU editor"]],
    "TLB": [["Type library ", "A binary file with information about a COM or DCOM object so other applications can use it at runtime. Created by Visual C++ or Visual Studio. Used by many Windows applications.",]],
    "TLC": [["Compiled Tool Command Language source code", "Swat"]],
    "TLD": [["Disk Image", "Teledisk"]],
    "TLG": [["Transaction Log", "Intuit QuickBooks"]],
    "TLH": [["Typelib Generated C/C++ Header", "Visual C++"]],
    "TLP": [["Project", "TimeLine"]],
    "TLX": [["Website builder", "Trellix"]],
    "TM2": [["Typical Meteorological Year data (new)", "Typical Meteorological Year",]],
    "TMC": [["TI-Nspire OS upgrade file", "TI-Nspire CM-C CAS"]],
    "T$M": [["AVG scan log files", "AVG"]],
    "TMF": [["TiVo movie", "TiVo"]],
    "TMO": [["TI-Nspire OS upgrade file", "TI-Nspire CM-C"]],
    "TMP": [["Temporary file", "(Several programs)"]],
    "TMPL": [["Template", ""]],
    "TMS": [["TeleMate compiled script", "TeleMate"]],
    "TMY2": [["Typical Meteorological Year data (new)", "Typical Meteorological Year",]],
    "TMY": [["Typical Meteorological Year data (old)", "Typical Meteorological Year",]],
    "TNC": [["TI-Nspire OS upgrade file", "TI-Nspire CAS"]],
    "TNO": [["TI-Nspire OS upgrade file", "TI-Nspire"]],
    "TNS": [["TI-Nspire document", "TI-Nspire series"]],
    "TOC": [["Table Of Contents text file (ASCII)", ""]],
    "TOCG": [["TorgaNET Diplomatic Cables", "State Department of Torga",]],
    "TOG": [["TorgaNET", "TorgaNET database file"]],
    "TOK": [["Borland C++ 4.x reserved word list", "BCW.EXE"]],
    "TOML": [["Tom's Obvious Minimal Language", "Configuration files"]],
    "TOPC": [["TopicCrunch SEO Project file holding keywords, domain and search engine settings (ASCII)", "",]],
    "TORRENT": [["TORRENT File", "BitTorrent clients (various)"]],
    "TOS": [["Self-extracting file archive (Atari ST)", ""]],
    "TP3": [["Template", "Harvard Graphics 3.0"]],
    "TPB": [["Downloadable PCL Soft font file backup", "HiJaak"]],
    "TPC": [["File produced when an inter-Topicscape topic link file is exported to Windows", "3D Topicscape",]],
    "TP": [["TinkerPlots Document", "TinkerPlots and Fathom Dynamic Data Software; documents contain data tables, graphs, text, pictures, etc.",]],
    "TPF": [["Print data in EMF format", "ThinPrint"]],
    "TPH": [["Help file", "Turbo Pascal"]],
    "TPL": [["Template", "Harvard Graphics 2.0"]],
    "TPOLY": [["Data", "TPOLY 3D object"]],
    "TPP": [["Protected Mode Units", "Borland Pascal 7.0"]],
    "TPT": [["Digital Signage Presentation Template", "Tru-Designer, Tru-Scheduler part of Tru-i Suite",]],
    "TPU": [["Command file (VAXTPU editor)", "VAXTPU editor"]],
    "TPW": [["Session-state file", "Turbo Profiler for Windows"]],
    "TPZ": [["gzip compressed tar archive", "tar, many file archivers with TAR and GZIP support",]],
    "TR2": [["Session-state settings", "Turbo Debugger for Win32"]],
    "TRASH": [["File found during a file scan as bugged", "Windows"]],
    "TRC": [["Debug support file", "Power CTrace"]],
    "TRD": [["Datafile", "TrID file identifier filetypes definitions package",]],
    "TR": [["Session-state settings", "Turbo Debugger for DOS"]],
    "TRE": [["Directory tree file", "PC-Tools"]],
    "TRIA": [["Data", "Greg Hood's ASCII Triangle"]],
    "TRIB": [["Data", "Greg Hood's Binary Triangle"]],
    "TRIF": [["Tiled Raster Interchange Format", ""]],
    "TRK": [["Track (i.e. video sequence), used by many games", ""]],
    "TRM": [["Terminal settings", "Windows 3.x"]],
    "TRN": [["Translation support file", "Quattro - Clarion"]],
    "TRP": [["MPEG-2 Part 1 multiplexed video stream", "Digital video broadcast, DVRs, video players",]],
    "TRS": [["IBM Mainframe log file", "TRSMAIN"]],
    "TRU": [["True Basic source file", ""]],
    "TRW": [["Session-state settings", "Turbo Debugger for Windows"]],
    "TRY": [["Typical Meteorological Year data (variant)", "TRNSYS"]],
    "TS": [["TypeScript source file", ""]],
    "TSE": [["Data", "Light Map Maker ASCII Scene"]],
    "TSK": [["Microsoft Multimedia Task Application", "Win95"]],
    "TSL": [["Exported Schedule", "Tru-Scheduler part of Tru-i Suite",]],
    "TSM": [["Turbo Assembler Manual", "TASM for OS/2"]],
    "TST": [["ExamView papers and online tests", "can be opened with WinRAR, ExamView, and TestGen software.",]],
    "TSV": [["Tab Separated Values", ""]],
    "TTE": [["TrueType Font file", "Windows EUDC editor"]],
    "TTF": [["TrueType Font file", ""]],
    "TTL": [["Turtle (syntax) file", "Resource Description Framework",]],
    "TUD": [["The Ultimate Draw file", "The Ultimate Draw"]],
    "TU?": [["Packed mail", "FTN software"]],
    "TUT": [["Tutorial", ""]],
    "TV": [["Table view settings", "Paradox"]],
    "TVF": [["Table view settings", "dBASE"]],
    "TVN": [["Overflow file above insert point in Doc n", "WordPerfect for Win",]],
    "TWF": [["Warp Map File", "Geo Semiconductor, Inc eWarp Pro Development Took Kit",]],
    "TXC": [["Test Configuration Format", ""]],
    "TXF": [["Tax eXchange Format", ""]],
    "TXI": [["Support file", "TeX"]],
    "TXT": [["Document Extension", "TextEdit"]],
    "TXW": [["Yamaha TX-16W Wave File", "Convert (c) Villena"]],
    "TY": [["TiVo movie", "TiVo"]],
    "TYM": [["Time Stamp (PageMaker 4)", "PageMaker 4"]],
    "TZB": [["Archive", "TAR - COMPRESS - BTOA"]],
    "TZ": [["Archive", "TAR - COMPRESS"]],
    "TZL": [["Tanzzle pattern file", "Tanzzle"]],
    "TZX": [["Tape image file", "Common 8bit tape files  Original from ZX Spectrum",]],
    "U3D": [["Universal 3D", "Adobe Acrobat"]],
    "U8": [["Sample", ""]],
    "UB": [["Raw Unsigned Byte (8bit) data", "AWAVE"]],
    "UC2": [["Archive", "UC II"]],
    "UCN": [["New archive", "UC II"]],
    "UCS": [["Unknownsoft Service Pack (mainly for Shadow OS 2009)", "Unknownsoft Computer Systems",]],
    "UDF": [["Filter", "Aldus Photostyler"]],
    "UDIWWW": [["bookmark data", "UdiWWW"]],
    "UDO": [["Data", "Moray User Defined Object"]],
    "UDW": [["Raw Unsigned DWord data", "AWAVE"]],
    "UE2": [["Encrypted archive", "UC II"]],
    "UF2": [["USB Flashing Format", "Microsoft MakeCode file for flashing microcontrollers",]],
    "UFI": [["data", "UFO CaptureV2 settings -"]],
    "UFO": [["graphic file", "Ulead Photo Impact"]],
    "UHA": [["UHarc archive", ""]],
    "UHS": [["Universal Hint System (binary file)", ""]],
    "UI": [["User interface", "Sprint"]],
    "UIF": [["Long prompts for windows", "WordPerfect for Win"]],
    "UIH": [["Espire header file", "Geoworks UI Compiler Geos"]],
    "ULD": [["Information about uploaded files", "Procomm Plus - Datastorm Technologies, Inc.",]],
    "UL": [["ULAW audio file", ""]],
    "ULF": [["data", "MRF Mapping Tool Kit Universal List Format"]],
    "ULT": [["Music", "UltraTracker"]],
    "UMB": [["Backup file", "MemMaker"]],
    "UMP": [["Umple UML Programming Language Format", "Umple"]],
    "UMX": [["Unreal Music Package", "Unreal Tournament"]],
    "UNF": [["Universal NES Image Interchange File Format", ""]],
    "UNI": [["Music format", "UNIMOD - MIKMOD"]],
    "UNIF": [["Universal NES Image Interchange File Format", ""]],
    "UNV": [["Text file containing finite elements nodal coordinates and more See notes", "Originally used by SDRC for its I-deas software; a lot of simulation software use it today",]],
    "UNX": [["Text file containing UNIX specific info", ""]],
    "UOML": [["UniqueObject Markup Language (UOML) is a XML-based markup language", "",]],
    "UOP": [["Uniform Office Format presentation", ""]],
    "UOS": [["Uniform Office Format spreadsheet", ""]],
    "UOT": [["Uniform Office Format text", ""]],
    "UPD": [["Update data", "dBASE"]],
    "UPO": [["Compiled update data", "dBASE"]],
    "URL": [["Internet Shortcut (URL)", "Windows Explorer"]],
    "URT": [["Utah Raster Toolkit", ""]],
    "USDZ": [["Augmented Reality (AR) File", "Apple, Pixar"]],
    "USE": [["Log file", ""]],
    "USP": [["Printer font with USASCII extended character set", "Adobe PageMaker",]],
    "USR": [["User database file", "Procomm Plus - Turbo C++ tour"]],
    "UST": [["UTAU vocal track", "UTAU"]],
    "UT!": [["datafile", "uTorrent"]],
    "?UT": [["Nonpacked FTN mail (? - flavor)", "FidoNet"]],
    "!UT": [["Unfinished μTorrent download", "μTorrent"]],
    "UTZ": [["Mobile Phone Theme", "Sony Ericsson"]],
    "UU": [["Encoded file (ASCII)", "UUENCODE/UUDECODE - Uuencoding",]],
    "UUE": [["Encoded file (ASCII)", "UUENCODE/UUDECODE - Uuencoding",]],
    "UW": [["Raw Unsigned Word 16bit data", "AWAVE"]],
    "UWF": [["UltraTracker WaveSample", "UltraTracker"]],
    "UXP": [["Empowered Data Object", "Sertainty"]],
    "UZED": [["Compressed Unicode GEDCOM file", "Family Tree Builder",]],
    "V10": [["Data", "Gouraud Shaded Vectors"]],
    "V1, V2, ...": [["Split parts of a whole file", "JJSplit"]],
    "V2D": [["Voucher design file", "Voucher management included in JFire (e.g. when printing a voucher)",]],
    "V4P": [["vvvv patch", "vvvv"]],
    "V64": [["Nintendo 64 ROM", "Nintendo 64 emulators"]],
    "V8": [["Covox 8bit file", "AWAVE"]],
    "VAI": [["multimedia", "PhotoDub document"]],
    "VALA": [["Sourcecode", "Vala"]],
    "VAL": [["Values list object file", "dBASE Application Generator",]],
    "VAN": [["Animation", "VistaPro"]],
    "VAP": [["Dialogic indexed adpcm voice file", "VBASE/40"]],
    "VAR": [["Variable file", "IconAuthor"]],
    "VB": [["Visual Basic .Net source file", "Visual Basic .NET"]],
    "VBOX": [["virtual machine settings file (in XML format)", "VirtualBox",]],
    "VBOX-EXTPACK": [["VirtualBox extension package", "VirtualBox",]],
    "VBOX-PREV": [["backup of virtual machine settings file", "VirtualBox",]],
    "VBPROJ": [["Visual Basic .Net project file", "Visual Basic .Net Express and Visual Studio 2003-2010 Project",]],
    "VBR": [["Visual Basic Custom Control file", "Visual Basic"]],
    "VBS": [["VBScript script file", "VBScript"]],
    "VBX": [["Visual Basic eXtension", "Visual Basic"]],
    "VBZ": [["Visual Basic Setup Wizard Template", "Setup Wizard"]],
    "VC6": [["Graphite - 2D and 3D drafting", "Ashlar-Vellum"]],
    "VCA": [["Visual Clip Art", ""]],
    "VCD": [["VisualCADD Drawing File", ""]],
    "VC": [["Spreadsheet", "VisiCalc"]],
    "VCE": [["Visual CertExam File", "VCE Exam Simulator"]],
    "VCF": [["Virtual Contact File", ""]],
    "VCLS": [["VocaListener voice scanner file", "VocaListener Plug-in (Vocaloid3)",]],
    "VCR": [["VCR drivers for Arvid", ""]],
    "VCW": [["Visual workbench information", "Microsoft Visual C++"]],
    "VCX": [["Spreatsheet", "VisiCalc Advanced"]],
    "VDA": [["Targa bitmap graphics", "many raster graphics editors",]],
    "V": [["Verilog source file", ""]],
    "VDI": [["Virtual Disk Image", "VirtualBox"]],
    "VDOC": [["Vector Document File", "a Future Corporation Pty. Ltd. (Australia)",]],
    "VDO": [["Story Board video image", "Story Board"]],
    "VDR": [["Drawing", "ComputerEasy Draw"]],
    "VDW": [["Visio web drawing", "Microsoft Visio"]],
    "VDX": [["Visio XML drawing", "Microsoft Visio"]],
    "VEG": [["Vegas Project", "Sony Vegas"]],
    "VEW": [["View file", "Clipper 5 - Lotus Approach"]],
    "VF0": [["Database file", "OTExpert 5"]],
    "VFA": [["FontLab Database file", "FontLab"]],
    "VFD": [["Virtual Floppy Disk", "Windows Virtual PC (among others)",]],
    "VFM": [["Voting Form", "Voter"]],
    "VFN": [["Voting Form for Customers", "Voter"]],
    "VGA": [["VGA display font", ""]],
    "VGD": [["VGA display driver", "Generic CADD"]],
    "VGM": [["Video Game Music audio format", ""]],
    "VGR": [["Graphics file", "Ventura Publisher"]],
    "VHD": [["Virtual Hard Disk", "Windows Virtual PC (among others)",]],
    "VHDX": [["Virtual Hard Disk v2", "Microsoft Hyper-V (among others)",]],
    "VIA": [["VIA Document Project", "VIA Text Editor"]],
    "VICAR": [["Graphics (Video Image Communication and Retrieval)", "",]],
    "VIC": [["see VICAR", ""]],
    "VID": [["Screen device driver", "Word"]],
    "VI": [["Watcom editor script", "VI.EXE"]],
    "VIF": [["see VIFF", ""]],
    "VIFF": [["Khoros Visualization Image File Format", "SDSC Image Tool",]],
    "VIK": [["Graphics format (VIKING)", ""]],
    "VIM": [["Vim script file", "Vim text editor"]],
    "VINF": [["data", "ReMPEG log file - frames info"]],
    "VIR": [["Virus or infected file", ""]],
    "VIS": [["VIS graphics file", ""]],
    "VLM": [["Virtual Loadable Module", "Netware"]],
    "VLOGO": [["Vector Logo File", "a Future Corporation Pty. Ltd. (Australia)",]],
    "VMC": [["Virtual memory configuration", "DOS/4GW PM 32X DOS Extender",]],
    "VMCZ": [["Hyper-V Exported Virtual Machine", "Microsoft"]],
    "$VM": [["Virtual manager temporary file", "Windows 3.x"]],
    "VM": [["Virtual Memory file", "Geoworks"]],
    "VMDK": [["Virtual Disk file", "VMware"]],
    "VMF": [["Font characteristics", "Ventura Publisher"]],
    "VMG": [["Nokia message file format", "Text Message Editor (Nokia PC Suite)",]],
    "VMS": [["Text file containing VMS specific info", ""]],
    "VMT": [["Source Engine resource file", "Source Engine"]],
    "VOB": [["Video Object", "DVD-R, DVD-RW"]],
    "VOC": [["Sound format (Creative Lab's Sound File)", "PlayVoc"]],
    "VO": [["Include file with object definition", "Vivid 2.0"]],
    "VOF": [["Object folder", "VZ Programmer"]],
    "VOP": [["Visual OTTHYMO Project", ""]],
    "VOX": [["Dialogic adpcm file", "AWAVE, CoolEdit"]],
    "VP": [["3DS Video posting", "3D Studio"]],
    "VPF": [["Vector Product Format", ""]],
    "VPG": [["Graphics file", "VPGraphics"]],
    "VPH": [["Virtual Pascal Help", "VP/OS2"]],
    "VPI": [["Virtual Pascal Unit", "VP/OS2"]],
    "VPM": [["Garmin Voice Processing Module", ""]],
    "VPP": [["Visual Paradigm Project", "Visual Paradigm for UML"]],
    "VQA": [["Vector Quantized Animation", "The Legend of Kyrandia"]],
    "VQM": [["Hardware description language", "Altera"]],
    "VRM": [["Visual rexx source", "WATCOM VREXX"]],
    "VRML": [["Virtual Reality Modeling Language", "NetScape"]],
    "VRP": [["Project", "WATCOM VX?Rexx"]],
    "VRS": [["Video Resource e.g. video device driver", "WordPerfect",]],
    "VSD": [["Visio drawing", "Microsoft Visio"]],
    "VS": [["Include file with surface definition", "Vivid 2.0"]],
    "VSDM": [["Visio macro-enabled drawing", "Microsoft Visio"]],
    "VSDX": [["Visio drawing", "Microsoft Visio"]],
    "VSL": [["Visio add-on", "Microsoft Visio"]],
    "VSM": [["Visual Simulation Model", "VisSim"]],
    "VSP": [["Sprite", "SPX"]],
    "VSQ": [["Vocal synthesizer track data", "Vocaloid2, Vocaloid3"]],
    "VSQX": [["Vocal synthesizer track data", "Vocaloid3"]],
    "VSS": [["Visio Stencil", "Microsoft Visio"]],
    "VSSM": [["Visio Macro-enabled Stencil", "Microsoft Visio"]],
    "VSSX": [["Visio Stencil", "Microsoft Visio"]],
    "VST": [["Visio Template", "Microsoft Visio"]],
    "VSTM": [["Visio Macro-enabled Template", "Microsoft Visio"]],
    "VSTO": [["Microsoft Office add-in file", "Microsoft Visual Studio",]],
    "VSTX": [["Visio Template", "Microsoft Visio"]],
    "VSVNBAK": [["VisualSVN Server repository backup", "VisualSVN Server",]],
    "VSX": [["Visio XML stencil", "Microsoft Visio"]],
    "VTF": [["Source Engine resource file", "Source Engine"]],
    "VTX": [["Visio XML template", "Microsoft Visio"]],
    "VUE": [["View", "dBASE IV - FoxPro"]],
    "VVV": [["Video game save", "VVVVVV"]],
    "VW": [["Text file", "VolksWriter"]],
    "VWR": [["File viewer file", "PC Tools"]],
    "VWX": [["CAD File", "VectorWorks 2008"]],
    "VXD": [["Windows 3.x virtual device driver", "Windows 3.x"]],
    "VZT": [["Temporal database file", "GTKWave data file"]],
    "W01": [["Yamaha TX16W wave file", "AWAVE"]],
    "W30": [["Printer font", "AST TurboLaser - Ventura Publisher"]],
    "W31": [["Startup file", "Windows 3.1"]],
    "W3A": [["Warcraft III Abilities Export File", "Contained in a Warcraft III map",]],
    "W3B": [["Warcraft III Destructables Export File", "Contained in a Warcraft III map",]],
    "W3D": [["Shockwave 3D object format", ""]],
    "W3G": [["Warcraft III Replay File", "File for Warcraft III"]],
    "W3H": [["Warcraft III Buffs Export File", "Contained in a Warcraft III map",]],
    "W3M": [["Warcraft III Map", "File for Warcraft III: Reign of Chaos",]],
    "W3N": [["Warcraft III Campaign", "File for Warcraft III: The Frozen Throne",]],
    "W3O": [["Warcraft III Object Data Export File", "Contained in a Warcraft III map",]],
    "W3P": [["Warcraft III Save", "Save File for Warcraft III"]],
    "W3Q": [["Warcraft III Upgrades Export File", "Contained in a Warcraft III map",]],
    "W3T": [["Warcraft III Item Export File", "Contained in a Warcraft III map",]],
    "W3U": [["Warcraft III Unit Export File", "Contained in a Warcraft III map",]],
    "W3V": [["Warcraft III Save", "Save File for Warcraft III"]],
    "W3X": [["Warcraft III Expansion Map", "File for Warcraft III: The Frozen Throne",]],
    "W3Z": [["Warcraft III Save", "Save File for Warcraft III"]],
    "W40": [["renamed system files (AUTOEXEC.BAT, COMMAND.COM, CONFIG.SYS,DBLSPACE.BIN.DRVSPACE.BIN,MSDOS.SYS) of Windows version", "Windows 95, 98, ME (dual-boot feature)",]],
    "W44": [["Temporary file for Sort or Index", "dBASE"]],
    "W95": [["Something for Windows95", "Win95"]],
    "WAD": [["Nintendo proprietary format for Wii channels, menus, etc.", "Nintendo Wii",]],
    "WAG": [["Yard Contents File", "FYM"]],
    "WAI": [["Warcraft III AI Data File", "Warcraft III AI Data File",]],
    "WAR": [["Java Web Archive", "A Java file format used to package and deploy web applications",]],
    "WAS": [["ProComm Script File (source code)", "ProComm"]],
    "WAV": [["Sound format (Microsoft Windows RIFF WAVE)", "Media Player",]],
    "WAX": [["Windows Media Audio Shortcut", "Windows Media Player (Windows Media Audio Redirector)",]],
    "WB1": [["Notebook", "Quattro Pro"]],
    "WB2": [["Spreadsheet", "Quattro Pro"]],
    "WBF": [["Microsoft Windows Batch File", "Catch"]],
    "WBK": [["Document/workbook or Microsoft Word backup file", "WordPerfect for Win or Microsoft Word",]],
    "WBT": [["Wilsonware Batch file", "Winbatch"]],
    "WCD": [["Macro token list", "WordPerfect for Win"]],
    "WCH": [["WordPerfect Macro Facility", "WP"]],
    "WCM": [["Macro", "WordPerfect for Win"]],
    "WCP": [["Product information description", "WordPerfect for Win",]],
    "WDB": [["World Database", "Lego Island"]],
    "WD": [["InfoSelect Data file", ""]],
    "W": [["Word chart file", "APPLAUSE"]],
    "WDM": [["Admin tool connection definition", "War FTP"]],
    "WEB": [["WEB source code file", "Web Easy Professional"]],
    "WEBLOC": [["Web internet location", "macOS"]],
    "WEBOOGL": [["Web Object Oriented Graphics Library", ""]],
    "WE?": [["Packed mail", "FTN software"]],
    "WFB": [["Turtle Beach WaveFront Bank", "AWAVE"]],
    "WFD": [["Turtle Beach WaveFront Drum", "AWAVE"]],
    "WFM": [["Form object", "dBASE Form Designer"]],
    "WFN": [["Font", "CorelDRAW"]],
    "WFP": [["Turtle Beach WaveFront Prog.", "AWAVE"]],
    "WFT": [["Web Family Tree", "GRAMPS"]],
    "WFX": [["Data file", "Winfax"]],
    "WG1": [["Worksheet", "Lotus 1-2-3/G"]],
    "WG2": [["Worksheet", "Lotus 1-2-3 for OS/2"]],
    "WID": [["Width table", "Ventura Publisher"]],
    "WIFI": [["Torga OS Wifi Settings Database", "14th Information Division (Torga)",]],
    "WIKI": [["Wiki markup (various flavors)", "Wikis"]],
    "WIM": [["Windows Imaging Format", "ImageX, DISM, 7-Zip, wimlib",]],
    "WIN": [["Window file", "FoxPro - dBASE"]],
    "WIREFRAME": [["Data", "EMSE mesh"]],
    "WIX": [["Windows Installer XML", "WiX"]],
    "WIZ": [["Page wizard", "Microsoft Publisher"]],
    "WK1": [["Spreadsheet", "Lotus 1-2-3 version 2.x - Lotus Symphony 1.1+",]],
    "WK3": [["Spreadsheet", "Lotus 1-2-3 version 3.x"]],
    "WK4": [["Spreadsheet", "Lotus 1-2-3 version 3.4"]],
    "WKB": [["Document", "WordPerfect for Win"]],
    "WKE": [["Spreadsheet", "Lotus 1-2-3 educational version"]],
    "WKF": [["VISI Working file", "Vero Software"]],
    "WKI": [["Spreadsheet format", "Lotus 123 2x"]],
    "WKQ": [["Spreadsheet", "Quattro"]],
    "WKS": [["Workspace", "Xlisp"]],
    "WKZ": [["Spreadsheet format", "Dos Navigator"]],
    "WLK": [["Walk Through for any game", "many"]],
    "WMA": [["Windows Media Audio audio file", ""]],
    "WMC": [["Text file", "WordMARC"]],
    "WMDB": [["Windows Media Player database", "Windows Media Player",]],
    "WMF": [["Windows MetaFile vector graphics", ""]],
    "WMO": [["WoW Map Object", "Blizzard Entertainment games (World of Warcraft/Warcraft series)",]],
    "WMP": [["Graphics (Windows Magic Icon Palette)", ""]],
    "WMS": [["Windows Media Player Skin File", "Windows Media Player",]],
    "WMV": [["Windows Media Video video file", ""]],
    "WN": [["Text", "NeXT WriteNow"]],
    "WNF": [["Corel Draw Font File", "CorelDraw"]],
    "WOA": [["Swap file", "Windows 3.x"]],
    "WOC": [["Organization", "Windows OrgChart"]],
    "WOFF2": [["Web Open Font Format", ""]],
    "WOFF": [["Web Open Font Format", ""]],
    "WORKFLOW": [["Workflow", "macOS"]],
    "WOW": [["Music (8 channels)", "Grave Mod Player"]],
    "WP5": [["Document", "WordPerfect 5.x"]],
    "WPD": [["Windows printer driver (uninstallable)", "Windows"]],
    "WP": [["Word Perfect Format", "WP"]],
    "WPF": [["Form", "WordPerfect"]],
    "WPG": [["WordPerfect Graphics vector graphics", "DrawPerfect"]],
    "WPJ": [["Watcom C/C++ IDE project", "IDE.EXE"]],
    "WPK": [["Macros", "WordPerfect for Win"]],
    "WPL": [["Windows Media Playlist", "Windows Media Player"]],
    "WPM": [["Macros", "WordPerfect"]],
    "WPS": [["Text document", "WPS Office, Microsoft Works"]],
    "WQ1": [["Spreadsheet", "Quattro Pro"]],
    "WQ!": [["Compressed spreadsheet", "Quattro Pro"]],
    "WR1": [["Spreatsheet", "Lotus Symphony 1.1 - 1.2 - 2"]],
    "WRD": [["Template", "Charisma"]],
    "WRI": [["Write editor format", "Write - WinWord"]],
    "WRK": [["Spreadsheet", "Lotus Symphony 1.0"]],
    "WRL": [["VRML file", ""]],
    "WRP": [["Archive", "Amiga WARP"]],
    "WRS": [["Windows Resource e.g. might indicate error if word cannot open", "WordPerfect for Win",]],
    "WS2": [["Text file", "WordStar 2000"]],
    "WS7": [["RS7 Setting", "Redshift 7"]],
    "WSD": [["Document", "WordStar"]],
    "WS": [["Document", "WordStar 5.0-6.0"]],
    "WSF": [["WordStar Font file", "WordStar"]],
    "WSP": [["Workspace", "Fortran PowerStation"]],
    "WSQ": [["Wavelet-packet Scalar Quantization Format", ""]],
    "WSRC": [["X-wais source", ""]],
    "WST": [["Text file", "WordStar"]],
    "WSV": [["Keysight SystemVue Workspace file", "Keysight SystemVue",]],
    "WT": [["Parameter or data dump file", "WildTangent or MongoDB"]],
    "WTF": [["WinTaper Data", ""]],
    "WTR": [["Working Timetable rules file", "Simsig"]],
    "WTT": [["Working Timetable timings file", "Simsig"]],
    "WV": [["WavPack", ""]],
    "WWB": [["Button bar for document window", "WordPerfect for Win",]],
    "WWF": [["WWF Document Format", ""]],
    "WWK": [["Keyboard layout", "WordPerfect for Win"]],
    "WXH": [["Program/Script File", "WaxHtml Web Programming Language",]],
    "WXP": [["Document", "EXP for Windows"]],
    "WZA": [["Encrypted archive file", "Department of Defense Encryption Wizard (Public Edition)",]],
    "WZ": [["Wizet game archive file", "Wizet/Nexon MapleStory"]],
    "X3D": [["x3d and xdart Formats", ""]],
    "X3G": [["Makerbot-specific gcode", "Makerbot 3D printers (gen5 and earlier), Makerbot desktop",]],
    "X64": [["Executable file for 64-bit processors", ""]],
    "X86_64": [["Executable file for x86-64 processors", ""]],
    "X86": [["Executable file for x86 processors", ""]],
    "XA": [["XA audio file", "used in SimCity 3000 by Maxis, also by Sony PlayStation",]],
    "XAR": [["eXtensible ARchive", "xar, 7-Zip"]],
    "XBE": [["Xbox Executable", "Xbox"]],
    "XBM": [["X11 Bitmap graphics file", ""]],
    "XCF": [["Gimp image file", "GNU Image Manipulation Program"]],
    "XCK": [["Extended crack file (usually text)", ""]],
    "XCL": [["Xtree for Windows Script file", "Xtree for Win"]],
    "X": [["XBasic Source code file", "Xbasic"]],
    "XDF": [["OS/2 extended disk format image", "XDFCOPY.EXE"]],
    "XDM": [["Directory Manipulator for 32-bit Protected Mode", "Xenotech Research Labs",]],
    "XE": [["Xenon - for Associative 3D Modeling", "Ashlar-Vellum"]],
    "XEPH": [["PixInsight Solar System Ephemeris Data File", "PixInsight",]],
    "XEX": [["Xbox 360 Executable File", ""]],
    "XFN": [["Printer font", "Xerox 4045 - Ventura Publisher"]],
    "XFR": [["Ventura Publisher Bitmap Editor Font file", ""]],
    "XFT": [["24 pin printer font", "ChiWriter"]],
    "XI": [["FastTracker 2 instrument file", "AWAVE"]],
    "XIF": [["Xerox Image Format", "Pagis Pro 2.0 and 3.0"]],
    "XISB": [["Extensible Image Serialization Format (XISF data blocks file)", "PixInsight (see XISF 1.0 Specification)",]],
    "XISF": [["Extensible Image Serialization Format (monolithic XISF file)", "PixInsight (see XISF 1.0 Specification)",]],
    "XISH": [["Extensible Image Serialization Format (XISF header file)", "PixInsight (see XISF 1.0 Specification)",]],
    "XLA": [["XLib Archive", "xlibpas2.zip"]],
    "XLB": [["Microsoft Excel Toolbar", "Microsoft Excel"]],
    "XLBL": [["extensible Business Reporting Language", "Business Reporting",]],
    "XLC": [["Microsoft Excel Chart", "Microsoft Excel"]],
    "XLD": [["Microsoft Excel Dialog", "Microsoft Excel"]],
    "XLF": [["Extensible LADAR Format", "LadarSIM"]],
    "XLK": [["Microsoft Excel Archive", "Microsoft Excel"]],
    "XLL": [["Microsoft Excel Dynamic Link Library", "Microsoft Excel",]],
    "XLM": [["Microsoft Excel Macro File", "Microsoft Excel"]],
    "XLR": [["Microsoft Works", "Microsoft Works"]],
    "XLSB": [["Microsoft Excel 2007 Binary Workbook (BIFF12)(Spreadsheets)", "Microsoft Excel 2007 (see Microsoft Office 2007 file extensions)",]],
    "XLS": [["Microsoft Excel Spreadsheet", "Microsoft Excel"]],
    "XLSM": [["Microsoft Excel 2007 Macro-Enabled Workbook (Spreadsheets)", "Microsoft Excel 2007 (see Microsoft Office 2007 file extensions)",]],
    "XLSX": [["Office Open XML Workbook (Spreadsheets)", "Microsoft Excel 2007 (see Microsoft Office 2007 file extensions)",]],
    "XLT": [["Translation table", "Lotus 1-2-3 - Symphony - Procomm Plus",]],
    "XLV": [["Microsoft Excel Module", "Microsoft Excel"]],
    "XLW": [["Microsoft Excel Workbook", "Microsoft Excel"]],
    "XMC": [["Assisted contact lists file format, based on xml and used in kindergartens and schools", "Classmates iPhone app",]],
    "XM": [["Music format", "FastTracker 2 - Cubic Player"]],
    "XMF": [["eXtensible Music Format", ""]],
    "XMI": [["Compressed eXtended MIdi music", ""]],
    "XML": [["eXtensible Markup Language file", ""]],
    "XMLT": [["XML Template File.", ""]],
    "XMOD": [["Monarch Model", "Monarch Professional"]],
    "XMPZ": [["XML Miradi Project Zipfile", "Miradi"]],
    "XMV": [["video", "Xbox"]],
    "XNF": [["Standard Network File form", ""]],
    "XNK": [["Microsoft Outlook", "shortcut to Outlook entities"]],
    "XNN": [["Secondary indexes", "Borland Paradox"]],
    "XOF": [["RenderMorphics", ""]],
    "XOSM": [["PixInsight Project File", "PixInsight"]],
    "XP": [["eXtended Pattern", "FastTracker 2"]],
    "XPL": [["X-Plane system file", "Laminar research"]],
    "XPM": [["X11 Pixel Map graphics file", ""]],
    "XPO": [["Microsoft Dynamics AX Export file", ""]],
    "XPS": [["Open XML Paper Specification / OpenXPS", "open standard document format initially created by Microsoft and similar in concept to Adobe PDF files",]],
    "XQT": [["Macro sheet", "SuperCalc"]],
    "XRM-MS": [["XrML Digital License", "SuperCalc"]],
    "XSD": [["XML schema description", ""]],
    "XSF": [["data", "Microsoft InfoPath file"]],
    "XSL": [["XSL Stylesheet", ""]],
    "XSLT": [["XSLT file", ""]],
    "XSN": [["Microsoft InfoPath template", "Microsoft InfoPath"]],
    "XSPF": [["XML Sharable Playlist Format", ""]],
    "XTB": [["External translation table", "LocoScript"]],
    "XTP": [["XTreeGold overlay", "XTreeGold"]],
    "XVF": [["Xyngo Video File", "Xyngo Video Board"]],
    "XWD": [["X Window System window dump image graphics file", "SDSC Image Tool",]],
    "XWK": [["Keyboard mapping", "Crosstalk"]],
    "XWP": [["Text file", "Xerox Writer"]],
    "XX": [["XX-encoded file (ASCII)", "XXDECODE"]],
    "XXE": [["XX-encoded file (ASCII)", "XXDECODE"]],
    "XXX": [["Singer Embroidery Format", "Embroidermodder"]],
    "XY3": [["Text file", "XYWrite III"]],
    "XY": [["Text file", "XY Write"]],
    "XYW": [["Text file", "XyWrite III"]],
    "XYZ": [["Molecular coordinates", "XMol, RasMol"]],
    "XZ": [["a lossless data compression file format incorporating the LZMA/LZMA2 compression algorithms.", "xz",]],
    "YAL": [["Data custom/nature.yal", "Arts & Letters"]],
    "YAML": [["YAML source file", "YAML (data serialization language)",]],
    "YC": [["Archive", "YACC (YAC.EXE)"]],
    "Y": [["YACC grammar file", "Yacc/Bison"]],
    "YLIB": [["Yookoo Music Library Backup File", "Yookoo Media Player",]],
    "YML": [["YML markup file", "YML (domain specific language output to XML)",]],
    "YMP": [["Yast Meta Package", "YAST2 (SUSE Linux Package Manager)",]],
    "YNN": [["Secondary index", "Borland Paradox"]],
    "YOOKOO": [["Yookoo Playlist", "Yookoo Media Player"]],
    "YRD": [["Yard Tracks File", "FYM"]],
    "YST": [["Data", "YASRT Raytracer scene"]],
    "YUV": [["Graphics format (YUV)", ""]],
    "YY": [["Bison grammar file", "Bison"]],
    "YZ": [["Archive", "YAC"]],
    "Z01-Z99": [["Split WinRAR Archive", ""]],
    "Z2S": [["Zoo Tycoon 2 saved game", "Any game in the Zoo Tycoon 2 series",]],
    "Z3D": [["Zmodeler-file", "Zmodeler 1 & 2"]],
    "Z3": [["Infocom game module", ""]],
    "Z64": [["Nintendo 64 ROM", "Project64 Nintendo 64 emulator"]],
    "Z80": [["Snapshot", "ZX Spectrum emulator by g.a.lunter"]],
    "ZAD": [["ZFax digitized voice file", "ZFax"]],
    "ZARGO": [["UML model project file", "ArgoUML"]],
    "ZCC": [["Cutpath for Zund digital cutting systems", "Zund Cut Center",]],
    "Z": [["Archive", "WinZipNT - compress - pack"]],
    "ZDG": [["Compressed ZiffNet text document", "Z-view"]],
    "ZED": [["BitTorrent Link", "Podmailing"]],
    "ZER": [["Data file", ""]],
    "ZIF": [["Zoomable Image Format", ""]],
    "ZIP": [["Archive", "PKZip - WinZip - Mac OS X"]],
    "ZOO": [["Zoo Tycoon saved game", "Any game in the Zoo Tycoon (first) series",]],
    "ZS": [["Script for Minecraft mod MineTweaker and CraftTweaker", "Minecraft Mods",]],
    "ZTD": [["Zoo Tycoon data", "Zoo Tycoon"]],
    "ZUR": [["High level compressed file", ""]],
    "ZUZ": [["Cost estimating file", "ZUZIA ZUZIAbim"]],
    "ZYP": [["Reason Subtractor Patch File", "Propellerhead Reason"]],
    "ZZT": [["ZZT World", "Any world created using the ZZT editor"]],
    "Μ": [["Metrowerks Codewarrior project", ""]],
    "Π": [["THINK C project", ""]],
}


